import { TJsState } from "@formbricks/types/v1/js";
import { AttributeAlreadyExistsError, MissingPersonError, NetworkError, Result } from "./errors";
import { TPerson } from "@formbricks/types/v1/people";
export declare const updatePersonUserId: (userId: string) => Promise<Result<TJsState, NetworkError | MissingPersonError>>;
export declare const updatePersonAttribute: (key: string, value: string) => Promise<Result<TJsState, NetworkError | MissingPersonError>>;
export declare const hasAttributeValue: (key: string, value: string) => boolean;
export declare const hasAttributeKey: (key: string) => boolean;
export declare const setPersonUserId: (userId: string | number) => Promise<Result<void, NetworkError | MissingPersonError | AttributeAlreadyExistsError>>;
export declare const setPersonAttribute: (key: string, value: any) => Promise<Result<void, NetworkError | MissingPersonError>>;
export declare const logoutPerson: () => Promise<void>;
export declare const resetPerson: () => Promise<Result<void, NetworkError>>;
export declare const getPerson: () => TPerson;
