import z from "zod";
export declare const ZActionClassNoCodeConfig: z.ZodObject<{
    type: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"innerHtml">, z.ZodLiteral<"pageUrl">, z.ZodLiteral<"cssSelector">]>>;
    pageUrl: z.ZodOptional<z.ZodObject<{
        value: z.ZodString;
        rule: z.ZodUnion<[z.ZodLiteral<"exactMatch">, z.ZodLiteral<"contains">, z.ZodLiteral<"startsWith">, z.ZodLiteral<"endsWith">, z.ZodLiteral<"notMatch">, z.ZodLiteral<"notContains">]>;
    }, "strip", z.ZodTypeAny, {
        value?: string;
        rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
    }, {
        value?: string;
        rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
    }>>;
    innerHtml: z.ZodOptional<z.ZodObject<{
        value: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        value?: string;
    }, {
        value?: string;
    }>>;
    cssSelector: z.ZodOptional<z.ZodObject<{
        value: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        value?: string;
    }, {
        value?: string;
    }>>;
}, "strip", z.ZodTypeAny, {
    type?: "innerHtml" | "pageUrl" | "cssSelector";
    pageUrl?: {
        value?: string;
        rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
    };
    innerHtml?: {
        value?: string;
    };
    cssSelector?: {
        value?: string;
    };
}, {
    type?: "innerHtml" | "pageUrl" | "cssSelector";
    pageUrl?: {
        value?: string;
        rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
    };
    innerHtml?: {
        value?: string;
    };
    cssSelector?: {
        value?: string;
    };
}>;
export type TActionClassNoCodeConfig = z.infer<typeof ZActionClassNoCodeConfig>;
export declare const ZActionClass: z.ZodObject<{
    id: z.ZodString;
    name: z.ZodString;
    description: z.ZodNullable<z.ZodString>;
    type: z.ZodEnum<["code", "noCode", "automatic"]>;
    noCodeConfig: z.ZodUnion<[z.ZodObject<{
        type: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"innerHtml">, z.ZodLiteral<"pageUrl">, z.ZodLiteral<"cssSelector">]>>;
        pageUrl: z.ZodOptional<z.ZodObject<{
            value: z.ZodString;
            rule: z.ZodUnion<[z.ZodLiteral<"exactMatch">, z.ZodLiteral<"contains">, z.ZodLiteral<"startsWith">, z.ZodLiteral<"endsWith">, z.ZodLiteral<"notMatch">, z.ZodLiteral<"notContains">]>;
        }, "strip", z.ZodTypeAny, {
            value?: string;
            rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
        }, {
            value?: string;
            rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
        }>>;
        innerHtml: z.ZodOptional<z.ZodObject<{
            value: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            value?: string;
        }, {
            value?: string;
        }>>;
        cssSelector: z.ZodOptional<z.ZodObject<{
            value: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            value?: string;
        }, {
            value?: string;
        }>>;
    }, "strip", z.ZodTypeAny, {
        type?: "innerHtml" | "pageUrl" | "cssSelector";
        pageUrl?: {
            value?: string;
            rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
        };
        innerHtml?: {
            value?: string;
        };
        cssSelector?: {
            value?: string;
        };
    }, {
        type?: "innerHtml" | "pageUrl" | "cssSelector";
        pageUrl?: {
            value?: string;
            rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
        };
        innerHtml?: {
            value?: string;
        };
        cssSelector?: {
            value?: string;
        };
    }>, z.ZodNull]>;
    environmentId: z.ZodString;
    createdAt: z.ZodDate;
    updatedAt: z.ZodDate;
}, "strip", z.ZodTypeAny, {
    id?: string;
    name?: string;
    description?: string;
    type?: "code" | "noCode" | "automatic";
    noCodeConfig?: {
        type?: "innerHtml" | "pageUrl" | "cssSelector";
        pageUrl?: {
            value?: string;
            rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
        };
        innerHtml?: {
            value?: string;
        };
        cssSelector?: {
            value?: string;
        };
    };
    environmentId?: string;
    createdAt?: Date;
    updatedAt?: Date;
}, {
    id?: string;
    name?: string;
    description?: string;
    type?: "code" | "noCode" | "automatic";
    noCodeConfig?: {
        type?: "innerHtml" | "pageUrl" | "cssSelector";
        pageUrl?: {
            value?: string;
            rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
        };
        innerHtml?: {
            value?: string;
        };
        cssSelector?: {
            value?: string;
        };
    };
    environmentId?: string;
    createdAt?: Date;
    updatedAt?: Date;
}>;
export type TActionClass = z.infer<typeof ZActionClass>;
export declare const ZActionClassInput: z.ZodObject<{
    name: z.ZodString;
    description: z.ZodUnion<[z.ZodString, z.ZodNull]>;
    noCodeConfig: z.ZodUnion<[z.ZodObject<{
        type: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"innerHtml">, z.ZodLiteral<"pageUrl">, z.ZodLiteral<"cssSelector">]>>;
        pageUrl: z.ZodOptional<z.ZodObject<{
            value: z.ZodString;
            rule: z.ZodUnion<[z.ZodLiteral<"exactMatch">, z.ZodLiteral<"contains">, z.ZodLiteral<"startsWith">, z.ZodLiteral<"endsWith">, z.ZodLiteral<"notMatch">, z.ZodLiteral<"notContains">]>;
        }, "strip", z.ZodTypeAny, {
            value?: string;
            rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
        }, {
            value?: string;
            rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
        }>>;
        innerHtml: z.ZodOptional<z.ZodObject<{
            value: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            value?: string;
        }, {
            value?: string;
        }>>;
        cssSelector: z.ZodOptional<z.ZodObject<{
            value: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            value?: string;
        }, {
            value?: string;
        }>>;
    }, "strip", z.ZodTypeAny, {
        type?: "innerHtml" | "pageUrl" | "cssSelector";
        pageUrl?: {
            value?: string;
            rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
        };
        innerHtml?: {
            value?: string;
        };
        cssSelector?: {
            value?: string;
        };
    }, {
        type?: "innerHtml" | "pageUrl" | "cssSelector";
        pageUrl?: {
            value?: string;
            rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
        };
        innerHtml?: {
            value?: string;
        };
        cssSelector?: {
            value?: string;
        };
    }>, z.ZodNull]>;
    type: z.ZodEnum<["code", "noCode", "automatic"]>;
}, "strip", z.ZodTypeAny, {
    name?: string;
    description?: string;
    noCodeConfig?: {
        type?: "innerHtml" | "pageUrl" | "cssSelector";
        pageUrl?: {
            value?: string;
            rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
        };
        innerHtml?: {
            value?: string;
        };
        cssSelector?: {
            value?: string;
        };
    };
    type?: "code" | "noCode" | "automatic";
}, {
    name?: string;
    description?: string;
    noCodeConfig?: {
        type?: "innerHtml" | "pageUrl" | "cssSelector";
        pageUrl?: {
            value?: string;
            rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
        };
        innerHtml?: {
            value?: string;
        };
        cssSelector?: {
            value?: string;
        };
    };
    type?: "code" | "noCode" | "automatic";
}>;
export type TActionClassInput = z.infer<typeof ZActionClassInput>;
