import { z } from "zod";
export declare const ZActivityFeedItem: z.ZodObject<{
    id: z.ZodString;
    type: z.ZodEnum<["event", "attribute", "display"]>;
    createdAt: z.ZodDate;
    updatedAt: z.ZodNullable<z.ZodDate>;
    attributeLabel: z.ZodNullable<z.ZodString>;
    attributeValue: z.ZodNullable<z.ZodString>;
    actionLabel: z.ZodNullable<z.ZodString>;
    actionDescription: z.ZodNullable<z.ZodString>;
    actionType: z.ZodNullable<z.ZodString>;
    displaySurveyName: z.ZodNullable<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    id?: string;
    type?: "event" | "attribute" | "display";
    createdAt?: Date;
    updatedAt?: Date;
    attributeLabel?: string;
    attributeValue?: string;
    actionLabel?: string;
    actionDescription?: string;
    actionType?: string;
    displaySurveyName?: string;
}, {
    id?: string;
    type?: "event" | "attribute" | "display";
    createdAt?: Date;
    updatedAt?: Date;
    attributeLabel?: string;
    attributeValue?: string;
    actionLabel?: string;
    actionDescription?: string;
    actionType?: string;
    displaySurveyName?: string;
}>;
export type TActivityFeedItem = z.infer<typeof ZActivityFeedItem>;
