import { z } from "zod";
export declare const ZApiKey: z.ZodObject<{
    id: z.ZodString;
    createdAt: z.ZodDate;
    lastUsedAt: z.ZodNullable<z.ZodDate>;
    label: z.ZodNullable<z.ZodString>;
    hashedKey: z.ZodString;
    environmentId: z.ZodString;
    apiKey: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    id?: string;
    createdAt?: Date;
    lastUsedAt?: Date;
    label?: string;
    hashedKey?: string;
    environmentId?: string;
    apiKey?: string;
}, {
    id?: string;
    createdAt?: Date;
    lastUsedAt?: Date;
    label?: string;
    hashedKey?: string;
    environmentId?: string;
    apiKey?: string;
}>;
export type TApiKey = z.infer<typeof ZApiKey>;
export declare const ZApiKeyCreateInput: z.ZodObject<{
    label: z.ZodString;
}, "strip", z.ZodTypeAny, {
    label?: string;
}, {
    label?: string;
}>;
export type TApiKeyCreateInput = z.infer<typeof ZApiKeyCreateInput>;
