import z from "zod";
export declare const ZAttributeClass: z.ZodObject<{
    id: z.ZodString;
    createdAt: z.ZodDate;
    updatedAt: z.ZodDate;
    name: z.ZodString;
    description: z.ZodString;
    type: z.ZodEnum<["code", "noCode", "automatic"]>;
    environmentId: z.ZodString;
    archived: z.ZodBoolean;
}, "strip", z.ZodTypeAny, {
    id?: string;
    createdAt?: Date;
    updatedAt?: Date;
    name?: string;
    description?: string;
    type?: "code" | "noCode" | "automatic";
    environmentId?: string;
    archived?: boolean;
}, {
    id?: string;
    createdAt?: Date;
    updatedAt?: Date;
    name?: string;
    description?: string;
    type?: "code" | "noCode" | "automatic";
    environmentId?: string;
    archived?: boolean;
}>;
export type TAttributeClass = z.infer<typeof ZAttributeClass>;
