import z from "zod";
export declare const ZJsState: z.ZodObject<{
    person: z.ZodObject<{
        id: z.ZodString;
        attributes: z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        createdAt: z.ZodDate;
        updatedAt: z.ZodDate;
    }, "strip", z.ZodTypeAny, {
        id?: string;
        attributes?: Record<string, string | number>;
        createdAt?: Date;
        updatedAt?: Date;
    }, {
        id?: string;
        attributes?: Record<string, string | number>;
        createdAt?: Date;
        updatedAt?: Date;
    }>;
    session: z.ZodObject<{
        id: z.ZodString;
        createdAt: z.ZodDate;
        updatedAt: z.ZodDate;
        expiresAt: z.ZodDate;
        personId: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        id?: string;
        createdAt?: Date;
        updatedAt?: Date;
        expiresAt?: Date;
        personId?: string;
    }, {
        id?: string;
        createdAt?: Date;
        updatedAt?: Date;
        expiresAt?: Date;
        personId?: string;
    }>;
    surveys: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        createdAt: z.ZodDate;
        updatedAt: z.ZodDate;
        name: z.ZodString;
        type: z.ZodEnum<["web", "email", "link", "mobile"]>;
        environmentId: z.ZodString;
        status: z.ZodEnum<["draft", "inProgress", "archived", "paused", "completed"]>;
        attributeFilters: z.ZodArray<z.ZodObject<{
            id: z.ZodString;
            attributeClassId: z.ZodString;
            condition: z.ZodEnum<["equals", "notEquals"]>;
            value: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            id?: string;
            attributeClassId?: string;
            condition?: "equals" | "notEquals";
            value?: string;
        }, {
            id?: string;
            attributeClassId?: string;
            condition?: "equals" | "notEquals";
            value?: string;
        }>, "many">;
        displayOption: z.ZodEnum<["displayOnce", "displayMultiple", "respondMultiple"]>;
        autoClose: z.ZodUnion<[z.ZodNumber, z.ZodNull]>;
        triggers: z.ZodArray<z.ZodObject<{
            id: z.ZodString;
            name: z.ZodString;
            description: z.ZodNullable<z.ZodString>;
            type: z.ZodEnum<["code", "noCode", "automatic"]>;
            noCodeConfig: z.ZodUnion<[z.ZodObject<{
                type: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"innerHtml">, z.ZodLiteral<"pageUrl">, z.ZodLiteral<"cssSelector">]>>;
                pageUrl: z.ZodOptional<z.ZodObject<{
                    value: z.ZodString;
                    rule: z.ZodUnion<[z.ZodLiteral<"exactMatch">, z.ZodLiteral<"contains">, z.ZodLiteral<"startsWith">, z.ZodLiteral<"endsWith">, z.ZodLiteral<"notMatch">, z.ZodLiteral<"notContains">]>;
                }, "strip", z.ZodTypeAny, {
                    value?: string;
                    rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
                }, {
                    value?: string;
                    rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
                }>>;
                innerHtml: z.ZodOptional<z.ZodObject<{
                    value: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    value?: string;
                }, {
                    value?: string;
                }>>;
                cssSelector: z.ZodOptional<z.ZodObject<{
                    value: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    value?: string;
                }, {
                    value?: string;
                }>>;
            }, "strip", z.ZodTypeAny, {
                type?: "innerHtml" | "pageUrl" | "cssSelector";
                pageUrl?: {
                    value?: string;
                    rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
                };
                innerHtml?: {
                    value?: string;
                };
                cssSelector?: {
                    value?: string;
                };
            }, {
                type?: "innerHtml" | "pageUrl" | "cssSelector";
                pageUrl?: {
                    value?: string;
                    rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
                };
                innerHtml?: {
                    value?: string;
                };
                cssSelector?: {
                    value?: string;
                };
            }>, z.ZodNull]>;
            environmentId: z.ZodString;
            createdAt: z.ZodDate;
            updatedAt: z.ZodDate;
        }, "strip", z.ZodTypeAny, {
            id?: string;
            name?: string;
            description?: string;
            type?: "code" | "noCode" | "automatic";
            noCodeConfig?: {
                type?: "innerHtml" | "pageUrl" | "cssSelector";
                pageUrl?: {
                    value?: string;
                    rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
                };
                innerHtml?: {
                    value?: string;
                };
                cssSelector?: {
                    value?: string;
                };
            };
            environmentId?: string;
            createdAt?: Date;
            updatedAt?: Date;
        }, {
            id?: string;
            name?: string;
            description?: string;
            type?: "code" | "noCode" | "automatic";
            noCodeConfig?: {
                type?: "innerHtml" | "pageUrl" | "cssSelector";
                pageUrl?: {
                    value?: string;
                    rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
                };
                innerHtml?: {
                    value?: string;
                };
                cssSelector?: {
                    value?: string;
                };
            };
            environmentId?: string;
            createdAt?: Date;
            updatedAt?: Date;
        }>, "many">;
        redirectUrl: z.ZodNullable<z.ZodString>;
        recontactDays: z.ZodUnion<[z.ZodNumber, z.ZodNull]>;
        questions: z.ZodArray<z.ZodUnion<[z.ZodObject<{
            id: z.ZodString;
            headline: z.ZodString;
            subheader: z.ZodOptional<z.ZodString>;
            required: z.ZodBoolean;
            buttonLabel: z.ZodOptional<z.ZodString>;
            scale: z.ZodOptional<z.ZodEnum<["number", "smiley", "star"]>>;
            range: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>>;
            type: z.ZodLiteral<import("../questions").QuestionType.OpenText>;
            placeholder: z.ZodOptional<z.ZodString>;
            longAnswer: z.ZodOptional<z.ZodBoolean>;
            logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
                destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
                condition: z.ZodOptional<z.ZodEnum<["submitted", "skipped"]>>;
                value: z.ZodUndefined;
            }, "strip", z.ZodTypeAny, {
                destination?: string;
                condition?: "submitted" | "skipped";
                value?: undefined;
            }, {
                destination?: string;
                condition?: "submitted" | "skipped";
                value?: undefined;
            }>, "many">>;
        }, "strip", z.ZodTypeAny, {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 4 | 5 | 3 | 7 | 10;
            type?: import("../questions").QuestionType.OpenText;
            placeholder?: string;
            longAnswer?: boolean;
            logic?: {
                destination?: string;
                condition?: "submitted" | "skipped";
                value?: undefined;
            }[];
        }, {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 4 | 5 | 3 | 7 | 10;
            type?: import("../questions").QuestionType.OpenText;
            placeholder?: string;
            longAnswer?: boolean;
            logic?: {
                destination?: string;
                condition?: "submitted" | "skipped";
                value?: undefined;
            }[];
        }>, z.ZodObject<{
            id: z.ZodString;
            headline: z.ZodString;
            subheader: z.ZodOptional<z.ZodString>;
            required: z.ZodBoolean;
            buttonLabel: z.ZodOptional<z.ZodString>;
            scale: z.ZodOptional<z.ZodEnum<["number", "smiley", "star"]>>;
            range: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>>;
            type: z.ZodLiteral<import("../questions").QuestionType.Consent>;
            html: z.ZodOptional<z.ZodString>;
            label: z.ZodString;
            dismissButtonLabel: z.ZodOptional<z.ZodString>;
            placeholder: z.ZodOptional<z.ZodString>;
            logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
                destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
                condition: z.ZodOptional<z.ZodEnum<["skipped", "accepted"]>>;
                value: z.ZodUndefined;
            }, "strip", z.ZodTypeAny, {
                destination?: string;
                condition?: "skipped" | "accepted";
                value?: undefined;
            }, {
                destination?: string;
                condition?: "skipped" | "accepted";
                value?: undefined;
            }>, "many">>;
        }, "strip", z.ZodTypeAny, {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 4 | 5 | 3 | 7 | 10;
            type?: import("../questions").QuestionType.Consent;
            html?: string;
            label?: string;
            dismissButtonLabel?: string;
            placeholder?: string;
            logic?: {
                destination?: string;
                condition?: "skipped" | "accepted";
                value?: undefined;
            }[];
        }, {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 4 | 5 | 3 | 7 | 10;
            type?: import("../questions").QuestionType.Consent;
            html?: string;
            label?: string;
            dismissButtonLabel?: string;
            placeholder?: string;
            logic?: {
                destination?: string;
                condition?: "skipped" | "accepted";
                value?: undefined;
            }[];
        }>, z.ZodObject<{
            id: z.ZodString;
            headline: z.ZodString;
            subheader: z.ZodOptional<z.ZodString>;
            required: z.ZodBoolean;
            buttonLabel: z.ZodOptional<z.ZodString>;
            scale: z.ZodOptional<z.ZodEnum<["number", "smiley", "star"]>>;
            range: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>>;
            type: z.ZodLiteral<import("../questions").QuestionType.MultipleChoiceSingle>;
            choices: z.ZodArray<z.ZodObject<{
                id: z.ZodString;
                label: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                id?: string;
                label?: string;
            }, {
                id?: string;
                label?: string;
            }>, "many">;
            logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
                destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
                condition: z.ZodOptional<z.ZodEnum<["submitted", "skipped", "equals", "notEquals"]>>;
                value: z.ZodOptional<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                destination?: string;
                condition?: "equals" | "notEquals" | "submitted" | "skipped";
                value?: string;
            }, {
                destination?: string;
                condition?: "equals" | "notEquals" | "submitted" | "skipped";
                value?: string;
            }>, "many">>;
            shuffleOption: z.ZodOptional<z.ZodEnum<["none", "all", "exceptLast"]>>;
        }, "strip", z.ZodTypeAny, {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 4 | 5 | 3 | 7 | 10;
            type?: import("../questions").QuestionType.MultipleChoiceSingle;
            choices?: {
                id?: string;
                label?: string;
            }[];
            logic?: {
                destination?: string;
                condition?: "equals" | "notEquals" | "submitted" | "skipped";
                value?: string;
            }[];
            shuffleOption?: "none" | "all" | "exceptLast";
        }, {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 4 | 5 | 3 | 7 | 10;
            type?: import("../questions").QuestionType.MultipleChoiceSingle;
            choices?: {
                id?: string;
                label?: string;
            }[];
            logic?: {
                destination?: string;
                condition?: "equals" | "notEquals" | "submitted" | "skipped";
                value?: string;
            }[];
            shuffleOption?: "none" | "all" | "exceptLast";
        }>, z.ZodObject<{
            id: z.ZodString;
            headline: z.ZodString;
            subheader: z.ZodOptional<z.ZodString>;
            required: z.ZodBoolean;
            buttonLabel: z.ZodOptional<z.ZodString>;
            scale: z.ZodOptional<z.ZodEnum<["number", "smiley", "star"]>>;
            range: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>>;
            type: z.ZodLiteral<import("../questions").QuestionType.MultipleChoiceMulti>;
            choices: z.ZodArray<z.ZodObject<{
                id: z.ZodString;
                label: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                id?: string;
                label?: string;
            }, {
                id?: string;
                label?: string;
            }>, "many">;
            logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
                destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
                condition: z.ZodOptional<z.ZodEnum<["submitted", "skipped", "includesAll", "includesOne", "equals"]>>;
                value: z.ZodOptional<z.ZodUnion<[z.ZodArray<z.ZodString, "many">, z.ZodString]>>;
            }, "strip", z.ZodTypeAny, {
                destination?: string;
                condition?: "equals" | "submitted" | "skipped" | "includesAll" | "includesOne";
                value?: string | string[];
            }, {
                destination?: string;
                condition?: "equals" | "submitted" | "skipped" | "includesAll" | "includesOne";
                value?: string | string[];
            }>, "many">>;
            shuffleOption: z.ZodOptional<z.ZodEnum<["none", "all", "exceptLast"]>>;
        }, "strip", z.ZodTypeAny, {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 4 | 5 | 3 | 7 | 10;
            type?: import("../questions").QuestionType.MultipleChoiceMulti;
            choices?: {
                id?: string;
                label?: string;
            }[];
            logic?: {
                destination?: string;
                condition?: "equals" | "submitted" | "skipped" | "includesAll" | "includesOne";
                value?: string | string[];
            }[];
            shuffleOption?: "none" | "all" | "exceptLast";
        }, {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 4 | 5 | 3 | 7 | 10;
            type?: import("../questions").QuestionType.MultipleChoiceMulti;
            choices?: {
                id?: string;
                label?: string;
            }[];
            logic?: {
                destination?: string;
                condition?: "equals" | "submitted" | "skipped" | "includesAll" | "includesOne";
                value?: string | string[];
            }[];
            shuffleOption?: "none" | "all" | "exceptLast";
        }>, z.ZodObject<{
            id: z.ZodString;
            headline: z.ZodString;
            subheader: z.ZodOptional<z.ZodString>;
            required: z.ZodBoolean;
            buttonLabel: z.ZodOptional<z.ZodString>;
            scale: z.ZodOptional<z.ZodEnum<["number", "smiley", "star"]>>;
            range: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>>;
            type: z.ZodLiteral<import("../questions").QuestionType.NPS>;
            lowerLabel: z.ZodString;
            upperLabel: z.ZodString;
            logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
                destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
                condition: z.ZodOptional<z.ZodEnum<["equals", "notEquals", "lessThan", "lessEqual", "greaterThan", "greaterEqual", "submitted", "skipped"]>>;
                value: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
            }, "strip", z.ZodTypeAny, {
                destination?: string;
                condition?: "equals" | "notEquals" | "submitted" | "skipped" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
                value?: string | number;
            }, {
                destination?: string;
                condition?: "equals" | "notEquals" | "submitted" | "skipped" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
                value?: string | number;
            }>, "many">>;
        }, "strip", z.ZodTypeAny, {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 4 | 5 | 3 | 7 | 10;
            type?: import("../questions").QuestionType.NPS;
            lowerLabel?: string;
            upperLabel?: string;
            logic?: {
                destination?: string;
                condition?: "equals" | "notEquals" | "submitted" | "skipped" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
                value?: string | number;
            }[];
        }, {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 4 | 5 | 3 | 7 | 10;
            type?: import("../questions").QuestionType.NPS;
            lowerLabel?: string;
            upperLabel?: string;
            logic?: {
                destination?: string;
                condition?: "equals" | "notEquals" | "submitted" | "skipped" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
                value?: string | number;
            }[];
        }>, z.ZodObject<{
            id: z.ZodString;
            headline: z.ZodString;
            subheader: z.ZodOptional<z.ZodString>;
            required: z.ZodBoolean;
            buttonLabel: z.ZodOptional<z.ZodString>;
            scale: z.ZodOptional<z.ZodEnum<["number", "smiley", "star"]>>;
            range: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>>;
            type: z.ZodLiteral<import("../questions").QuestionType.CTA>;
            html: z.ZodOptional<z.ZodString>;
            buttonUrl: z.ZodOptional<z.ZodString>;
            buttonExternal: z.ZodBoolean;
            dismissButtonLabel: z.ZodOptional<z.ZodString>;
            logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
                destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
                condition: z.ZodOptional<z.ZodEnum<["clicked", "submitted", "skipped"]>>;
                value: z.ZodUndefined;
            }, "strip", z.ZodTypeAny, {
                destination?: string;
                condition?: "submitted" | "skipped" | "clicked";
                value?: undefined;
            }, {
                destination?: string;
                condition?: "submitted" | "skipped" | "clicked";
                value?: undefined;
            }>, "many">>;
        }, "strip", z.ZodTypeAny, {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 4 | 5 | 3 | 7 | 10;
            type?: import("../questions").QuestionType.CTA;
            html?: string;
            buttonUrl?: string;
            buttonExternal?: boolean;
            dismissButtonLabel?: string;
            logic?: {
                destination?: string;
                condition?: "submitted" | "skipped" | "clicked";
                value?: undefined;
            }[];
        }, {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 4 | 5 | 3 | 7 | 10;
            type?: import("../questions").QuestionType.CTA;
            html?: string;
            buttonUrl?: string;
            buttonExternal?: boolean;
            dismissButtonLabel?: string;
            logic?: {
                destination?: string;
                condition?: "submitted" | "skipped" | "clicked";
                value?: undefined;
            }[];
        }>, z.ZodObject<{
            id: z.ZodString;
            headline: z.ZodString;
            subheader: z.ZodOptional<z.ZodString>;
            required: z.ZodBoolean;
            buttonLabel: z.ZodOptional<z.ZodString>;
            type: z.ZodLiteral<import("../questions").QuestionType.Rating>;
            scale: z.ZodEnum<["number", "smiley", "star"]>;
            range: z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>;
            lowerLabel: z.ZodString;
            upperLabel: z.ZodString;
            logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
                destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
                condition: z.ZodOptional<z.ZodEnum<["equals", "notEquals", "lessThan", "lessEqual", "greaterThan", "greaterEqual", "submitted", "skipped"]>>;
                value: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
            }, "strip", z.ZodTypeAny, {
                destination?: string;
                condition?: "equals" | "notEquals" | "submitted" | "skipped" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
                value?: string | number;
            }, {
                destination?: string;
                condition?: "equals" | "notEquals" | "submitted" | "skipped" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
                value?: string | number;
            }>, "many">>;
        }, "strip", z.ZodTypeAny, {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            type?: import("../questions").QuestionType.Rating;
            scale?: "number" | "smiley" | "star";
            range?: 4 | 5 | 3 | 7 | 10;
            lowerLabel?: string;
            upperLabel?: string;
            logic?: {
                destination?: string;
                condition?: "equals" | "notEquals" | "submitted" | "skipped" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
                value?: string | number;
            }[];
        }, {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            type?: import("../questions").QuestionType.Rating;
            scale?: "number" | "smiley" | "star";
            range?: 4 | 5 | 3 | 7 | 10;
            lowerLabel?: string;
            upperLabel?: string;
            logic?: {
                destination?: string;
                condition?: "equals" | "notEquals" | "submitted" | "skipped" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
                value?: string | number;
            }[];
        }>]>, "many">;
        thankYouCard: z.ZodObject<{
            enabled: z.ZodBoolean;
            headline: z.ZodOptional<z.ZodString>;
            subheader: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            enabled?: boolean;
            headline?: string;
            subheader?: string;
        }, {
            enabled?: boolean;
            headline?: string;
            subheader?: string;
        }>;
        delay: z.ZodNumber;
        autoComplete: z.ZodUnion<[z.ZodNumber, z.ZodNull]>;
        closeOnDate: z.ZodNullable<z.ZodDate>;
        surveyClosedMessage: z.ZodOptional<z.ZodObject<{
            heading: z.ZodOptional<z.ZodString>;
            subheading: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            heading?: string;
            subheading?: string;
        }, {
            heading?: string;
            subheading?: string;
        }>>;
        verifyEmail: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            name: z.ZodOptional<z.ZodString>;
            subheading: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            name?: string;
            subheading?: string;
        }, {
            name?: string;
            subheading?: string;
        }>>>;
    }, "strip", z.ZodTypeAny, {
        id?: string;
        createdAt?: Date;
        updatedAt?: Date;
        name?: string;
        type?: "web" | "email" | "link" | "mobile";
        environmentId?: string;
        status?: "draft" | "inProgress" | "archived" | "paused" | "completed";
        attributeFilters?: {
            id?: string;
            attributeClassId?: string;
            condition?: "equals" | "notEquals";
            value?: string;
        }[];
        displayOption?: "displayOnce" | "displayMultiple" | "respondMultiple";
        autoClose?: number;
        triggers?: {
            id?: string;
            name?: string;
            description?: string;
            type?: "code" | "noCode" | "automatic";
            noCodeConfig?: {
                type?: "innerHtml" | "pageUrl" | "cssSelector";
                pageUrl?: {
                    value?: string;
                    rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
                };
                innerHtml?: {
                    value?: string;
                };
                cssSelector?: {
                    value?: string;
                };
            };
            environmentId?: string;
            createdAt?: Date;
            updatedAt?: Date;
        }[];
        redirectUrl?: string;
        recontactDays?: number;
        questions?: ({
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 4 | 5 | 3 | 7 | 10;
            type?: import("../questions").QuestionType.OpenText;
            placeholder?: string;
            longAnswer?: boolean;
            logic?: {
                destination?: string;
                condition?: "submitted" | "skipped";
                value?: undefined;
            }[];
        } | {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 4 | 5 | 3 | 7 | 10;
            type?: import("../questions").QuestionType.Consent;
            html?: string;
            label?: string;
            dismissButtonLabel?: string;
            placeholder?: string;
            logic?: {
                destination?: string;
                condition?: "skipped" | "accepted";
                value?: undefined;
            }[];
        } | {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 4 | 5 | 3 | 7 | 10;
            type?: import("../questions").QuestionType.MultipleChoiceSingle;
            choices?: {
                id?: string;
                label?: string;
            }[];
            logic?: {
                destination?: string;
                condition?: "equals" | "notEquals" | "submitted" | "skipped";
                value?: string;
            }[];
            shuffleOption?: "none" | "all" | "exceptLast";
        } | {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 4 | 5 | 3 | 7 | 10;
            type?: import("../questions").QuestionType.MultipleChoiceMulti;
            choices?: {
                id?: string;
                label?: string;
            }[];
            logic?: {
                destination?: string;
                condition?: "equals" | "submitted" | "skipped" | "includesAll" | "includesOne";
                value?: string | string[];
            }[];
            shuffleOption?: "none" | "all" | "exceptLast";
        } | {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 4 | 5 | 3 | 7 | 10;
            type?: import("../questions").QuestionType.NPS;
            lowerLabel?: string;
            upperLabel?: string;
            logic?: {
                destination?: string;
                condition?: "equals" | "notEquals" | "submitted" | "skipped" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
                value?: string | number;
            }[];
        } | {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 4 | 5 | 3 | 7 | 10;
            type?: import("../questions").QuestionType.CTA;
            html?: string;
            buttonUrl?: string;
            buttonExternal?: boolean;
            dismissButtonLabel?: string;
            logic?: {
                destination?: string;
                condition?: "submitted" | "skipped" | "clicked";
                value?: undefined;
            }[];
        } | {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            type?: import("../questions").QuestionType.Rating;
            scale?: "number" | "smiley" | "star";
            range?: 4 | 5 | 3 | 7 | 10;
            lowerLabel?: string;
            upperLabel?: string;
            logic?: {
                destination?: string;
                condition?: "equals" | "notEquals" | "submitted" | "skipped" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
                value?: string | number;
            }[];
        })[];
        thankYouCard?: {
            enabled?: boolean;
            headline?: string;
            subheader?: string;
        };
        delay?: number;
        autoComplete?: number;
        closeOnDate?: Date;
        surveyClosedMessage?: {
            heading?: string;
            subheading?: string;
        };
        verifyEmail?: {
            name?: string;
            subheading?: string;
        };
    }, {
        id?: string;
        createdAt?: Date;
        updatedAt?: Date;
        name?: string;
        type?: "web" | "email" | "link" | "mobile";
        environmentId?: string;
        status?: "draft" | "inProgress" | "archived" | "paused" | "completed";
        attributeFilters?: {
            id?: string;
            attributeClassId?: string;
            condition?: "equals" | "notEquals";
            value?: string;
        }[];
        displayOption?: "displayOnce" | "displayMultiple" | "respondMultiple";
        autoClose?: number;
        triggers?: {
            id?: string;
            name?: string;
            description?: string;
            type?: "code" | "noCode" | "automatic";
            noCodeConfig?: {
                type?: "innerHtml" | "pageUrl" | "cssSelector";
                pageUrl?: {
                    value?: string;
                    rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
                };
                innerHtml?: {
                    value?: string;
                };
                cssSelector?: {
                    value?: string;
                };
            };
            environmentId?: string;
            createdAt?: Date;
            updatedAt?: Date;
        }[];
        redirectUrl?: string;
        recontactDays?: number;
        questions?: ({
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 4 | 5 | 3 | 7 | 10;
            type?: import("../questions").QuestionType.OpenText;
            placeholder?: string;
            longAnswer?: boolean;
            logic?: {
                destination?: string;
                condition?: "submitted" | "skipped";
                value?: undefined;
            }[];
        } | {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 4 | 5 | 3 | 7 | 10;
            type?: import("../questions").QuestionType.Consent;
            html?: string;
            label?: string;
            dismissButtonLabel?: string;
            placeholder?: string;
            logic?: {
                destination?: string;
                condition?: "skipped" | "accepted";
                value?: undefined;
            }[];
        } | {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 4 | 5 | 3 | 7 | 10;
            type?: import("../questions").QuestionType.MultipleChoiceSingle;
            choices?: {
                id?: string;
                label?: string;
            }[];
            logic?: {
                destination?: string;
                condition?: "equals" | "notEquals" | "submitted" | "skipped";
                value?: string;
            }[];
            shuffleOption?: "none" | "all" | "exceptLast";
        } | {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 4 | 5 | 3 | 7 | 10;
            type?: import("../questions").QuestionType.MultipleChoiceMulti;
            choices?: {
                id?: string;
                label?: string;
            }[];
            logic?: {
                destination?: string;
                condition?: "equals" | "submitted" | "skipped" | "includesAll" | "includesOne";
                value?: string | string[];
            }[];
            shuffleOption?: "none" | "all" | "exceptLast";
        } | {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 4 | 5 | 3 | 7 | 10;
            type?: import("../questions").QuestionType.NPS;
            lowerLabel?: string;
            upperLabel?: string;
            logic?: {
                destination?: string;
                condition?: "equals" | "notEquals" | "submitted" | "skipped" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
                value?: string | number;
            }[];
        } | {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 4 | 5 | 3 | 7 | 10;
            type?: import("../questions").QuestionType.CTA;
            html?: string;
            buttonUrl?: string;
            buttonExternal?: boolean;
            dismissButtonLabel?: string;
            logic?: {
                destination?: string;
                condition?: "submitted" | "skipped" | "clicked";
                value?: undefined;
            }[];
        } | {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            type?: import("../questions").QuestionType.Rating;
            scale?: "number" | "smiley" | "star";
            range?: 4 | 5 | 3 | 7 | 10;
            lowerLabel?: string;
            upperLabel?: string;
            logic?: {
                destination?: string;
                condition?: "equals" | "notEquals" | "submitted" | "skipped" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
                value?: string | number;
            }[];
        })[];
        thankYouCard?: {
            enabled?: boolean;
            headline?: string;
            subheader?: string;
        };
        delay?: number;
        autoComplete?: number;
        closeOnDate?: Date;
        surveyClosedMessage?: {
            heading?: string;
            subheading?: string;
        };
        verifyEmail?: {
            name?: string;
            subheading?: string;
        };
    }>, "many">;
    noCodeActionClasses: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        name: z.ZodString;
        description: z.ZodNullable<z.ZodString>;
        type: z.ZodEnum<["code", "noCode", "automatic"]>;
        noCodeConfig: z.ZodUnion<[z.ZodObject<{
            type: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"innerHtml">, z.ZodLiteral<"pageUrl">, z.ZodLiteral<"cssSelector">]>>;
            pageUrl: z.ZodOptional<z.ZodObject<{
                value: z.ZodString;
                rule: z.ZodUnion<[z.ZodLiteral<"exactMatch">, z.ZodLiteral<"contains">, z.ZodLiteral<"startsWith">, z.ZodLiteral<"endsWith">, z.ZodLiteral<"notMatch">, z.ZodLiteral<"notContains">]>;
            }, "strip", z.ZodTypeAny, {
                value?: string;
                rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
            }, {
                value?: string;
                rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
            }>>;
            innerHtml: z.ZodOptional<z.ZodObject<{
                value: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                value?: string;
            }, {
                value?: string;
            }>>;
            cssSelector: z.ZodOptional<z.ZodObject<{
                value: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                value?: string;
            }, {
                value?: string;
            }>>;
        }, "strip", z.ZodTypeAny, {
            type?: "innerHtml" | "pageUrl" | "cssSelector";
            pageUrl?: {
                value?: string;
                rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
            };
            innerHtml?: {
                value?: string;
            };
            cssSelector?: {
                value?: string;
            };
        }, {
            type?: "innerHtml" | "pageUrl" | "cssSelector";
            pageUrl?: {
                value?: string;
                rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
            };
            innerHtml?: {
                value?: string;
            };
            cssSelector?: {
                value?: string;
            };
        }>, z.ZodNull]>;
        environmentId: z.ZodString;
        createdAt: z.ZodDate;
        updatedAt: z.ZodDate;
    }, "strip", z.ZodTypeAny, {
        id?: string;
        name?: string;
        description?: string;
        type?: "code" | "noCode" | "automatic";
        noCodeConfig?: {
            type?: "innerHtml" | "pageUrl" | "cssSelector";
            pageUrl?: {
                value?: string;
                rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
            };
            innerHtml?: {
                value?: string;
            };
            cssSelector?: {
                value?: string;
            };
        };
        environmentId?: string;
        createdAt?: Date;
        updatedAt?: Date;
    }, {
        id?: string;
        name?: string;
        description?: string;
        type?: "code" | "noCode" | "automatic";
        noCodeConfig?: {
            type?: "innerHtml" | "pageUrl" | "cssSelector";
            pageUrl?: {
                value?: string;
                rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
            };
            innerHtml?: {
                value?: string;
            };
            cssSelector?: {
                value?: string;
            };
        };
        environmentId?: string;
        createdAt?: Date;
        updatedAt?: Date;
    }>, "many">;
    product: z.ZodObject<{
        id: z.ZodString;
        createdAt: z.ZodDate;
        updatedAt: z.ZodDate;
        name: z.ZodString;
        teamId: z.ZodString;
        brandColor: z.ZodString;
        highlightBorderColor: z.ZodOptional<z.ZodNullable<z.ZodString>>;
        recontactDays: z.ZodNumber;
        formbricksSignature: z.ZodBoolean;
        placement: z.ZodEnum<["bottomLeft", "bottomRight", "topLeft", "topRight", "center"]>;
        clickOutsideClose: z.ZodBoolean;
        darkOverlay: z.ZodBoolean;
    }, "strip", z.ZodTypeAny, {
        id?: string;
        createdAt?: Date;
        updatedAt?: Date;
        name?: string;
        teamId?: string;
        brandColor?: string;
        highlightBorderColor?: string;
        recontactDays?: number;
        formbricksSignature?: boolean;
        placement?: "bottomLeft" | "bottomRight" | "topLeft" | "topRight" | "center";
        clickOutsideClose?: boolean;
        darkOverlay?: boolean;
    }, {
        id?: string;
        createdAt?: Date;
        updatedAt?: Date;
        name?: string;
        teamId?: string;
        brandColor?: string;
        highlightBorderColor?: string;
        recontactDays?: number;
        formbricksSignature?: boolean;
        placement?: "bottomLeft" | "bottomRight" | "topLeft" | "topRight" | "center";
        clickOutsideClose?: boolean;
        darkOverlay?: boolean;
    }>;
}, "strip", z.ZodTypeAny, {
    person?: {
        id?: string;
        attributes?: Record<string, string | number>;
        createdAt?: Date;
        updatedAt?: Date;
    };
    session?: {
        id?: string;
        createdAt?: Date;
        updatedAt?: Date;
        expiresAt?: Date;
        personId?: string;
    };
    surveys?: {
        id?: string;
        createdAt?: Date;
        updatedAt?: Date;
        name?: string;
        type?: "web" | "email" | "link" | "mobile";
        environmentId?: string;
        status?: "draft" | "inProgress" | "archived" | "paused" | "completed";
        attributeFilters?: {
            id?: string;
            attributeClassId?: string;
            condition?: "equals" | "notEquals";
            value?: string;
        }[];
        displayOption?: "displayOnce" | "displayMultiple" | "respondMultiple";
        autoClose?: number;
        triggers?: {
            id?: string;
            name?: string;
            description?: string;
            type?: "code" | "noCode" | "automatic";
            noCodeConfig?: {
                type?: "innerHtml" | "pageUrl" | "cssSelector";
                pageUrl?: {
                    value?: string;
                    rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
                };
                innerHtml?: {
                    value?: string;
                };
                cssSelector?: {
                    value?: string;
                };
            };
            environmentId?: string;
            createdAt?: Date;
            updatedAt?: Date;
        }[];
        redirectUrl?: string;
        recontactDays?: number;
        questions?: ({
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 4 | 5 | 3 | 7 | 10;
            type?: import("../questions").QuestionType.OpenText;
            placeholder?: string;
            longAnswer?: boolean;
            logic?: {
                destination?: string;
                condition?: "submitted" | "skipped";
                value?: undefined;
            }[];
        } | {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 4 | 5 | 3 | 7 | 10;
            type?: import("../questions").QuestionType.Consent;
            html?: string;
            label?: string;
            dismissButtonLabel?: string;
            placeholder?: string;
            logic?: {
                destination?: string;
                condition?: "skipped" | "accepted";
                value?: undefined;
            }[];
        } | {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 4 | 5 | 3 | 7 | 10;
            type?: import("../questions").QuestionType.MultipleChoiceSingle;
            choices?: {
                id?: string;
                label?: string;
            }[];
            logic?: {
                destination?: string;
                condition?: "equals" | "notEquals" | "submitted" | "skipped";
                value?: string;
            }[];
            shuffleOption?: "none" | "all" | "exceptLast";
        } | {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 4 | 5 | 3 | 7 | 10;
            type?: import("../questions").QuestionType.MultipleChoiceMulti;
            choices?: {
                id?: string;
                label?: string;
            }[];
            logic?: {
                destination?: string;
                condition?: "equals" | "submitted" | "skipped" | "includesAll" | "includesOne";
                value?: string | string[];
            }[];
            shuffleOption?: "none" | "all" | "exceptLast";
        } | {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 4 | 5 | 3 | 7 | 10;
            type?: import("../questions").QuestionType.NPS;
            lowerLabel?: string;
            upperLabel?: string;
            logic?: {
                destination?: string;
                condition?: "equals" | "notEquals" | "submitted" | "skipped" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
                value?: string | number;
            }[];
        } | {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 4 | 5 | 3 | 7 | 10;
            type?: import("../questions").QuestionType.CTA;
            html?: string;
            buttonUrl?: string;
            buttonExternal?: boolean;
            dismissButtonLabel?: string;
            logic?: {
                destination?: string;
                condition?: "submitted" | "skipped" | "clicked";
                value?: undefined;
            }[];
        } | {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            type?: import("../questions").QuestionType.Rating;
            scale?: "number" | "smiley" | "star";
            range?: 4 | 5 | 3 | 7 | 10;
            lowerLabel?: string;
            upperLabel?: string;
            logic?: {
                destination?: string;
                condition?: "equals" | "notEquals" | "submitted" | "skipped" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
                value?: string | number;
            }[];
        })[];
        thankYouCard?: {
            enabled?: boolean;
            headline?: string;
            subheader?: string;
        };
        delay?: number;
        autoComplete?: number;
        closeOnDate?: Date;
        surveyClosedMessage?: {
            heading?: string;
            subheading?: string;
        };
        verifyEmail?: {
            name?: string;
            subheading?: string;
        };
    }[];
    noCodeActionClasses?: {
        id?: string;
        name?: string;
        description?: string;
        type?: "code" | "noCode" | "automatic";
        noCodeConfig?: {
            type?: "innerHtml" | "pageUrl" | "cssSelector";
            pageUrl?: {
                value?: string;
                rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
            };
            innerHtml?: {
                value?: string;
            };
            cssSelector?: {
                value?: string;
            };
        };
        environmentId?: string;
        createdAt?: Date;
        updatedAt?: Date;
    }[];
    product?: {
        id?: string;
        createdAt?: Date;
        updatedAt?: Date;
        name?: string;
        teamId?: string;
        brandColor?: string;
        highlightBorderColor?: string;
        recontactDays?: number;
        formbricksSignature?: boolean;
        placement?: "bottomLeft" | "bottomRight" | "topLeft" | "topRight" | "center";
        clickOutsideClose?: boolean;
        darkOverlay?: boolean;
    };
}, {
    person?: {
        id?: string;
        attributes?: Record<string, string | number>;
        createdAt?: Date;
        updatedAt?: Date;
    };
    session?: {
        id?: string;
        createdAt?: Date;
        updatedAt?: Date;
        expiresAt?: Date;
        personId?: string;
    };
    surveys?: {
        id?: string;
        createdAt?: Date;
        updatedAt?: Date;
        name?: string;
        type?: "web" | "email" | "link" | "mobile";
        environmentId?: string;
        status?: "draft" | "inProgress" | "archived" | "paused" | "completed";
        attributeFilters?: {
            id?: string;
            attributeClassId?: string;
            condition?: "equals" | "notEquals";
            value?: string;
        }[];
        displayOption?: "displayOnce" | "displayMultiple" | "respondMultiple";
        autoClose?: number;
        triggers?: {
            id?: string;
            name?: string;
            description?: string;
            type?: "code" | "noCode" | "automatic";
            noCodeConfig?: {
                type?: "innerHtml" | "pageUrl" | "cssSelector";
                pageUrl?: {
                    value?: string;
                    rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
                };
                innerHtml?: {
                    value?: string;
                };
                cssSelector?: {
                    value?: string;
                };
            };
            environmentId?: string;
            createdAt?: Date;
            updatedAt?: Date;
        }[];
        redirectUrl?: string;
        recontactDays?: number;
        questions?: ({
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 4 | 5 | 3 | 7 | 10;
            type?: import("../questions").QuestionType.OpenText;
            placeholder?: string;
            longAnswer?: boolean;
            logic?: {
                destination?: string;
                condition?: "submitted" | "skipped";
                value?: undefined;
            }[];
        } | {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 4 | 5 | 3 | 7 | 10;
            type?: import("../questions").QuestionType.Consent;
            html?: string;
            label?: string;
            dismissButtonLabel?: string;
            placeholder?: string;
            logic?: {
                destination?: string;
                condition?: "skipped" | "accepted";
                value?: undefined;
            }[];
        } | {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 4 | 5 | 3 | 7 | 10;
            type?: import("../questions").QuestionType.MultipleChoiceSingle;
            choices?: {
                id?: string;
                label?: string;
            }[];
            logic?: {
                destination?: string;
                condition?: "equals" | "notEquals" | "submitted" | "skipped";
                value?: string;
            }[];
            shuffleOption?: "none" | "all" | "exceptLast";
        } | {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 4 | 5 | 3 | 7 | 10;
            type?: import("../questions").QuestionType.MultipleChoiceMulti;
            choices?: {
                id?: string;
                label?: string;
            }[];
            logic?: {
                destination?: string;
                condition?: "equals" | "submitted" | "skipped" | "includesAll" | "includesOne";
                value?: string | string[];
            }[];
            shuffleOption?: "none" | "all" | "exceptLast";
        } | {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 4 | 5 | 3 | 7 | 10;
            type?: import("../questions").QuestionType.NPS;
            lowerLabel?: string;
            upperLabel?: string;
            logic?: {
                destination?: string;
                condition?: "equals" | "notEquals" | "submitted" | "skipped" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
                value?: string | number;
            }[];
        } | {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 4 | 5 | 3 | 7 | 10;
            type?: import("../questions").QuestionType.CTA;
            html?: string;
            buttonUrl?: string;
            buttonExternal?: boolean;
            dismissButtonLabel?: string;
            logic?: {
                destination?: string;
                condition?: "submitted" | "skipped" | "clicked";
                value?: undefined;
            }[];
        } | {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            type?: import("../questions").QuestionType.Rating;
            scale?: "number" | "smiley" | "star";
            range?: 4 | 5 | 3 | 7 | 10;
            lowerLabel?: string;
            upperLabel?: string;
            logic?: {
                destination?: string;
                condition?: "equals" | "notEquals" | "submitted" | "skipped" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
                value?: string | number;
            }[];
        })[];
        thankYouCard?: {
            enabled?: boolean;
            headline?: string;
            subheader?: string;
        };
        delay?: number;
        autoComplete?: number;
        closeOnDate?: Date;
        surveyClosedMessage?: {
            heading?: string;
            subheading?: string;
        };
        verifyEmail?: {
            name?: string;
            subheading?: string;
        };
    }[];
    noCodeActionClasses?: {
        id?: string;
        name?: string;
        description?: string;
        type?: "code" | "noCode" | "automatic";
        noCodeConfig?: {
            type?: "innerHtml" | "pageUrl" | "cssSelector";
            pageUrl?: {
                value?: string;
                rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
            };
            innerHtml?: {
                value?: string;
            };
            cssSelector?: {
                value?: string;
            };
        };
        environmentId?: string;
        createdAt?: Date;
        updatedAt?: Date;
    }[];
    product?: {
        id?: string;
        createdAt?: Date;
        updatedAt?: Date;
        name?: string;
        teamId?: string;
        brandColor?: string;
        highlightBorderColor?: string;
        recontactDays?: number;
        formbricksSignature?: boolean;
        placement?: "bottomLeft" | "bottomRight" | "topLeft" | "topRight" | "center";
        clickOutsideClose?: boolean;
        darkOverlay?: boolean;
    };
}>;
export type TJsState = z.infer<typeof ZJsState>;
export declare const ZJsSyncInput: z.ZodObject<{
    environmentId: z.ZodString;
    personId: z.ZodOptional<z.ZodString>;
    sessionId: z.ZodOptional<z.ZodString>;
    jsVersion: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    environmentId?: string;
    personId?: string;
    sessionId?: string;
    jsVersion?: string;
}, {
    environmentId?: string;
    personId?: string;
    sessionId?: string;
    jsVersion?: string;
}>;
export type TJsSyncInput = z.infer<typeof ZJsSyncInput>;
export declare const ZJsConfig: z.ZodObject<{
    environmentId: z.ZodString;
    apiHost: z.ZodString;
    state: z.ZodObject<{
        person: z.ZodObject<{
            id: z.ZodString;
            attributes: z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
            createdAt: z.ZodDate;
            updatedAt: z.ZodDate;
        }, "strip", z.ZodTypeAny, {
            id?: string;
            attributes?: Record<string, string | number>;
            createdAt?: Date;
            updatedAt?: Date;
        }, {
            id?: string;
            attributes?: Record<string, string | number>;
            createdAt?: Date;
            updatedAt?: Date;
        }>;
        session: z.ZodObject<{
            id: z.ZodString;
            createdAt: z.ZodDate;
            updatedAt: z.ZodDate;
            expiresAt: z.ZodDate;
            personId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            id?: string;
            createdAt?: Date;
            updatedAt?: Date;
            expiresAt?: Date;
            personId?: string;
        }, {
            id?: string;
            createdAt?: Date;
            updatedAt?: Date;
            expiresAt?: Date;
            personId?: string;
        }>;
        surveys: z.ZodArray<z.ZodObject<{
            id: z.ZodString;
            createdAt: z.ZodDate;
            updatedAt: z.ZodDate;
            name: z.ZodString;
            type: z.ZodEnum<["web", "email", "link", "mobile"]>;
            environmentId: z.ZodString;
            status: z.ZodEnum<["draft", "inProgress", "archived", "paused", "completed"]>;
            attributeFilters: z.ZodArray<z.ZodObject<{
                id: z.ZodString;
                attributeClassId: z.ZodString;
                condition: z.ZodEnum<["equals", "notEquals"]>;
                value: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                id?: string;
                attributeClassId?: string;
                condition?: "equals" | "notEquals";
                value?: string;
            }, {
                id?: string;
                attributeClassId?: string;
                condition?: "equals" | "notEquals";
                value?: string;
            }>, "many">;
            displayOption: z.ZodEnum<["displayOnce", "displayMultiple", "respondMultiple"]>;
            autoClose: z.ZodUnion<[z.ZodNumber, z.ZodNull]>;
            triggers: z.ZodArray<z.ZodObject<{
                id: z.ZodString;
                name: z.ZodString;
                description: z.ZodNullable<z.ZodString>;
                type: z.ZodEnum<["code", "noCode", "automatic"]>;
                noCodeConfig: z.ZodUnion<[z.ZodObject<{
                    type: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"innerHtml">, z.ZodLiteral<"pageUrl">, z.ZodLiteral<"cssSelector">]>>;
                    pageUrl: z.ZodOptional<z.ZodObject<{
                        value: z.ZodString;
                        rule: z.ZodUnion<[z.ZodLiteral<"exactMatch">, z.ZodLiteral<"contains">, z.ZodLiteral<"startsWith">, z.ZodLiteral<"endsWith">, z.ZodLiteral<"notMatch">, z.ZodLiteral<"notContains">]>;
                    }, "strip", z.ZodTypeAny, {
                        value?: string;
                        rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
                    }, {
                        value?: string;
                        rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
                    }>>;
                    innerHtml: z.ZodOptional<z.ZodObject<{
                        value: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        value?: string;
                    }, {
                        value?: string;
                    }>>;
                    cssSelector: z.ZodOptional<z.ZodObject<{
                        value: z.ZodString;
                    }, "strip", z.ZodTypeAny, {
                        value?: string;
                    }, {
                        value?: string;
                    }>>;
                }, "strip", z.ZodTypeAny, {
                    type?: "innerHtml" | "pageUrl" | "cssSelector";
                    pageUrl?: {
                        value?: string;
                        rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
                    };
                    innerHtml?: {
                        value?: string;
                    };
                    cssSelector?: {
                        value?: string;
                    };
                }, {
                    type?: "innerHtml" | "pageUrl" | "cssSelector";
                    pageUrl?: {
                        value?: string;
                        rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
                    };
                    innerHtml?: {
                        value?: string;
                    };
                    cssSelector?: {
                        value?: string;
                    };
                }>, z.ZodNull]>;
                environmentId: z.ZodString;
                createdAt: z.ZodDate;
                updatedAt: z.ZodDate;
            }, "strip", z.ZodTypeAny, {
                id?: string;
                name?: string;
                description?: string;
                type?: "code" | "noCode" | "automatic";
                noCodeConfig?: {
                    type?: "innerHtml" | "pageUrl" | "cssSelector";
                    pageUrl?: {
                        value?: string;
                        rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
                    };
                    innerHtml?: {
                        value?: string;
                    };
                    cssSelector?: {
                        value?: string;
                    };
                };
                environmentId?: string;
                createdAt?: Date;
                updatedAt?: Date;
            }, {
                id?: string;
                name?: string;
                description?: string;
                type?: "code" | "noCode" | "automatic";
                noCodeConfig?: {
                    type?: "innerHtml" | "pageUrl" | "cssSelector";
                    pageUrl?: {
                        value?: string;
                        rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
                    };
                    innerHtml?: {
                        value?: string;
                    };
                    cssSelector?: {
                        value?: string;
                    };
                };
                environmentId?: string;
                createdAt?: Date;
                updatedAt?: Date;
            }>, "many">;
            redirectUrl: z.ZodNullable<z.ZodString>;
            recontactDays: z.ZodUnion<[z.ZodNumber, z.ZodNull]>;
            questions: z.ZodArray<z.ZodUnion<[z.ZodObject<{
                id: z.ZodString;
                headline: z.ZodString;
                subheader: z.ZodOptional<z.ZodString>;
                required: z.ZodBoolean;
                buttonLabel: z.ZodOptional<z.ZodString>;
                scale: z.ZodOptional<z.ZodEnum<["number", "smiley", "star"]>>;
                range: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>>;
                type: z.ZodLiteral<import("../questions").QuestionType.OpenText>;
                placeholder: z.ZodOptional<z.ZodString>;
                longAnswer: z.ZodOptional<z.ZodBoolean>;
                logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
                    destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
                    condition: z.ZodOptional<z.ZodEnum<["submitted", "skipped"]>>;
                    value: z.ZodUndefined;
                }, "strip", z.ZodTypeAny, {
                    destination?: string;
                    condition?: "submitted" | "skipped";
                    value?: undefined;
                }, {
                    destination?: string;
                    condition?: "submitted" | "skipped";
                    value?: undefined;
                }>, "many">>;
            }, "strip", z.ZodTypeAny, {
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                type?: import("../questions").QuestionType.OpenText;
                placeholder?: string;
                longAnswer?: boolean;
                logic?: {
                    destination?: string;
                    condition?: "submitted" | "skipped";
                    value?: undefined;
                }[];
            }, {
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                type?: import("../questions").QuestionType.OpenText;
                placeholder?: string;
                longAnswer?: boolean;
                logic?: {
                    destination?: string;
                    condition?: "submitted" | "skipped";
                    value?: undefined;
                }[];
            }>, z.ZodObject<{
                id: z.ZodString;
                headline: z.ZodString;
                subheader: z.ZodOptional<z.ZodString>;
                required: z.ZodBoolean;
                buttonLabel: z.ZodOptional<z.ZodString>;
                scale: z.ZodOptional<z.ZodEnum<["number", "smiley", "star"]>>;
                range: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>>;
                type: z.ZodLiteral<import("../questions").QuestionType.Consent>;
                html: z.ZodOptional<z.ZodString>;
                label: z.ZodString;
                dismissButtonLabel: z.ZodOptional<z.ZodString>;
                placeholder: z.ZodOptional<z.ZodString>;
                logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
                    destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
                    condition: z.ZodOptional<z.ZodEnum<["skipped", "accepted"]>>;
                    value: z.ZodUndefined;
                }, "strip", z.ZodTypeAny, {
                    destination?: string;
                    condition?: "skipped" | "accepted";
                    value?: undefined;
                }, {
                    destination?: string;
                    condition?: "skipped" | "accepted";
                    value?: undefined;
                }>, "many">>;
            }, "strip", z.ZodTypeAny, {
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                type?: import("../questions").QuestionType.Consent;
                html?: string;
                label?: string;
                dismissButtonLabel?: string;
                placeholder?: string;
                logic?: {
                    destination?: string;
                    condition?: "skipped" | "accepted";
                    value?: undefined;
                }[];
            }, {
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                type?: import("../questions").QuestionType.Consent;
                html?: string;
                label?: string;
                dismissButtonLabel?: string;
                placeholder?: string;
                logic?: {
                    destination?: string;
                    condition?: "skipped" | "accepted";
                    value?: undefined;
                }[];
            }>, z.ZodObject<{
                id: z.ZodString;
                headline: z.ZodString;
                subheader: z.ZodOptional<z.ZodString>;
                required: z.ZodBoolean;
                buttonLabel: z.ZodOptional<z.ZodString>;
                scale: z.ZodOptional<z.ZodEnum<["number", "smiley", "star"]>>;
                range: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>>;
                type: z.ZodLiteral<import("../questions").QuestionType.MultipleChoiceSingle>;
                choices: z.ZodArray<z.ZodObject<{
                    id: z.ZodString;
                    label: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    id?: string;
                    label?: string;
                }, {
                    id?: string;
                    label?: string;
                }>, "many">;
                logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
                    destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
                    condition: z.ZodOptional<z.ZodEnum<["submitted", "skipped", "equals", "notEquals"]>>;
                    value: z.ZodOptional<z.ZodString>;
                }, "strip", z.ZodTypeAny, {
                    destination?: string;
                    condition?: "equals" | "notEquals" | "submitted" | "skipped";
                    value?: string;
                }, {
                    destination?: string;
                    condition?: "equals" | "notEquals" | "submitted" | "skipped";
                    value?: string;
                }>, "many">>;
                shuffleOption: z.ZodOptional<z.ZodEnum<["none", "all", "exceptLast"]>>;
            }, "strip", z.ZodTypeAny, {
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                type?: import("../questions").QuestionType.MultipleChoiceSingle;
                choices?: {
                    id?: string;
                    label?: string;
                }[];
                logic?: {
                    destination?: string;
                    condition?: "equals" | "notEquals" | "submitted" | "skipped";
                    value?: string;
                }[];
                shuffleOption?: "none" | "all" | "exceptLast";
            }, {
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                type?: import("../questions").QuestionType.MultipleChoiceSingle;
                choices?: {
                    id?: string;
                    label?: string;
                }[];
                logic?: {
                    destination?: string;
                    condition?: "equals" | "notEquals" | "submitted" | "skipped";
                    value?: string;
                }[];
                shuffleOption?: "none" | "all" | "exceptLast";
            }>, z.ZodObject<{
                id: z.ZodString;
                headline: z.ZodString;
                subheader: z.ZodOptional<z.ZodString>;
                required: z.ZodBoolean;
                buttonLabel: z.ZodOptional<z.ZodString>;
                scale: z.ZodOptional<z.ZodEnum<["number", "smiley", "star"]>>;
                range: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>>;
                type: z.ZodLiteral<import("../questions").QuestionType.MultipleChoiceMulti>;
                choices: z.ZodArray<z.ZodObject<{
                    id: z.ZodString;
                    label: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    id?: string;
                    label?: string;
                }, {
                    id?: string;
                    label?: string;
                }>, "many">;
                logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
                    destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
                    condition: z.ZodOptional<z.ZodEnum<["submitted", "skipped", "includesAll", "includesOne", "equals"]>>;
                    value: z.ZodOptional<z.ZodUnion<[z.ZodArray<z.ZodString, "many">, z.ZodString]>>;
                }, "strip", z.ZodTypeAny, {
                    destination?: string;
                    condition?: "equals" | "submitted" | "skipped" | "includesAll" | "includesOne";
                    value?: string | string[];
                }, {
                    destination?: string;
                    condition?: "equals" | "submitted" | "skipped" | "includesAll" | "includesOne";
                    value?: string | string[];
                }>, "many">>;
                shuffleOption: z.ZodOptional<z.ZodEnum<["none", "all", "exceptLast"]>>;
            }, "strip", z.ZodTypeAny, {
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                type?: import("../questions").QuestionType.MultipleChoiceMulti;
                choices?: {
                    id?: string;
                    label?: string;
                }[];
                logic?: {
                    destination?: string;
                    condition?: "equals" | "submitted" | "skipped" | "includesAll" | "includesOne";
                    value?: string | string[];
                }[];
                shuffleOption?: "none" | "all" | "exceptLast";
            }, {
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                type?: import("../questions").QuestionType.MultipleChoiceMulti;
                choices?: {
                    id?: string;
                    label?: string;
                }[];
                logic?: {
                    destination?: string;
                    condition?: "equals" | "submitted" | "skipped" | "includesAll" | "includesOne";
                    value?: string | string[];
                }[];
                shuffleOption?: "none" | "all" | "exceptLast";
            }>, z.ZodObject<{
                id: z.ZodString;
                headline: z.ZodString;
                subheader: z.ZodOptional<z.ZodString>;
                required: z.ZodBoolean;
                buttonLabel: z.ZodOptional<z.ZodString>;
                scale: z.ZodOptional<z.ZodEnum<["number", "smiley", "star"]>>;
                range: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>>;
                type: z.ZodLiteral<import("../questions").QuestionType.NPS>;
                lowerLabel: z.ZodString;
                upperLabel: z.ZodString;
                logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
                    destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
                    condition: z.ZodOptional<z.ZodEnum<["equals", "notEquals", "lessThan", "lessEqual", "greaterThan", "greaterEqual", "submitted", "skipped"]>>;
                    value: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
                }, "strip", z.ZodTypeAny, {
                    destination?: string;
                    condition?: "equals" | "notEquals" | "submitted" | "skipped" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
                    value?: string | number;
                }, {
                    destination?: string;
                    condition?: "equals" | "notEquals" | "submitted" | "skipped" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
                    value?: string | number;
                }>, "many">>;
            }, "strip", z.ZodTypeAny, {
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                type?: import("../questions").QuestionType.NPS;
                lowerLabel?: string;
                upperLabel?: string;
                logic?: {
                    destination?: string;
                    condition?: "equals" | "notEquals" | "submitted" | "skipped" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
                    value?: string | number;
                }[];
            }, {
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                type?: import("../questions").QuestionType.NPS;
                lowerLabel?: string;
                upperLabel?: string;
                logic?: {
                    destination?: string;
                    condition?: "equals" | "notEquals" | "submitted" | "skipped" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
                    value?: string | number;
                }[];
            }>, z.ZodObject<{
                id: z.ZodString;
                headline: z.ZodString;
                subheader: z.ZodOptional<z.ZodString>;
                required: z.ZodBoolean;
                buttonLabel: z.ZodOptional<z.ZodString>;
                scale: z.ZodOptional<z.ZodEnum<["number", "smiley", "star"]>>;
                range: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>>;
                type: z.ZodLiteral<import("../questions").QuestionType.CTA>;
                html: z.ZodOptional<z.ZodString>;
                buttonUrl: z.ZodOptional<z.ZodString>;
                buttonExternal: z.ZodBoolean;
                dismissButtonLabel: z.ZodOptional<z.ZodString>;
                logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
                    destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
                    condition: z.ZodOptional<z.ZodEnum<["clicked", "submitted", "skipped"]>>;
                    value: z.ZodUndefined;
                }, "strip", z.ZodTypeAny, {
                    destination?: string;
                    condition?: "submitted" | "skipped" | "clicked";
                    value?: undefined;
                }, {
                    destination?: string;
                    condition?: "submitted" | "skipped" | "clicked";
                    value?: undefined;
                }>, "many">>;
            }, "strip", z.ZodTypeAny, {
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                type?: import("../questions").QuestionType.CTA;
                html?: string;
                buttonUrl?: string;
                buttonExternal?: boolean;
                dismissButtonLabel?: string;
                logic?: {
                    destination?: string;
                    condition?: "submitted" | "skipped" | "clicked";
                    value?: undefined;
                }[];
            }, {
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                type?: import("../questions").QuestionType.CTA;
                html?: string;
                buttonUrl?: string;
                buttonExternal?: boolean;
                dismissButtonLabel?: string;
                logic?: {
                    destination?: string;
                    condition?: "submitted" | "skipped" | "clicked";
                    value?: undefined;
                }[];
            }>, z.ZodObject<{
                id: z.ZodString;
                headline: z.ZodString;
                subheader: z.ZodOptional<z.ZodString>;
                required: z.ZodBoolean;
                buttonLabel: z.ZodOptional<z.ZodString>;
                type: z.ZodLiteral<import("../questions").QuestionType.Rating>;
                scale: z.ZodEnum<["number", "smiley", "star"]>;
                range: z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>;
                lowerLabel: z.ZodString;
                upperLabel: z.ZodString;
                logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
                    destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
                    condition: z.ZodOptional<z.ZodEnum<["equals", "notEquals", "lessThan", "lessEqual", "greaterThan", "greaterEqual", "submitted", "skipped"]>>;
                    value: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
                }, "strip", z.ZodTypeAny, {
                    destination?: string;
                    condition?: "equals" | "notEquals" | "submitted" | "skipped" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
                    value?: string | number;
                }, {
                    destination?: string;
                    condition?: "equals" | "notEquals" | "submitted" | "skipped" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
                    value?: string | number;
                }>, "many">>;
            }, "strip", z.ZodTypeAny, {
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                type?: import("../questions").QuestionType.Rating;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                lowerLabel?: string;
                upperLabel?: string;
                logic?: {
                    destination?: string;
                    condition?: "equals" | "notEquals" | "submitted" | "skipped" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
                    value?: string | number;
                }[];
            }, {
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                type?: import("../questions").QuestionType.Rating;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                lowerLabel?: string;
                upperLabel?: string;
                logic?: {
                    destination?: string;
                    condition?: "equals" | "notEquals" | "submitted" | "skipped" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
                    value?: string | number;
                }[];
            }>]>, "many">;
            thankYouCard: z.ZodObject<{
                enabled: z.ZodBoolean;
                headline: z.ZodOptional<z.ZodString>;
                subheader: z.ZodOptional<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                enabled?: boolean;
                headline?: string;
                subheader?: string;
            }, {
                enabled?: boolean;
                headline?: string;
                subheader?: string;
            }>;
            delay: z.ZodNumber;
            autoComplete: z.ZodUnion<[z.ZodNumber, z.ZodNull]>;
            closeOnDate: z.ZodNullable<z.ZodDate>;
            surveyClosedMessage: z.ZodOptional<z.ZodObject<{
                heading: z.ZodOptional<z.ZodString>;
                subheading: z.ZodOptional<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                heading?: string;
                subheading?: string;
            }, {
                heading?: string;
                subheading?: string;
            }>>;
            verifyEmail: z.ZodNullable<z.ZodOptional<z.ZodObject<{
                name: z.ZodOptional<z.ZodString>;
                subheading: z.ZodOptional<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                name?: string;
                subheading?: string;
            }, {
                name?: string;
                subheading?: string;
            }>>>;
        }, "strip", z.ZodTypeAny, {
            id?: string;
            createdAt?: Date;
            updatedAt?: Date;
            name?: string;
            type?: "web" | "email" | "link" | "mobile";
            environmentId?: string;
            status?: "draft" | "inProgress" | "archived" | "paused" | "completed";
            attributeFilters?: {
                id?: string;
                attributeClassId?: string;
                condition?: "equals" | "notEquals";
                value?: string;
            }[];
            displayOption?: "displayOnce" | "displayMultiple" | "respondMultiple";
            autoClose?: number;
            triggers?: {
                id?: string;
                name?: string;
                description?: string;
                type?: "code" | "noCode" | "automatic";
                noCodeConfig?: {
                    type?: "innerHtml" | "pageUrl" | "cssSelector";
                    pageUrl?: {
                        value?: string;
                        rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
                    };
                    innerHtml?: {
                        value?: string;
                    };
                    cssSelector?: {
                        value?: string;
                    };
                };
                environmentId?: string;
                createdAt?: Date;
                updatedAt?: Date;
            }[];
            redirectUrl?: string;
            recontactDays?: number;
            questions?: ({
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                type?: import("../questions").QuestionType.OpenText;
                placeholder?: string;
                longAnswer?: boolean;
                logic?: {
                    destination?: string;
                    condition?: "submitted" | "skipped";
                    value?: undefined;
                }[];
            } | {
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                type?: import("../questions").QuestionType.Consent;
                html?: string;
                label?: string;
                dismissButtonLabel?: string;
                placeholder?: string;
                logic?: {
                    destination?: string;
                    condition?: "skipped" | "accepted";
                    value?: undefined;
                }[];
            } | {
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                type?: import("../questions").QuestionType.MultipleChoiceSingle;
                choices?: {
                    id?: string;
                    label?: string;
                }[];
                logic?: {
                    destination?: string;
                    condition?: "equals" | "notEquals" | "submitted" | "skipped";
                    value?: string;
                }[];
                shuffleOption?: "none" | "all" | "exceptLast";
            } | {
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                type?: import("../questions").QuestionType.MultipleChoiceMulti;
                choices?: {
                    id?: string;
                    label?: string;
                }[];
                logic?: {
                    destination?: string;
                    condition?: "equals" | "submitted" | "skipped" | "includesAll" | "includesOne";
                    value?: string | string[];
                }[];
                shuffleOption?: "none" | "all" | "exceptLast";
            } | {
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                type?: import("../questions").QuestionType.NPS;
                lowerLabel?: string;
                upperLabel?: string;
                logic?: {
                    destination?: string;
                    condition?: "equals" | "notEquals" | "submitted" | "skipped" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
                    value?: string | number;
                }[];
            } | {
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                type?: import("../questions").QuestionType.CTA;
                html?: string;
                buttonUrl?: string;
                buttonExternal?: boolean;
                dismissButtonLabel?: string;
                logic?: {
                    destination?: string;
                    condition?: "submitted" | "skipped" | "clicked";
                    value?: undefined;
                }[];
            } | {
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                type?: import("../questions").QuestionType.Rating;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                lowerLabel?: string;
                upperLabel?: string;
                logic?: {
                    destination?: string;
                    condition?: "equals" | "notEquals" | "submitted" | "skipped" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
                    value?: string | number;
                }[];
            })[];
            thankYouCard?: {
                enabled?: boolean;
                headline?: string;
                subheader?: string;
            };
            delay?: number;
            autoComplete?: number;
            closeOnDate?: Date;
            surveyClosedMessage?: {
                heading?: string;
                subheading?: string;
            };
            verifyEmail?: {
                name?: string;
                subheading?: string;
            };
        }, {
            id?: string;
            createdAt?: Date;
            updatedAt?: Date;
            name?: string;
            type?: "web" | "email" | "link" | "mobile";
            environmentId?: string;
            status?: "draft" | "inProgress" | "archived" | "paused" | "completed";
            attributeFilters?: {
                id?: string;
                attributeClassId?: string;
                condition?: "equals" | "notEquals";
                value?: string;
            }[];
            displayOption?: "displayOnce" | "displayMultiple" | "respondMultiple";
            autoClose?: number;
            triggers?: {
                id?: string;
                name?: string;
                description?: string;
                type?: "code" | "noCode" | "automatic";
                noCodeConfig?: {
                    type?: "innerHtml" | "pageUrl" | "cssSelector";
                    pageUrl?: {
                        value?: string;
                        rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
                    };
                    innerHtml?: {
                        value?: string;
                    };
                    cssSelector?: {
                        value?: string;
                    };
                };
                environmentId?: string;
                createdAt?: Date;
                updatedAt?: Date;
            }[];
            redirectUrl?: string;
            recontactDays?: number;
            questions?: ({
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                type?: import("../questions").QuestionType.OpenText;
                placeholder?: string;
                longAnswer?: boolean;
                logic?: {
                    destination?: string;
                    condition?: "submitted" | "skipped";
                    value?: undefined;
                }[];
            } | {
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                type?: import("../questions").QuestionType.Consent;
                html?: string;
                label?: string;
                dismissButtonLabel?: string;
                placeholder?: string;
                logic?: {
                    destination?: string;
                    condition?: "skipped" | "accepted";
                    value?: undefined;
                }[];
            } | {
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                type?: import("../questions").QuestionType.MultipleChoiceSingle;
                choices?: {
                    id?: string;
                    label?: string;
                }[];
                logic?: {
                    destination?: string;
                    condition?: "equals" | "notEquals" | "submitted" | "skipped";
                    value?: string;
                }[];
                shuffleOption?: "none" | "all" | "exceptLast";
            } | {
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                type?: import("../questions").QuestionType.MultipleChoiceMulti;
                choices?: {
                    id?: string;
                    label?: string;
                }[];
                logic?: {
                    destination?: string;
                    condition?: "equals" | "submitted" | "skipped" | "includesAll" | "includesOne";
                    value?: string | string[];
                }[];
                shuffleOption?: "none" | "all" | "exceptLast";
            } | {
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                type?: import("../questions").QuestionType.NPS;
                lowerLabel?: string;
                upperLabel?: string;
                logic?: {
                    destination?: string;
                    condition?: "equals" | "notEquals" | "submitted" | "skipped" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
                    value?: string | number;
                }[];
            } | {
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                type?: import("../questions").QuestionType.CTA;
                html?: string;
                buttonUrl?: string;
                buttonExternal?: boolean;
                dismissButtonLabel?: string;
                logic?: {
                    destination?: string;
                    condition?: "submitted" | "skipped" | "clicked";
                    value?: undefined;
                }[];
            } | {
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                type?: import("../questions").QuestionType.Rating;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                lowerLabel?: string;
                upperLabel?: string;
                logic?: {
                    destination?: string;
                    condition?: "equals" | "notEquals" | "submitted" | "skipped" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
                    value?: string | number;
                }[];
            })[];
            thankYouCard?: {
                enabled?: boolean;
                headline?: string;
                subheader?: string;
            };
            delay?: number;
            autoComplete?: number;
            closeOnDate?: Date;
            surveyClosedMessage?: {
                heading?: string;
                subheading?: string;
            };
            verifyEmail?: {
                name?: string;
                subheading?: string;
            };
        }>, "many">;
        noCodeActionClasses: z.ZodArray<z.ZodObject<{
            id: z.ZodString;
            name: z.ZodString;
            description: z.ZodNullable<z.ZodString>;
            type: z.ZodEnum<["code", "noCode", "automatic"]>;
            noCodeConfig: z.ZodUnion<[z.ZodObject<{
                type: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"innerHtml">, z.ZodLiteral<"pageUrl">, z.ZodLiteral<"cssSelector">]>>;
                pageUrl: z.ZodOptional<z.ZodObject<{
                    value: z.ZodString;
                    rule: z.ZodUnion<[z.ZodLiteral<"exactMatch">, z.ZodLiteral<"contains">, z.ZodLiteral<"startsWith">, z.ZodLiteral<"endsWith">, z.ZodLiteral<"notMatch">, z.ZodLiteral<"notContains">]>;
                }, "strip", z.ZodTypeAny, {
                    value?: string;
                    rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
                }, {
                    value?: string;
                    rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
                }>>;
                innerHtml: z.ZodOptional<z.ZodObject<{
                    value: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    value?: string;
                }, {
                    value?: string;
                }>>;
                cssSelector: z.ZodOptional<z.ZodObject<{
                    value: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    value?: string;
                }, {
                    value?: string;
                }>>;
            }, "strip", z.ZodTypeAny, {
                type?: "innerHtml" | "pageUrl" | "cssSelector";
                pageUrl?: {
                    value?: string;
                    rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
                };
                innerHtml?: {
                    value?: string;
                };
                cssSelector?: {
                    value?: string;
                };
            }, {
                type?: "innerHtml" | "pageUrl" | "cssSelector";
                pageUrl?: {
                    value?: string;
                    rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
                };
                innerHtml?: {
                    value?: string;
                };
                cssSelector?: {
                    value?: string;
                };
            }>, z.ZodNull]>;
            environmentId: z.ZodString;
            createdAt: z.ZodDate;
            updatedAt: z.ZodDate;
        }, "strip", z.ZodTypeAny, {
            id?: string;
            name?: string;
            description?: string;
            type?: "code" | "noCode" | "automatic";
            noCodeConfig?: {
                type?: "innerHtml" | "pageUrl" | "cssSelector";
                pageUrl?: {
                    value?: string;
                    rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
                };
                innerHtml?: {
                    value?: string;
                };
                cssSelector?: {
                    value?: string;
                };
            };
            environmentId?: string;
            createdAt?: Date;
            updatedAt?: Date;
        }, {
            id?: string;
            name?: string;
            description?: string;
            type?: "code" | "noCode" | "automatic";
            noCodeConfig?: {
                type?: "innerHtml" | "pageUrl" | "cssSelector";
                pageUrl?: {
                    value?: string;
                    rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
                };
                innerHtml?: {
                    value?: string;
                };
                cssSelector?: {
                    value?: string;
                };
            };
            environmentId?: string;
            createdAt?: Date;
            updatedAt?: Date;
        }>, "many">;
        product: z.ZodObject<{
            id: z.ZodString;
            createdAt: z.ZodDate;
            updatedAt: z.ZodDate;
            name: z.ZodString;
            teamId: z.ZodString;
            brandColor: z.ZodString;
            highlightBorderColor: z.ZodOptional<z.ZodNullable<z.ZodString>>;
            recontactDays: z.ZodNumber;
            formbricksSignature: z.ZodBoolean;
            placement: z.ZodEnum<["bottomLeft", "bottomRight", "topLeft", "topRight", "center"]>;
            clickOutsideClose: z.ZodBoolean;
            darkOverlay: z.ZodBoolean;
        }, "strip", z.ZodTypeAny, {
            id?: string;
            createdAt?: Date;
            updatedAt?: Date;
            name?: string;
            teamId?: string;
            brandColor?: string;
            highlightBorderColor?: string;
            recontactDays?: number;
            formbricksSignature?: boolean;
            placement?: "bottomLeft" | "bottomRight" | "topLeft" | "topRight" | "center";
            clickOutsideClose?: boolean;
            darkOverlay?: boolean;
        }, {
            id?: string;
            createdAt?: Date;
            updatedAt?: Date;
            name?: string;
            teamId?: string;
            brandColor?: string;
            highlightBorderColor?: string;
            recontactDays?: number;
            formbricksSignature?: boolean;
            placement?: "bottomLeft" | "bottomRight" | "topLeft" | "topRight" | "center";
            clickOutsideClose?: boolean;
            darkOverlay?: boolean;
        }>;
    }, "strip", z.ZodTypeAny, {
        person?: {
            id?: string;
            attributes?: Record<string, string | number>;
            createdAt?: Date;
            updatedAt?: Date;
        };
        session?: {
            id?: string;
            createdAt?: Date;
            updatedAt?: Date;
            expiresAt?: Date;
            personId?: string;
        };
        surveys?: {
            id?: string;
            createdAt?: Date;
            updatedAt?: Date;
            name?: string;
            type?: "web" | "email" | "link" | "mobile";
            environmentId?: string;
            status?: "draft" | "inProgress" | "archived" | "paused" | "completed";
            attributeFilters?: {
                id?: string;
                attributeClassId?: string;
                condition?: "equals" | "notEquals";
                value?: string;
            }[];
            displayOption?: "displayOnce" | "displayMultiple" | "respondMultiple";
            autoClose?: number;
            triggers?: {
                id?: string;
                name?: string;
                description?: string;
                type?: "code" | "noCode" | "automatic";
                noCodeConfig?: {
                    type?: "innerHtml" | "pageUrl" | "cssSelector";
                    pageUrl?: {
                        value?: string;
                        rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
                    };
                    innerHtml?: {
                        value?: string;
                    };
                    cssSelector?: {
                        value?: string;
                    };
                };
                environmentId?: string;
                createdAt?: Date;
                updatedAt?: Date;
            }[];
            redirectUrl?: string;
            recontactDays?: number;
            questions?: ({
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                type?: import("../questions").QuestionType.OpenText;
                placeholder?: string;
                longAnswer?: boolean;
                logic?: {
                    destination?: string;
                    condition?: "submitted" | "skipped";
                    value?: undefined;
                }[];
            } | {
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                type?: import("../questions").QuestionType.Consent;
                html?: string;
                label?: string;
                dismissButtonLabel?: string;
                placeholder?: string;
                logic?: {
                    destination?: string;
                    condition?: "skipped" | "accepted";
                    value?: undefined;
                }[];
            } | {
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                type?: import("../questions").QuestionType.MultipleChoiceSingle;
                choices?: {
                    id?: string;
                    label?: string;
                }[];
                logic?: {
                    destination?: string;
                    condition?: "equals" | "notEquals" | "submitted" | "skipped";
                    value?: string;
                }[];
                shuffleOption?: "none" | "all" | "exceptLast";
            } | {
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                type?: import("../questions").QuestionType.MultipleChoiceMulti;
                choices?: {
                    id?: string;
                    label?: string;
                }[];
                logic?: {
                    destination?: string;
                    condition?: "equals" | "submitted" | "skipped" | "includesAll" | "includesOne";
                    value?: string | string[];
                }[];
                shuffleOption?: "none" | "all" | "exceptLast";
            } | {
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                type?: import("../questions").QuestionType.NPS;
                lowerLabel?: string;
                upperLabel?: string;
                logic?: {
                    destination?: string;
                    condition?: "equals" | "notEquals" | "submitted" | "skipped" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
                    value?: string | number;
                }[];
            } | {
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                type?: import("../questions").QuestionType.CTA;
                html?: string;
                buttonUrl?: string;
                buttonExternal?: boolean;
                dismissButtonLabel?: string;
                logic?: {
                    destination?: string;
                    condition?: "submitted" | "skipped" | "clicked";
                    value?: undefined;
                }[];
            } | {
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                type?: import("../questions").QuestionType.Rating;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                lowerLabel?: string;
                upperLabel?: string;
                logic?: {
                    destination?: string;
                    condition?: "equals" | "notEquals" | "submitted" | "skipped" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
                    value?: string | number;
                }[];
            })[];
            thankYouCard?: {
                enabled?: boolean;
                headline?: string;
                subheader?: string;
            };
            delay?: number;
            autoComplete?: number;
            closeOnDate?: Date;
            surveyClosedMessage?: {
                heading?: string;
                subheading?: string;
            };
            verifyEmail?: {
                name?: string;
                subheading?: string;
            };
        }[];
        noCodeActionClasses?: {
            id?: string;
            name?: string;
            description?: string;
            type?: "code" | "noCode" | "automatic";
            noCodeConfig?: {
                type?: "innerHtml" | "pageUrl" | "cssSelector";
                pageUrl?: {
                    value?: string;
                    rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
                };
                innerHtml?: {
                    value?: string;
                };
                cssSelector?: {
                    value?: string;
                };
            };
            environmentId?: string;
            createdAt?: Date;
            updatedAt?: Date;
        }[];
        product?: {
            id?: string;
            createdAt?: Date;
            updatedAt?: Date;
            name?: string;
            teamId?: string;
            brandColor?: string;
            highlightBorderColor?: string;
            recontactDays?: number;
            formbricksSignature?: boolean;
            placement?: "bottomLeft" | "bottomRight" | "topLeft" | "topRight" | "center";
            clickOutsideClose?: boolean;
            darkOverlay?: boolean;
        };
    }, {
        person?: {
            id?: string;
            attributes?: Record<string, string | number>;
            createdAt?: Date;
            updatedAt?: Date;
        };
        session?: {
            id?: string;
            createdAt?: Date;
            updatedAt?: Date;
            expiresAt?: Date;
            personId?: string;
        };
        surveys?: {
            id?: string;
            createdAt?: Date;
            updatedAt?: Date;
            name?: string;
            type?: "web" | "email" | "link" | "mobile";
            environmentId?: string;
            status?: "draft" | "inProgress" | "archived" | "paused" | "completed";
            attributeFilters?: {
                id?: string;
                attributeClassId?: string;
                condition?: "equals" | "notEquals";
                value?: string;
            }[];
            displayOption?: "displayOnce" | "displayMultiple" | "respondMultiple";
            autoClose?: number;
            triggers?: {
                id?: string;
                name?: string;
                description?: string;
                type?: "code" | "noCode" | "automatic";
                noCodeConfig?: {
                    type?: "innerHtml" | "pageUrl" | "cssSelector";
                    pageUrl?: {
                        value?: string;
                        rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
                    };
                    innerHtml?: {
                        value?: string;
                    };
                    cssSelector?: {
                        value?: string;
                    };
                };
                environmentId?: string;
                createdAt?: Date;
                updatedAt?: Date;
            }[];
            redirectUrl?: string;
            recontactDays?: number;
            questions?: ({
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                type?: import("../questions").QuestionType.OpenText;
                placeholder?: string;
                longAnswer?: boolean;
                logic?: {
                    destination?: string;
                    condition?: "submitted" | "skipped";
                    value?: undefined;
                }[];
            } | {
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                type?: import("../questions").QuestionType.Consent;
                html?: string;
                label?: string;
                dismissButtonLabel?: string;
                placeholder?: string;
                logic?: {
                    destination?: string;
                    condition?: "skipped" | "accepted";
                    value?: undefined;
                }[];
            } | {
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                type?: import("../questions").QuestionType.MultipleChoiceSingle;
                choices?: {
                    id?: string;
                    label?: string;
                }[];
                logic?: {
                    destination?: string;
                    condition?: "equals" | "notEquals" | "submitted" | "skipped";
                    value?: string;
                }[];
                shuffleOption?: "none" | "all" | "exceptLast";
            } | {
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                type?: import("../questions").QuestionType.MultipleChoiceMulti;
                choices?: {
                    id?: string;
                    label?: string;
                }[];
                logic?: {
                    destination?: string;
                    condition?: "equals" | "submitted" | "skipped" | "includesAll" | "includesOne";
                    value?: string | string[];
                }[];
                shuffleOption?: "none" | "all" | "exceptLast";
            } | {
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                type?: import("../questions").QuestionType.NPS;
                lowerLabel?: string;
                upperLabel?: string;
                logic?: {
                    destination?: string;
                    condition?: "equals" | "notEquals" | "submitted" | "skipped" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
                    value?: string | number;
                }[];
            } | {
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                type?: import("../questions").QuestionType.CTA;
                html?: string;
                buttonUrl?: string;
                buttonExternal?: boolean;
                dismissButtonLabel?: string;
                logic?: {
                    destination?: string;
                    condition?: "submitted" | "skipped" | "clicked";
                    value?: undefined;
                }[];
            } | {
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                type?: import("../questions").QuestionType.Rating;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                lowerLabel?: string;
                upperLabel?: string;
                logic?: {
                    destination?: string;
                    condition?: "equals" | "notEquals" | "submitted" | "skipped" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
                    value?: string | number;
                }[];
            })[];
            thankYouCard?: {
                enabled?: boolean;
                headline?: string;
                subheader?: string;
            };
            delay?: number;
            autoComplete?: number;
            closeOnDate?: Date;
            surveyClosedMessage?: {
                heading?: string;
                subheading?: string;
            };
            verifyEmail?: {
                name?: string;
                subheading?: string;
            };
        }[];
        noCodeActionClasses?: {
            id?: string;
            name?: string;
            description?: string;
            type?: "code" | "noCode" | "automatic";
            noCodeConfig?: {
                type?: "innerHtml" | "pageUrl" | "cssSelector";
                pageUrl?: {
                    value?: string;
                    rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
                };
                innerHtml?: {
                    value?: string;
                };
                cssSelector?: {
                    value?: string;
                };
            };
            environmentId?: string;
            createdAt?: Date;
            updatedAt?: Date;
        }[];
        product?: {
            id?: string;
            createdAt?: Date;
            updatedAt?: Date;
            name?: string;
            teamId?: string;
            brandColor?: string;
            highlightBorderColor?: string;
            recontactDays?: number;
            formbricksSignature?: boolean;
            placement?: "bottomLeft" | "bottomRight" | "topLeft" | "topRight" | "center";
            clickOutsideClose?: boolean;
            darkOverlay?: boolean;
        };
    }>;
}, "strip", z.ZodTypeAny, {
    environmentId?: string;
    apiHost?: string;
    state?: {
        person?: {
            id?: string;
            attributes?: Record<string, string | number>;
            createdAt?: Date;
            updatedAt?: Date;
        };
        session?: {
            id?: string;
            createdAt?: Date;
            updatedAt?: Date;
            expiresAt?: Date;
            personId?: string;
        };
        surveys?: {
            id?: string;
            createdAt?: Date;
            updatedAt?: Date;
            name?: string;
            type?: "web" | "email" | "link" | "mobile";
            environmentId?: string;
            status?: "draft" | "inProgress" | "archived" | "paused" | "completed";
            attributeFilters?: {
                id?: string;
                attributeClassId?: string;
                condition?: "equals" | "notEquals";
                value?: string;
            }[];
            displayOption?: "displayOnce" | "displayMultiple" | "respondMultiple";
            autoClose?: number;
            triggers?: {
                id?: string;
                name?: string;
                description?: string;
                type?: "code" | "noCode" | "automatic";
                noCodeConfig?: {
                    type?: "innerHtml" | "pageUrl" | "cssSelector";
                    pageUrl?: {
                        value?: string;
                        rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
                    };
                    innerHtml?: {
                        value?: string;
                    };
                    cssSelector?: {
                        value?: string;
                    };
                };
                environmentId?: string;
                createdAt?: Date;
                updatedAt?: Date;
            }[];
            redirectUrl?: string;
            recontactDays?: number;
            questions?: ({
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                type?: import("../questions").QuestionType.OpenText;
                placeholder?: string;
                longAnswer?: boolean;
                logic?: {
                    destination?: string;
                    condition?: "submitted" | "skipped";
                    value?: undefined;
                }[];
            } | {
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                type?: import("../questions").QuestionType.Consent;
                html?: string;
                label?: string;
                dismissButtonLabel?: string;
                placeholder?: string;
                logic?: {
                    destination?: string;
                    condition?: "skipped" | "accepted";
                    value?: undefined;
                }[];
            } | {
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                type?: import("../questions").QuestionType.MultipleChoiceSingle;
                choices?: {
                    id?: string;
                    label?: string;
                }[];
                logic?: {
                    destination?: string;
                    condition?: "equals" | "notEquals" | "submitted" | "skipped";
                    value?: string;
                }[];
                shuffleOption?: "none" | "all" | "exceptLast";
            } | {
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                type?: import("../questions").QuestionType.MultipleChoiceMulti;
                choices?: {
                    id?: string;
                    label?: string;
                }[];
                logic?: {
                    destination?: string;
                    condition?: "equals" | "submitted" | "skipped" | "includesAll" | "includesOne";
                    value?: string | string[];
                }[];
                shuffleOption?: "none" | "all" | "exceptLast";
            } | {
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                type?: import("../questions").QuestionType.NPS;
                lowerLabel?: string;
                upperLabel?: string;
                logic?: {
                    destination?: string;
                    condition?: "equals" | "notEquals" | "submitted" | "skipped" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
                    value?: string | number;
                }[];
            } | {
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                type?: import("../questions").QuestionType.CTA;
                html?: string;
                buttonUrl?: string;
                buttonExternal?: boolean;
                dismissButtonLabel?: string;
                logic?: {
                    destination?: string;
                    condition?: "submitted" | "skipped" | "clicked";
                    value?: undefined;
                }[];
            } | {
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                type?: import("../questions").QuestionType.Rating;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                lowerLabel?: string;
                upperLabel?: string;
                logic?: {
                    destination?: string;
                    condition?: "equals" | "notEquals" | "submitted" | "skipped" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
                    value?: string | number;
                }[];
            })[];
            thankYouCard?: {
                enabled?: boolean;
                headline?: string;
                subheader?: string;
            };
            delay?: number;
            autoComplete?: number;
            closeOnDate?: Date;
            surveyClosedMessage?: {
                heading?: string;
                subheading?: string;
            };
            verifyEmail?: {
                name?: string;
                subheading?: string;
            };
        }[];
        noCodeActionClasses?: {
            id?: string;
            name?: string;
            description?: string;
            type?: "code" | "noCode" | "automatic";
            noCodeConfig?: {
                type?: "innerHtml" | "pageUrl" | "cssSelector";
                pageUrl?: {
                    value?: string;
                    rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
                };
                innerHtml?: {
                    value?: string;
                };
                cssSelector?: {
                    value?: string;
                };
            };
            environmentId?: string;
            createdAt?: Date;
            updatedAt?: Date;
        }[];
        product?: {
            id?: string;
            createdAt?: Date;
            updatedAt?: Date;
            name?: string;
            teamId?: string;
            brandColor?: string;
            highlightBorderColor?: string;
            recontactDays?: number;
            formbricksSignature?: boolean;
            placement?: "bottomLeft" | "bottomRight" | "topLeft" | "topRight" | "center";
            clickOutsideClose?: boolean;
            darkOverlay?: boolean;
        };
    };
}, {
    environmentId?: string;
    apiHost?: string;
    state?: {
        person?: {
            id?: string;
            attributes?: Record<string, string | number>;
            createdAt?: Date;
            updatedAt?: Date;
        };
        session?: {
            id?: string;
            createdAt?: Date;
            updatedAt?: Date;
            expiresAt?: Date;
            personId?: string;
        };
        surveys?: {
            id?: string;
            createdAt?: Date;
            updatedAt?: Date;
            name?: string;
            type?: "web" | "email" | "link" | "mobile";
            environmentId?: string;
            status?: "draft" | "inProgress" | "archived" | "paused" | "completed";
            attributeFilters?: {
                id?: string;
                attributeClassId?: string;
                condition?: "equals" | "notEquals";
                value?: string;
            }[];
            displayOption?: "displayOnce" | "displayMultiple" | "respondMultiple";
            autoClose?: number;
            triggers?: {
                id?: string;
                name?: string;
                description?: string;
                type?: "code" | "noCode" | "automatic";
                noCodeConfig?: {
                    type?: "innerHtml" | "pageUrl" | "cssSelector";
                    pageUrl?: {
                        value?: string;
                        rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
                    };
                    innerHtml?: {
                        value?: string;
                    };
                    cssSelector?: {
                        value?: string;
                    };
                };
                environmentId?: string;
                createdAt?: Date;
                updatedAt?: Date;
            }[];
            redirectUrl?: string;
            recontactDays?: number;
            questions?: ({
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                type?: import("../questions").QuestionType.OpenText;
                placeholder?: string;
                longAnswer?: boolean;
                logic?: {
                    destination?: string;
                    condition?: "submitted" | "skipped";
                    value?: undefined;
                }[];
            } | {
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                type?: import("../questions").QuestionType.Consent;
                html?: string;
                label?: string;
                dismissButtonLabel?: string;
                placeholder?: string;
                logic?: {
                    destination?: string;
                    condition?: "skipped" | "accepted";
                    value?: undefined;
                }[];
            } | {
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                type?: import("../questions").QuestionType.MultipleChoiceSingle;
                choices?: {
                    id?: string;
                    label?: string;
                }[];
                logic?: {
                    destination?: string;
                    condition?: "equals" | "notEquals" | "submitted" | "skipped";
                    value?: string;
                }[];
                shuffleOption?: "none" | "all" | "exceptLast";
            } | {
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                type?: import("../questions").QuestionType.MultipleChoiceMulti;
                choices?: {
                    id?: string;
                    label?: string;
                }[];
                logic?: {
                    destination?: string;
                    condition?: "equals" | "submitted" | "skipped" | "includesAll" | "includesOne";
                    value?: string | string[];
                }[];
                shuffleOption?: "none" | "all" | "exceptLast";
            } | {
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                type?: import("../questions").QuestionType.NPS;
                lowerLabel?: string;
                upperLabel?: string;
                logic?: {
                    destination?: string;
                    condition?: "equals" | "notEquals" | "submitted" | "skipped" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
                    value?: string | number;
                }[];
            } | {
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                type?: import("../questions").QuestionType.CTA;
                html?: string;
                buttonUrl?: string;
                buttonExternal?: boolean;
                dismissButtonLabel?: string;
                logic?: {
                    destination?: string;
                    condition?: "submitted" | "skipped" | "clicked";
                    value?: undefined;
                }[];
            } | {
                id?: string;
                headline?: string;
                subheader?: string;
                required?: boolean;
                buttonLabel?: string;
                type?: import("../questions").QuestionType.Rating;
                scale?: "number" | "smiley" | "star";
                range?: 4 | 5 | 3 | 7 | 10;
                lowerLabel?: string;
                upperLabel?: string;
                logic?: {
                    destination?: string;
                    condition?: "equals" | "notEquals" | "submitted" | "skipped" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
                    value?: string | number;
                }[];
            })[];
            thankYouCard?: {
                enabled?: boolean;
                headline?: string;
                subheader?: string;
            };
            delay?: number;
            autoComplete?: number;
            closeOnDate?: Date;
            surveyClosedMessage?: {
                heading?: string;
                subheading?: string;
            };
            verifyEmail?: {
                name?: string;
                subheading?: string;
            };
        }[];
        noCodeActionClasses?: {
            id?: string;
            name?: string;
            description?: string;
            type?: "code" | "noCode" | "automatic";
            noCodeConfig?: {
                type?: "innerHtml" | "pageUrl" | "cssSelector";
                pageUrl?: {
                    value?: string;
                    rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
                };
                innerHtml?: {
                    value?: string;
                };
                cssSelector?: {
                    value?: string;
                };
            };
            environmentId?: string;
            createdAt?: Date;
            updatedAt?: Date;
        }[];
        product?: {
            id?: string;
            createdAt?: Date;
            updatedAt?: Date;
            name?: string;
            teamId?: string;
            brandColor?: string;
            highlightBorderColor?: string;
            recontactDays?: number;
            formbricksSignature?: boolean;
            placement?: "bottomLeft" | "bottomRight" | "topLeft" | "topRight" | "center";
            clickOutsideClose?: boolean;
            darkOverlay?: boolean;
        };
    };
}>;
export type TJsConfig = z.infer<typeof ZJsConfig>;
export declare const ZJsPeopleUserIdInput: z.ZodObject<{
    environmentId: z.ZodString;
    userId: z.ZodString;
    sessionId: z.ZodString;
}, "strip", z.ZodTypeAny, {
    environmentId?: string;
    userId?: string;
    sessionId?: string;
}, {
    environmentId?: string;
    userId?: string;
    sessionId?: string;
}>;
export type TJsPeopleUserIdInput = z.infer<typeof ZJsPeopleUserIdInput>;
export declare const ZJsPeopleAttributeInput: z.ZodObject<{
    environmentId: z.ZodString;
    sessionId: z.ZodString;
    key: z.ZodString;
    value: z.ZodString;
}, "strip", z.ZodTypeAny, {
    environmentId?: string;
    sessionId?: string;
    key?: string;
    value?: string;
}, {
    environmentId?: string;
    sessionId?: string;
    key?: string;
    value?: string;
}>;
export type TJsPeopleAttributeInput = z.infer<typeof ZJsPeopleAttributeInput>;
export declare const ZJsActionInput: z.ZodObject<{
    environmentId: z.ZodString;
    sessionId: z.ZodString;
    name: z.ZodString;
    properties: z.ZodRecord<z.ZodString, z.ZodString>;
}, "strip", z.ZodTypeAny, {
    environmentId?: string;
    sessionId?: string;
    name?: string;
    properties?: Record<string, string>;
}, {
    environmentId?: string;
    sessionId?: string;
    name?: string;
    properties?: Record<string, string>;
}>;
export type TJsActionInput = z.infer<typeof ZJsActionInput>;
