import z from "zod";
export declare const ZPersonAttributes: z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
export type TPersonAttributes = z.infer<typeof ZPersonAttributes>;
export declare const ZPerson: z.ZodObject<{
    id: z.ZodString;
    attributes: z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
    createdAt: z.ZodDate;
    updatedAt: z.ZodDate;
}, "strip", z.ZodTypeAny, {
    id?: string;
    attributes?: Record<string, string | number>;
    createdAt?: Date;
    updatedAt?: Date;
}, {
    id?: string;
    attributes?: Record<string, string | number>;
    createdAt?: Date;
    updatedAt?: Date;
}>;
export type TPerson = z.infer<typeof ZPerson>;
