import { z } from "zod";
export declare const ZPipelineTrigger: z.ZodEnum<["responseFinished", "responseCreated", "responseUpdated"]>;
export type TPipelineTrigger = z.infer<typeof ZPipelineTrigger>;
export declare const ZPipelineInput: z.ZodObject<{
    event: z.ZodEnum<["responseFinished", "responseCreated", "responseUpdated"]>;
    response: z.ZodObject<{
        id: z.ZodString;
        createdAt: z.ZodDate;
        updatedAt: z.ZodDate;
        surveyId: z.ZodString;
        person: z.ZodNullable<z.ZodObject<{
            id: z.ZodString;
            attributes: z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
            createdAt: z.ZodDate;
            updatedAt: z.ZodDate;
        }, "strip", z.ZodTypeAny, {
            id?: string;
            attributes?: Record<string, string | number>;
            createdAt?: Date;
            updatedAt?: Date;
        }, {
            id?: string;
            attributes?: Record<string, string | number>;
            createdAt?: Date;
            updatedAt?: Date;
        }>>;
        personAttributes: z.ZodNullable<z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodNumber]>>>;
        finished: z.ZodBoolean;
        data: z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodArray<z.ZodString, "many">]>>;
        notes: z.ZodArray<z.ZodObject<{
            updatedAt: z.ZodDate;
            createdAt: z.ZodDate;
            id: z.ZodString;
            text: z.ZodString;
            user: z.ZodObject<{
                id: z.ZodString;
                name: z.ZodNullable<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                id?: string;
                name?: string;
            }, {
                id?: string;
                name?: string;
            }>;
        }, "strip", z.ZodTypeAny, {
            updatedAt?: Date;
            createdAt?: Date;
            id?: string;
            text?: string;
            user?: {
                id?: string;
                name?: string;
            };
        }, {
            updatedAt?: Date;
            createdAt?: Date;
            id?: string;
            text?: string;
            user?: {
                id?: string;
                name?: string;
            };
        }>, "many">;
        tags: z.ZodArray<z.ZodObject<{
            id: z.ZodString;
            createdAt: z.ZodDate;
            updatedAt: z.ZodDate;
            name: z.ZodString;
            environmentId: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            id?: string;
            createdAt?: Date;
            updatedAt?: Date;
            name?: string;
            environmentId?: string;
        }, {
            id?: string;
            createdAt?: Date;
            updatedAt?: Date;
            name?: string;
            environmentId?: string;
        }>, "many">;
        meta: z.ZodNullable<z.ZodObject<{
            url: z.ZodString;
            userAgent: z.ZodObject<{
                browser: z.ZodOptional<z.ZodString>;
                os: z.ZodOptional<z.ZodString>;
                device: z.ZodOptional<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                browser?: string;
                os?: string;
                device?: string;
            }, {
                browser?: string;
                os?: string;
                device?: string;
            }>;
        }, "strip", z.ZodTypeAny, {
            url?: string;
            userAgent?: {
                browser?: string;
                os?: string;
                device?: string;
            };
        }, {
            url?: string;
            userAgent?: {
                browser?: string;
                os?: string;
                device?: string;
            };
        }>>;
    }, "strip", z.ZodTypeAny, {
        id?: string;
        createdAt?: Date;
        updatedAt?: Date;
        surveyId?: string;
        person?: {
            id?: string;
            attributes?: Record<string, string | number>;
            createdAt?: Date;
            updatedAt?: Date;
        };
        personAttributes?: Record<string, string | number>;
        finished?: boolean;
        data?: Record<string, string | number | string[]>;
        notes?: {
            updatedAt?: Date;
            createdAt?: Date;
            id?: string;
            text?: string;
            user?: {
                id?: string;
                name?: string;
            };
        }[];
        tags?: {
            id?: string;
            createdAt?: Date;
            updatedAt?: Date;
            name?: string;
            environmentId?: string;
        }[];
        meta?: {
            url?: string;
            userAgent?: {
                browser?: string;
                os?: string;
                device?: string;
            };
        };
    }, {
        id?: string;
        createdAt?: Date;
        updatedAt?: Date;
        surveyId?: string;
        person?: {
            id?: string;
            attributes?: Record<string, string | number>;
            createdAt?: Date;
            updatedAt?: Date;
        };
        personAttributes?: Record<string, string | number>;
        finished?: boolean;
        data?: Record<string, string | number | string[]>;
        notes?: {
            updatedAt?: Date;
            createdAt?: Date;
            id?: string;
            text?: string;
            user?: {
                id?: string;
                name?: string;
            };
        }[];
        tags?: {
            id?: string;
            createdAt?: Date;
            updatedAt?: Date;
            name?: string;
            environmentId?: string;
        }[];
        meta?: {
            url?: string;
            userAgent?: {
                browser?: string;
                os?: string;
                device?: string;
            };
        };
    }>;
    environmentId: z.ZodString;
    surveyId: z.ZodString;
}, "strip", z.ZodTypeAny, {
    event?: "responseFinished" | "responseCreated" | "responseUpdated";
    response?: {
        id?: string;
        createdAt?: Date;
        updatedAt?: Date;
        surveyId?: string;
        person?: {
            id?: string;
            attributes?: Record<string, string | number>;
            createdAt?: Date;
            updatedAt?: Date;
        };
        personAttributes?: Record<string, string | number>;
        finished?: boolean;
        data?: Record<string, string | number | string[]>;
        notes?: {
            updatedAt?: Date;
            createdAt?: Date;
            id?: string;
            text?: string;
            user?: {
                id?: string;
                name?: string;
            };
        }[];
        tags?: {
            id?: string;
            createdAt?: Date;
            updatedAt?: Date;
            name?: string;
            environmentId?: string;
        }[];
        meta?: {
            url?: string;
            userAgent?: {
                browser?: string;
                os?: string;
                device?: string;
            };
        };
    };
    environmentId?: string;
    surveyId?: string;
}, {
    event?: "responseFinished" | "responseCreated" | "responseUpdated";
    response?: {
        id?: string;
        createdAt?: Date;
        updatedAt?: Date;
        surveyId?: string;
        person?: {
            id?: string;
            attributes?: Record<string, string | number>;
            createdAt?: Date;
            updatedAt?: Date;
        };
        personAttributes?: Record<string, string | number>;
        finished?: boolean;
        data?: Record<string, string | number | string[]>;
        notes?: {
            updatedAt?: Date;
            createdAt?: Date;
            id?: string;
            text?: string;
            user?: {
                id?: string;
                name?: string;
            };
        }[];
        tags?: {
            id?: string;
            createdAt?: Date;
            updatedAt?: Date;
            name?: string;
            environmentId?: string;
        }[];
        meta?: {
            url?: string;
            userAgent?: {
                browser?: string;
                os?: string;
                device?: string;
            };
        };
    };
    environmentId?: string;
    surveyId?: string;
}>;
export type TPipelineInput = z.infer<typeof ZPipelineInput>;
