import z from "zod";
export declare const ZProfile: z.ZodObject<{
    id: z.ZodString;
    name: z.ZodNullable<z.ZodString>;
    email: z.ZodString;
    createdAt: z.ZodDate;
    updatedAt: z.ZodDate;
}, "strip", z.ZodTypeAny, {
    id?: string;
    name?: string;
    email?: string;
    createdAt?: Date;
    updatedAt?: Date;
}, {
    id?: string;
    name?: string;
    email?: string;
    createdAt?: Date;
    updatedAt?: Date;
}>;
export type TProfile = z.infer<typeof ZProfile>;
export declare const ZProfileUpdateInput: z.ZodObject<{
    name: z.ZodOptional<z.ZodString>;
    email: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    name?: string;
    email?: string;
}, {
    name?: string;
    email?: string;
}>;
export type TProfileUpdateInput = z.infer<typeof ZProfileUpdateInput>;
