import { z } from "zod";
export declare const ZResponseData: z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodArray<z.ZodString, "many">]>>;
export type TResponseData = z.infer<typeof ZResponseData>;
export declare const ZResponsePersonAttributes: z.ZodNullable<z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodNumber]>>>;
export type TResponsePersonAttributes = z.infer<typeof ZResponsePersonAttributes>;
export declare const ZResponseNoteUser: z.ZodObject<{
    id: z.ZodString;
    name: z.ZodNullable<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    id?: string;
    name?: string;
}, {
    id?: string;
    name?: string;
}>;
export type TResponseNoteUser = z.infer<typeof ZResponseNoteUser>;
declare const ZResponseNote: z.ZodObject<{
    updatedAt: z.ZodDate;
    createdAt: z.ZodDate;
    id: z.ZodString;
    text: z.ZodString;
    user: z.ZodObject<{
        id: z.ZodString;
        name: z.ZodNullable<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        id?: string;
        name?: string;
    }, {
        id?: string;
        name?: string;
    }>;
}, "strip", z.ZodTypeAny, {
    updatedAt?: Date;
    createdAt?: Date;
    id?: string;
    text?: string;
    user?: {
        id?: string;
        name?: string;
    };
}, {
    updatedAt?: Date;
    createdAt?: Date;
    id?: string;
    text?: string;
    user?: {
        id?: string;
        name?: string;
    };
}>;
export type TResponseNote = z.infer<typeof ZResponseNote>;
export declare const ZResponseMeta: z.ZodObject<{
    url: z.ZodString;
    userAgent: z.ZodObject<{
        browser: z.ZodOptional<z.ZodString>;
        os: z.ZodOptional<z.ZodString>;
        device: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        browser?: string;
        os?: string;
        device?: string;
    }, {
        browser?: string;
        os?: string;
        device?: string;
    }>;
}, "strip", z.ZodTypeAny, {
    url?: string;
    userAgent?: {
        browser?: string;
        os?: string;
        device?: string;
    };
}, {
    url?: string;
    userAgent?: {
        browser?: string;
        os?: string;
        device?: string;
    };
}>;
export type TResponseMeta = z.infer<typeof ZResponseMeta>;
export declare const ZResponse: z.ZodObject<{
    id: z.ZodString;
    createdAt: z.ZodDate;
    updatedAt: z.ZodDate;
    surveyId: z.ZodString;
    person: z.ZodNullable<z.ZodObject<{
        id: z.ZodString;
        attributes: z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        createdAt: z.ZodDate;
        updatedAt: z.ZodDate;
    }, "strip", z.ZodTypeAny, {
        id?: string;
        attributes?: Record<string, string | number>;
        createdAt?: Date;
        updatedAt?: Date;
    }, {
        id?: string;
        attributes?: Record<string, string | number>;
        createdAt?: Date;
        updatedAt?: Date;
    }>>;
    personAttributes: z.ZodNullable<z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodNumber]>>>;
    finished: z.ZodBoolean;
    data: z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodArray<z.ZodString, "many">]>>;
    notes: z.ZodArray<z.ZodObject<{
        updatedAt: z.ZodDate;
        createdAt: z.ZodDate;
        id: z.ZodString;
        text: z.ZodString;
        user: z.ZodObject<{
            id: z.ZodString;
            name: z.ZodNullable<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            id?: string;
            name?: string;
        }, {
            id?: string;
            name?: string;
        }>;
    }, "strip", z.ZodTypeAny, {
        updatedAt?: Date;
        createdAt?: Date;
        id?: string;
        text?: string;
        user?: {
            id?: string;
            name?: string;
        };
    }, {
        updatedAt?: Date;
        createdAt?: Date;
        id?: string;
        text?: string;
        user?: {
            id?: string;
            name?: string;
        };
    }>, "many">;
    tags: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        createdAt: z.ZodDate;
        updatedAt: z.ZodDate;
        name: z.ZodString;
        environmentId: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        id?: string;
        createdAt?: Date;
        updatedAt?: Date;
        name?: string;
        environmentId?: string;
    }, {
        id?: string;
        createdAt?: Date;
        updatedAt?: Date;
        name?: string;
        environmentId?: string;
    }>, "many">;
    meta: z.ZodNullable<z.ZodObject<{
        url: z.ZodString;
        userAgent: z.ZodObject<{
            browser: z.ZodOptional<z.ZodString>;
            os: z.ZodOptional<z.ZodString>;
            device: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            browser?: string;
            os?: string;
            device?: string;
        }, {
            browser?: string;
            os?: string;
            device?: string;
        }>;
    }, "strip", z.ZodTypeAny, {
        url?: string;
        userAgent?: {
            browser?: string;
            os?: string;
            device?: string;
        };
    }, {
        url?: string;
        userAgent?: {
            browser?: string;
            os?: string;
            device?: string;
        };
    }>>;
}, "strip", z.ZodTypeAny, {
    id?: string;
    createdAt?: Date;
    updatedAt?: Date;
    surveyId?: string;
    person?: {
        id?: string;
        attributes?: Record<string, string | number>;
        createdAt?: Date;
        updatedAt?: Date;
    };
    personAttributes?: Record<string, string | number>;
    finished?: boolean;
    data?: Record<string, string | number | string[]>;
    notes?: {
        updatedAt?: Date;
        createdAt?: Date;
        id?: string;
        text?: string;
        user?: {
            id?: string;
            name?: string;
        };
    }[];
    tags?: {
        id?: string;
        createdAt?: Date;
        updatedAt?: Date;
        name?: string;
        environmentId?: string;
    }[];
    meta?: {
        url?: string;
        userAgent?: {
            browser?: string;
            os?: string;
            device?: string;
        };
    };
}, {
    id?: string;
    createdAt?: Date;
    updatedAt?: Date;
    surveyId?: string;
    person?: {
        id?: string;
        attributes?: Record<string, string | number>;
        createdAt?: Date;
        updatedAt?: Date;
    };
    personAttributes?: Record<string, string | number>;
    finished?: boolean;
    data?: Record<string, string | number | string[]>;
    notes?: {
        updatedAt?: Date;
        createdAt?: Date;
        id?: string;
        text?: string;
        user?: {
            id?: string;
            name?: string;
        };
    }[];
    tags?: {
        id?: string;
        createdAt?: Date;
        updatedAt?: Date;
        name?: string;
        environmentId?: string;
    }[];
    meta?: {
        url?: string;
        userAgent?: {
            browser?: string;
            os?: string;
            device?: string;
        };
    };
}>;
export type TResponse = z.infer<typeof ZResponse>;
export declare const ZResponseInput: z.ZodObject<{
    surveyId: z.ZodString;
    personId: z.ZodNullable<z.ZodString>;
    finished: z.ZodBoolean;
    data: z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodArray<z.ZodString, "many">]>>;
    meta: z.ZodOptional<z.ZodObject<{
        url: z.ZodOptional<z.ZodString>;
        userAgent: z.ZodOptional<z.ZodObject<{
            browser: z.ZodOptional<z.ZodString>;
            device: z.ZodOptional<z.ZodString>;
            os: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            browser?: string;
            device?: string;
            os?: string;
        }, {
            browser?: string;
            device?: string;
            os?: string;
        }>>;
    }, "strip", z.ZodTypeAny, {
        url?: string;
        userAgent?: {
            browser?: string;
            device?: string;
            os?: string;
        };
    }, {
        url?: string;
        userAgent?: {
            browser?: string;
            device?: string;
            os?: string;
        };
    }>>;
}, "strip", z.ZodTypeAny, {
    surveyId?: string;
    personId?: string;
    finished?: boolean;
    data?: Record<string, string | number | string[]>;
    meta?: {
        url?: string;
        userAgent?: {
            browser?: string;
            device?: string;
            os?: string;
        };
    };
}, {
    surveyId?: string;
    personId?: string;
    finished?: boolean;
    data?: Record<string, string | number | string[]>;
    meta?: {
        url?: string;
        userAgent?: {
            browser?: string;
            device?: string;
            os?: string;
        };
    };
}>;
export type TResponseInput = z.infer<typeof ZResponseInput>;
export declare const ZResponseUpdateInput: z.ZodObject<{
    finished: z.ZodBoolean;
    data: z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodArray<z.ZodString, "many">]>>;
}, "strip", z.ZodTypeAny, {
    finished?: boolean;
    data?: Record<string, string | number | string[]>;
}, {
    finished?: boolean;
    data?: Record<string, string | number | string[]>;
}>;
export type TResponseUpdateInput = z.infer<typeof ZResponseUpdateInput>;
export declare const ZResponseWithSurvey: z.ZodObject<{
    data: z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodNumber, z.ZodArray<z.ZodString, "many">]>>;
    id: z.ZodString;
    updatedAt: z.ZodDate;
    createdAt: z.ZodDate;
    surveyId: z.ZodString;
    person: z.ZodNullable<z.ZodObject<{
        id: z.ZodString;
        attributes: z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        createdAt: z.ZodDate;
        updatedAt: z.ZodDate;
    }, "strip", z.ZodTypeAny, {
        id?: string;
        attributes?: Record<string, string | number>;
        createdAt?: Date;
        updatedAt?: Date;
    }, {
        id?: string;
        attributes?: Record<string, string | number>;
        createdAt?: Date;
        updatedAt?: Date;
    }>>;
    personAttributes: z.ZodNullable<z.ZodRecord<z.ZodString, z.ZodUnion<[z.ZodString, z.ZodNumber]>>>;
    finished: z.ZodBoolean;
    notes: z.ZodArray<z.ZodObject<{
        updatedAt: z.ZodDate;
        createdAt: z.ZodDate;
        id: z.ZodString;
        text: z.ZodString;
        user: z.ZodObject<{
            id: z.ZodString;
            name: z.ZodNullable<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            id?: string;
            name?: string;
        }, {
            id?: string;
            name?: string;
        }>;
    }, "strip", z.ZodTypeAny, {
        updatedAt?: Date;
        createdAt?: Date;
        id?: string;
        text?: string;
        user?: {
            id?: string;
            name?: string;
        };
    }, {
        updatedAt?: Date;
        createdAt?: Date;
        id?: string;
        text?: string;
        user?: {
            id?: string;
            name?: string;
        };
    }>, "many">;
    tags: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        createdAt: z.ZodDate;
        updatedAt: z.ZodDate;
        name: z.ZodString;
        environmentId: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        id?: string;
        createdAt?: Date;
        updatedAt?: Date;
        name?: string;
        environmentId?: string;
    }, {
        id?: string;
        createdAt?: Date;
        updatedAt?: Date;
        name?: string;
        environmentId?: string;
    }>, "many">;
    meta: z.ZodNullable<z.ZodObject<{
        url: z.ZodString;
        userAgent: z.ZodObject<{
            browser: z.ZodOptional<z.ZodString>;
            os: z.ZodOptional<z.ZodString>;
            device: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            browser?: string;
            os?: string;
            device?: string;
        }, {
            browser?: string;
            os?: string;
            device?: string;
        }>;
    }, "strip", z.ZodTypeAny, {
        url?: string;
        userAgent?: {
            browser?: string;
            os?: string;
            device?: string;
        };
    }, {
        url?: string;
        userAgent?: {
            browser?: string;
            os?: string;
            device?: string;
        };
    }>>;
    survey: z.ZodObject<{
        id: z.ZodString;
        createdAt: z.ZodDate;
        updatedAt: z.ZodDate;
        name: z.ZodString;
        type: z.ZodEnum<["web", "email", "link", "mobile"]>;
        environmentId: z.ZodString;
        status: z.ZodEnum<["draft", "inProgress", "archived", "paused", "completed"]>;
        attributeFilters: z.ZodArray<z.ZodObject<{
            id: z.ZodString;
            attributeClassId: z.ZodString;
            condition: z.ZodEnum<["equals", "notEquals"]>;
            value: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            id?: string;
            attributeClassId?: string;
            condition?: "equals" | "notEquals";
            value?: string;
        }, {
            id?: string;
            attributeClassId?: string;
            condition?: "equals" | "notEquals";
            value?: string;
        }>, "many">;
        displayOption: z.ZodEnum<["displayOnce", "displayMultiple", "respondMultiple"]>;
        autoClose: z.ZodUnion<[z.ZodNumber, z.ZodNull]>;
        triggers: z.ZodArray<z.ZodObject<{
            id: z.ZodString;
            name: z.ZodString;
            description: z.ZodNullable<z.ZodString>;
            type: z.ZodEnum<["code", "noCode", "automatic"]>;
            noCodeConfig: z.ZodUnion<[z.ZodObject<{
                type: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"innerHtml">, z.ZodLiteral<"pageUrl">, z.ZodLiteral<"cssSelector">]>>;
                pageUrl: z.ZodOptional<z.ZodObject<{
                    value: z.ZodString;
                    rule: z.ZodUnion<[z.ZodLiteral<"exactMatch">, z.ZodLiteral<"contains">, z.ZodLiteral<"startsWith">, z.ZodLiteral<"endsWith">, z.ZodLiteral<"notMatch">, z.ZodLiteral<"notContains">]>;
                }, "strip", z.ZodTypeAny, {
                    value?: string;
                    rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
                }, {
                    value?: string;
                    rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
                }>>;
                innerHtml: z.ZodOptional<z.ZodObject<{
                    value: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    value?: string;
                }, {
                    value?: string;
                }>>;
                cssSelector: z.ZodOptional<z.ZodObject<{
                    value: z.ZodString;
                }, "strip", z.ZodTypeAny, {
                    value?: string;
                }, {
                    value?: string;
                }>>;
            }, "strip", z.ZodTypeAny, {
                type?: "innerHtml" | "pageUrl" | "cssSelector";
                pageUrl?: {
                    value?: string;
                    rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
                };
                innerHtml?: {
                    value?: string;
                };
                cssSelector?: {
                    value?: string;
                };
            }, {
                type?: "innerHtml" | "pageUrl" | "cssSelector";
                pageUrl?: {
                    value?: string;
                    rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
                };
                innerHtml?: {
                    value?: string;
                };
                cssSelector?: {
                    value?: string;
                };
            }>, z.ZodNull]>;
            environmentId: z.ZodString;
            createdAt: z.ZodDate;
            updatedAt: z.ZodDate;
        }, "strip", z.ZodTypeAny, {
            id?: string;
            name?: string;
            description?: string;
            type?: "code" | "noCode" | "automatic";
            noCodeConfig?: {
                type?: "innerHtml" | "pageUrl" | "cssSelector";
                pageUrl?: {
                    value?: string;
                    rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
                };
                innerHtml?: {
                    value?: string;
                };
                cssSelector?: {
                    value?: string;
                };
            };
            environmentId?: string;
            createdAt?: Date;
            updatedAt?: Date;
        }, {
            id?: string;
            name?: string;
            description?: string;
            type?: "code" | "noCode" | "automatic";
            noCodeConfig?: {
                type?: "innerHtml" | "pageUrl" | "cssSelector";
                pageUrl?: {
                    value?: string;
                    rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
                };
                innerHtml?: {
                    value?: string;
                };
                cssSelector?: {
                    value?: string;
                };
            };
            environmentId?: string;
            createdAt?: Date;
            updatedAt?: Date;
        }>, "many">;
        redirectUrl: z.ZodNullable<z.ZodString>;
        recontactDays: z.ZodUnion<[z.ZodNumber, z.ZodNull]>;
        questions: z.ZodArray<z.ZodUnion<[z.ZodObject<{
            id: z.ZodString;
            headline: z.ZodString;
            subheader: z.ZodOptional<z.ZodString>;
            required: z.ZodBoolean;
            buttonLabel: z.ZodOptional<z.ZodString>;
            scale: z.ZodOptional<z.ZodEnum<["number", "smiley", "star"]>>;
            range: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>>;
            type: z.ZodLiteral<import("../questions").QuestionType.OpenText>;
            placeholder: z.ZodOptional<z.ZodString>;
            longAnswer: z.ZodOptional<z.ZodBoolean>;
            logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
                destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
                condition: z.ZodOptional<z.ZodEnum<["submitted", "skipped"]>>;
                value: z.ZodUndefined;
            }, "strip", z.ZodTypeAny, {
                destination?: string;
                condition?: "submitted" | "skipped";
                value?: undefined;
            }, {
                destination?: string;
                condition?: "submitted" | "skipped";
                value?: undefined;
            }>, "many">>;
        }, "strip", z.ZodTypeAny, {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 3 | 4 | 5 | 7 | 10;
            type?: import("../questions").QuestionType.OpenText;
            placeholder?: string;
            longAnswer?: boolean;
            logic?: {
                destination?: string;
                condition?: "submitted" | "skipped";
                value?: undefined;
            }[];
        }, {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 3 | 4 | 5 | 7 | 10;
            type?: import("../questions").QuestionType.OpenText;
            placeholder?: string;
            longAnswer?: boolean;
            logic?: {
                destination?: string;
                condition?: "submitted" | "skipped";
                value?: undefined;
            }[];
        }>, z.ZodObject<{
            id: z.ZodString;
            headline: z.ZodString;
            subheader: z.ZodOptional<z.ZodString>;
            required: z.ZodBoolean;
            buttonLabel: z.ZodOptional<z.ZodString>;
            scale: z.ZodOptional<z.ZodEnum<["number", "smiley", "star"]>>;
            range: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>>;
            type: z.ZodLiteral<import("../questions").QuestionType.Consent>;
            html: z.ZodOptional<z.ZodString>;
            label: z.ZodString;
            dismissButtonLabel: z.ZodOptional<z.ZodString>;
            placeholder: z.ZodOptional<z.ZodString>;
            logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
                destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
                condition: z.ZodOptional<z.ZodEnum<["skipped", "accepted"]>>;
                value: z.ZodUndefined;
            }, "strip", z.ZodTypeAny, {
                destination?: string;
                condition?: "skipped" | "accepted";
                value?: undefined;
            }, {
                destination?: string;
                condition?: "skipped" | "accepted";
                value?: undefined;
            }>, "many">>;
        }, "strip", z.ZodTypeAny, {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 3 | 4 | 5 | 7 | 10;
            type?: import("../questions").QuestionType.Consent;
            html?: string;
            label?: string;
            dismissButtonLabel?: string;
            placeholder?: string;
            logic?: {
                destination?: string;
                condition?: "skipped" | "accepted";
                value?: undefined;
            }[];
        }, {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 3 | 4 | 5 | 7 | 10;
            type?: import("../questions").QuestionType.Consent;
            html?: string;
            label?: string;
            dismissButtonLabel?: string;
            placeholder?: string;
            logic?: {
                destination?: string;
                condition?: "skipped" | "accepted";
                value?: undefined;
            }[];
        }>, z.ZodObject<{
            id: z.ZodString;
            headline: z.ZodString;
            subheader: z.ZodOptional<z.ZodString>;
            required: z.ZodBoolean;
            buttonLabel: z.ZodOptional<z.ZodString>;
            scale: z.ZodOptional<z.ZodEnum<["number", "smiley", "star"]>>;
            range: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>>;
            type: z.ZodLiteral<import("../questions").QuestionType.MultipleChoiceSingle>;
            choices: z.ZodArray<z.ZodObject<{
                id: z.ZodString;
                label: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                id?: string;
                label?: string;
            }, {
                id?: string;
                label?: string;
            }>, "many">;
            logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
                destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
                condition: z.ZodOptional<z.ZodEnum<["submitted", "skipped", "equals", "notEquals"]>>;
                value: z.ZodOptional<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                destination?: string;
                condition?: "equals" | "notEquals" | "submitted" | "skipped";
                value?: string;
            }, {
                destination?: string;
                condition?: "equals" | "notEquals" | "submitted" | "skipped";
                value?: string;
            }>, "many">>;
            shuffleOption: z.ZodOptional<z.ZodEnum<["none", "all", "exceptLast"]>>;
        }, "strip", z.ZodTypeAny, {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 3 | 4 | 5 | 7 | 10;
            type?: import("../questions").QuestionType.MultipleChoiceSingle;
            choices?: {
                id?: string;
                label?: string;
            }[];
            logic?: {
                destination?: string;
                condition?: "equals" | "notEquals" | "submitted" | "skipped";
                value?: string;
            }[];
            shuffleOption?: "none" | "all" | "exceptLast";
        }, {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 3 | 4 | 5 | 7 | 10;
            type?: import("../questions").QuestionType.MultipleChoiceSingle;
            choices?: {
                id?: string;
                label?: string;
            }[];
            logic?: {
                destination?: string;
                condition?: "equals" | "notEquals" | "submitted" | "skipped";
                value?: string;
            }[];
            shuffleOption?: "none" | "all" | "exceptLast";
        }>, z.ZodObject<{
            id: z.ZodString;
            headline: z.ZodString;
            subheader: z.ZodOptional<z.ZodString>;
            required: z.ZodBoolean;
            buttonLabel: z.ZodOptional<z.ZodString>;
            scale: z.ZodOptional<z.ZodEnum<["number", "smiley", "star"]>>;
            range: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>>;
            type: z.ZodLiteral<import("../questions").QuestionType.MultipleChoiceMulti>;
            choices: z.ZodArray<z.ZodObject<{
                id: z.ZodString;
                label: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                id?: string;
                label?: string;
            }, {
                id?: string;
                label?: string;
            }>, "many">;
            logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
                destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
                condition: z.ZodOptional<z.ZodEnum<["submitted", "skipped", "includesAll", "includesOne", "equals"]>>;
                value: z.ZodOptional<z.ZodUnion<[z.ZodArray<z.ZodString, "many">, z.ZodString]>>;
            }, "strip", z.ZodTypeAny, {
                destination?: string;
                condition?: "equals" | "submitted" | "skipped" | "includesAll" | "includesOne";
                value?: string | string[];
            }, {
                destination?: string;
                condition?: "equals" | "submitted" | "skipped" | "includesAll" | "includesOne";
                value?: string | string[];
            }>, "many">>;
            shuffleOption: z.ZodOptional<z.ZodEnum<["none", "all", "exceptLast"]>>;
        }, "strip", z.ZodTypeAny, {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 3 | 4 | 5 | 7 | 10;
            type?: import("../questions").QuestionType.MultipleChoiceMulti;
            choices?: {
                id?: string;
                label?: string;
            }[];
            logic?: {
                destination?: string;
                condition?: "equals" | "submitted" | "skipped" | "includesAll" | "includesOne";
                value?: string | string[];
            }[];
            shuffleOption?: "none" | "all" | "exceptLast";
        }, {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 3 | 4 | 5 | 7 | 10;
            type?: import("../questions").QuestionType.MultipleChoiceMulti;
            choices?: {
                id?: string;
                label?: string;
            }[];
            logic?: {
                destination?: string;
                condition?: "equals" | "submitted" | "skipped" | "includesAll" | "includesOne";
                value?: string | string[];
            }[];
            shuffleOption?: "none" | "all" | "exceptLast";
        }>, z.ZodObject<{
            id: z.ZodString;
            headline: z.ZodString;
            subheader: z.ZodOptional<z.ZodString>;
            required: z.ZodBoolean;
            buttonLabel: z.ZodOptional<z.ZodString>;
            scale: z.ZodOptional<z.ZodEnum<["number", "smiley", "star"]>>;
            range: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>>;
            type: z.ZodLiteral<import("../questions").QuestionType.NPS>;
            lowerLabel: z.ZodString;
            upperLabel: z.ZodString;
            logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
                destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
                condition: z.ZodOptional<z.ZodEnum<["equals", "notEquals", "lessThan", "lessEqual", "greaterThan", "greaterEqual", "submitted", "skipped"]>>;
                value: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
            }, "strip", z.ZodTypeAny, {
                destination?: string;
                condition?: "equals" | "notEquals" | "submitted" | "skipped" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
                value?: string | number;
            }, {
                destination?: string;
                condition?: "equals" | "notEquals" | "submitted" | "skipped" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
                value?: string | number;
            }>, "many">>;
        }, "strip", z.ZodTypeAny, {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 3 | 4 | 5 | 7 | 10;
            type?: import("../questions").QuestionType.NPS;
            lowerLabel?: string;
            upperLabel?: string;
            logic?: {
                destination?: string;
                condition?: "equals" | "notEquals" | "submitted" | "skipped" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
                value?: string | number;
            }[];
        }, {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 3 | 4 | 5 | 7 | 10;
            type?: import("../questions").QuestionType.NPS;
            lowerLabel?: string;
            upperLabel?: string;
            logic?: {
                destination?: string;
                condition?: "equals" | "notEquals" | "submitted" | "skipped" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
                value?: string | number;
            }[];
        }>, z.ZodObject<{
            id: z.ZodString;
            headline: z.ZodString;
            subheader: z.ZodOptional<z.ZodString>;
            required: z.ZodBoolean;
            buttonLabel: z.ZodOptional<z.ZodString>;
            scale: z.ZodOptional<z.ZodEnum<["number", "smiley", "star"]>>;
            range: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>>;
            type: z.ZodLiteral<import("../questions").QuestionType.CTA>;
            html: z.ZodOptional<z.ZodString>;
            buttonUrl: z.ZodOptional<z.ZodString>;
            buttonExternal: z.ZodBoolean;
            dismissButtonLabel: z.ZodOptional<z.ZodString>;
            logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
                destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
                condition: z.ZodOptional<z.ZodEnum<["clicked", "submitted", "skipped"]>>;
                value: z.ZodUndefined;
            }, "strip", z.ZodTypeAny, {
                destination?: string;
                condition?: "submitted" | "skipped" | "clicked";
                value?: undefined;
            }, {
                destination?: string;
                condition?: "submitted" | "skipped" | "clicked";
                value?: undefined;
            }>, "many">>;
        }, "strip", z.ZodTypeAny, {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 3 | 4 | 5 | 7 | 10;
            type?: import("../questions").QuestionType.CTA;
            html?: string;
            buttonUrl?: string;
            buttonExternal?: boolean;
            dismissButtonLabel?: string;
            logic?: {
                destination?: string;
                condition?: "submitted" | "skipped" | "clicked";
                value?: undefined;
            }[];
        }, {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 3 | 4 | 5 | 7 | 10;
            type?: import("../questions").QuestionType.CTA;
            html?: string;
            buttonUrl?: string;
            buttonExternal?: boolean;
            dismissButtonLabel?: string;
            logic?: {
                destination?: string;
                condition?: "submitted" | "skipped" | "clicked";
                value?: undefined;
            }[];
        }>, z.ZodObject<{
            id: z.ZodString;
            headline: z.ZodString;
            subheader: z.ZodOptional<z.ZodString>;
            required: z.ZodBoolean;
            buttonLabel: z.ZodOptional<z.ZodString>;
            type: z.ZodLiteral<import("../questions").QuestionType.Rating>;
            scale: z.ZodEnum<["number", "smiley", "star"]>;
            range: z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>;
            lowerLabel: z.ZodString;
            upperLabel: z.ZodString;
            logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
                destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
                condition: z.ZodOptional<z.ZodEnum<["equals", "notEquals", "lessThan", "lessEqual", "greaterThan", "greaterEqual", "submitted", "skipped"]>>;
                value: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
            }, "strip", z.ZodTypeAny, {
                destination?: string;
                condition?: "equals" | "notEquals" | "submitted" | "skipped" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
                value?: string | number;
            }, {
                destination?: string;
                condition?: "equals" | "notEquals" | "submitted" | "skipped" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
                value?: string | number;
            }>, "many">>;
        }, "strip", z.ZodTypeAny, {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            type?: import("../questions").QuestionType.Rating;
            scale?: "number" | "smiley" | "star";
            range?: 3 | 4 | 5 | 7 | 10;
            lowerLabel?: string;
            upperLabel?: string;
            logic?: {
                destination?: string;
                condition?: "equals" | "notEquals" | "submitted" | "skipped" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
                value?: string | number;
            }[];
        }, {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            type?: import("../questions").QuestionType.Rating;
            scale?: "number" | "smiley" | "star";
            range?: 3 | 4 | 5 | 7 | 10;
            lowerLabel?: string;
            upperLabel?: string;
            logic?: {
                destination?: string;
                condition?: "equals" | "notEquals" | "submitted" | "skipped" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
                value?: string | number;
            }[];
        }>]>, "many">;
        thankYouCard: z.ZodObject<{
            enabled: z.ZodBoolean;
            headline: z.ZodOptional<z.ZodString>;
            subheader: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            enabled?: boolean;
            headline?: string;
            subheader?: string;
        }, {
            enabled?: boolean;
            headline?: string;
            subheader?: string;
        }>;
        delay: z.ZodNumber;
        autoComplete: z.ZodUnion<[z.ZodNumber, z.ZodNull]>;
        closeOnDate: z.ZodNullable<z.ZodDate>;
        surveyClosedMessage: z.ZodOptional<z.ZodObject<{
            heading: z.ZodOptional<z.ZodString>;
            subheading: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            heading?: string;
            subheading?: string;
        }, {
            heading?: string;
            subheading?: string;
        }>>;
        verifyEmail: z.ZodNullable<z.ZodOptional<z.ZodObject<{
            name: z.ZodOptional<z.ZodString>;
            subheading: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            name?: string;
            subheading?: string;
        }, {
            name?: string;
            subheading?: string;
        }>>>;
    }, "strip", z.ZodTypeAny, {
        id?: string;
        createdAt?: Date;
        updatedAt?: Date;
        name?: string;
        type?: "web" | "email" | "link" | "mobile";
        environmentId?: string;
        status?: "draft" | "inProgress" | "archived" | "paused" | "completed";
        attributeFilters?: {
            id?: string;
            attributeClassId?: string;
            condition?: "equals" | "notEquals";
            value?: string;
        }[];
        displayOption?: "displayOnce" | "displayMultiple" | "respondMultiple";
        autoClose?: number;
        triggers?: {
            id?: string;
            name?: string;
            description?: string;
            type?: "code" | "noCode" | "automatic";
            noCodeConfig?: {
                type?: "innerHtml" | "pageUrl" | "cssSelector";
                pageUrl?: {
                    value?: string;
                    rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
                };
                innerHtml?: {
                    value?: string;
                };
                cssSelector?: {
                    value?: string;
                };
            };
            environmentId?: string;
            createdAt?: Date;
            updatedAt?: Date;
        }[];
        redirectUrl?: string;
        recontactDays?: number;
        questions?: ({
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 3 | 4 | 5 | 7 | 10;
            type?: import("../questions").QuestionType.OpenText;
            placeholder?: string;
            longAnswer?: boolean;
            logic?: {
                destination?: string;
                condition?: "submitted" | "skipped";
                value?: undefined;
            }[];
        } | {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 3 | 4 | 5 | 7 | 10;
            type?: import("../questions").QuestionType.Consent;
            html?: string;
            label?: string;
            dismissButtonLabel?: string;
            placeholder?: string;
            logic?: {
                destination?: string;
                condition?: "skipped" | "accepted";
                value?: undefined;
            }[];
        } | {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 3 | 4 | 5 | 7 | 10;
            type?: import("../questions").QuestionType.MultipleChoiceSingle;
            choices?: {
                id?: string;
                label?: string;
            }[];
            logic?: {
                destination?: string;
                condition?: "equals" | "notEquals" | "submitted" | "skipped";
                value?: string;
            }[];
            shuffleOption?: "none" | "all" | "exceptLast";
        } | {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 3 | 4 | 5 | 7 | 10;
            type?: import("../questions").QuestionType.MultipleChoiceMulti;
            choices?: {
                id?: string;
                label?: string;
            }[];
            logic?: {
                destination?: string;
                condition?: "equals" | "submitted" | "skipped" | "includesAll" | "includesOne";
                value?: string | string[];
            }[];
            shuffleOption?: "none" | "all" | "exceptLast";
        } | {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 3 | 4 | 5 | 7 | 10;
            type?: import("../questions").QuestionType.NPS;
            lowerLabel?: string;
            upperLabel?: string;
            logic?: {
                destination?: string;
                condition?: "equals" | "notEquals" | "submitted" | "skipped" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
                value?: string | number;
            }[];
        } | {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 3 | 4 | 5 | 7 | 10;
            type?: import("../questions").QuestionType.CTA;
            html?: string;
            buttonUrl?: string;
            buttonExternal?: boolean;
            dismissButtonLabel?: string;
            logic?: {
                destination?: string;
                condition?: "submitted" | "skipped" | "clicked";
                value?: undefined;
            }[];
        } | {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            type?: import("../questions").QuestionType.Rating;
            scale?: "number" | "smiley" | "star";
            range?: 3 | 4 | 5 | 7 | 10;
            lowerLabel?: string;
            upperLabel?: string;
            logic?: {
                destination?: string;
                condition?: "equals" | "notEquals" | "submitted" | "skipped" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
                value?: string | number;
            }[];
        })[];
        thankYouCard?: {
            enabled?: boolean;
            headline?: string;
            subheader?: string;
        };
        delay?: number;
        autoComplete?: number;
        closeOnDate?: Date;
        surveyClosedMessage?: {
            heading?: string;
            subheading?: string;
        };
        verifyEmail?: {
            name?: string;
            subheading?: string;
        };
    }, {
        id?: string;
        createdAt?: Date;
        updatedAt?: Date;
        name?: string;
        type?: "web" | "email" | "link" | "mobile";
        environmentId?: string;
        status?: "draft" | "inProgress" | "archived" | "paused" | "completed";
        attributeFilters?: {
            id?: string;
            attributeClassId?: string;
            condition?: "equals" | "notEquals";
            value?: string;
        }[];
        displayOption?: "displayOnce" | "displayMultiple" | "respondMultiple";
        autoClose?: number;
        triggers?: {
            id?: string;
            name?: string;
            description?: string;
            type?: "code" | "noCode" | "automatic";
            noCodeConfig?: {
                type?: "innerHtml" | "pageUrl" | "cssSelector";
                pageUrl?: {
                    value?: string;
                    rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
                };
                innerHtml?: {
                    value?: string;
                };
                cssSelector?: {
                    value?: string;
                };
            };
            environmentId?: string;
            createdAt?: Date;
            updatedAt?: Date;
        }[];
        redirectUrl?: string;
        recontactDays?: number;
        questions?: ({
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 3 | 4 | 5 | 7 | 10;
            type?: import("../questions").QuestionType.OpenText;
            placeholder?: string;
            longAnswer?: boolean;
            logic?: {
                destination?: string;
                condition?: "submitted" | "skipped";
                value?: undefined;
            }[];
        } | {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 3 | 4 | 5 | 7 | 10;
            type?: import("../questions").QuestionType.Consent;
            html?: string;
            label?: string;
            dismissButtonLabel?: string;
            placeholder?: string;
            logic?: {
                destination?: string;
                condition?: "skipped" | "accepted";
                value?: undefined;
            }[];
        } | {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 3 | 4 | 5 | 7 | 10;
            type?: import("../questions").QuestionType.MultipleChoiceSingle;
            choices?: {
                id?: string;
                label?: string;
            }[];
            logic?: {
                destination?: string;
                condition?: "equals" | "notEquals" | "submitted" | "skipped";
                value?: string;
            }[];
            shuffleOption?: "none" | "all" | "exceptLast";
        } | {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 3 | 4 | 5 | 7 | 10;
            type?: import("../questions").QuestionType.MultipleChoiceMulti;
            choices?: {
                id?: string;
                label?: string;
            }[];
            logic?: {
                destination?: string;
                condition?: "equals" | "submitted" | "skipped" | "includesAll" | "includesOne";
                value?: string | string[];
            }[];
            shuffleOption?: "none" | "all" | "exceptLast";
        } | {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 3 | 4 | 5 | 7 | 10;
            type?: import("../questions").QuestionType.NPS;
            lowerLabel?: string;
            upperLabel?: string;
            logic?: {
                destination?: string;
                condition?: "equals" | "notEquals" | "submitted" | "skipped" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
                value?: string | number;
            }[];
        } | {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 3 | 4 | 5 | 7 | 10;
            type?: import("../questions").QuestionType.CTA;
            html?: string;
            buttonUrl?: string;
            buttonExternal?: boolean;
            dismissButtonLabel?: string;
            logic?: {
                destination?: string;
                condition?: "submitted" | "skipped" | "clicked";
                value?: undefined;
            }[];
        } | {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            type?: import("../questions").QuestionType.Rating;
            scale?: "number" | "smiley" | "star";
            range?: 3 | 4 | 5 | 7 | 10;
            lowerLabel?: string;
            upperLabel?: string;
            logic?: {
                destination?: string;
                condition?: "equals" | "notEquals" | "submitted" | "skipped" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
                value?: string | number;
            }[];
        })[];
        thankYouCard?: {
            enabled?: boolean;
            headline?: string;
            subheader?: string;
        };
        delay?: number;
        autoComplete?: number;
        closeOnDate?: Date;
        surveyClosedMessage?: {
            heading?: string;
            subheading?: string;
        };
        verifyEmail?: {
            name?: string;
            subheading?: string;
        };
    }>;
}, "strip", z.ZodTypeAny, {
    data?: Record<string, string | number | string[]>;
    id?: string;
    updatedAt?: Date;
    createdAt?: Date;
    surveyId?: string;
    person?: {
        id?: string;
        attributes?: Record<string, string | number>;
        createdAt?: Date;
        updatedAt?: Date;
    };
    personAttributes?: Record<string, string | number>;
    finished?: boolean;
    notes?: {
        updatedAt?: Date;
        createdAt?: Date;
        id?: string;
        text?: string;
        user?: {
            id?: string;
            name?: string;
        };
    }[];
    tags?: {
        id?: string;
        createdAt?: Date;
        updatedAt?: Date;
        name?: string;
        environmentId?: string;
    }[];
    meta?: {
        url?: string;
        userAgent?: {
            browser?: string;
            os?: string;
            device?: string;
        };
    };
    survey?: {
        id?: string;
        createdAt?: Date;
        updatedAt?: Date;
        name?: string;
        type?: "web" | "email" | "link" | "mobile";
        environmentId?: string;
        status?: "draft" | "inProgress" | "archived" | "paused" | "completed";
        attributeFilters?: {
            id?: string;
            attributeClassId?: string;
            condition?: "equals" | "notEquals";
            value?: string;
        }[];
        displayOption?: "displayOnce" | "displayMultiple" | "respondMultiple";
        autoClose?: number;
        triggers?: {
            id?: string;
            name?: string;
            description?: string;
            type?: "code" | "noCode" | "automatic";
            noCodeConfig?: {
                type?: "innerHtml" | "pageUrl" | "cssSelector";
                pageUrl?: {
                    value?: string;
                    rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
                };
                innerHtml?: {
                    value?: string;
                };
                cssSelector?: {
                    value?: string;
                };
            };
            environmentId?: string;
            createdAt?: Date;
            updatedAt?: Date;
        }[];
        redirectUrl?: string;
        recontactDays?: number;
        questions?: ({
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 3 | 4 | 5 | 7 | 10;
            type?: import("../questions").QuestionType.OpenText;
            placeholder?: string;
            longAnswer?: boolean;
            logic?: {
                destination?: string;
                condition?: "submitted" | "skipped";
                value?: undefined;
            }[];
        } | {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 3 | 4 | 5 | 7 | 10;
            type?: import("../questions").QuestionType.Consent;
            html?: string;
            label?: string;
            dismissButtonLabel?: string;
            placeholder?: string;
            logic?: {
                destination?: string;
                condition?: "skipped" | "accepted";
                value?: undefined;
            }[];
        } | {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 3 | 4 | 5 | 7 | 10;
            type?: import("../questions").QuestionType.MultipleChoiceSingle;
            choices?: {
                id?: string;
                label?: string;
            }[];
            logic?: {
                destination?: string;
                condition?: "equals" | "notEquals" | "submitted" | "skipped";
                value?: string;
            }[];
            shuffleOption?: "none" | "all" | "exceptLast";
        } | {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 3 | 4 | 5 | 7 | 10;
            type?: import("../questions").QuestionType.MultipleChoiceMulti;
            choices?: {
                id?: string;
                label?: string;
            }[];
            logic?: {
                destination?: string;
                condition?: "equals" | "submitted" | "skipped" | "includesAll" | "includesOne";
                value?: string | string[];
            }[];
            shuffleOption?: "none" | "all" | "exceptLast";
        } | {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 3 | 4 | 5 | 7 | 10;
            type?: import("../questions").QuestionType.NPS;
            lowerLabel?: string;
            upperLabel?: string;
            logic?: {
                destination?: string;
                condition?: "equals" | "notEquals" | "submitted" | "skipped" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
                value?: string | number;
            }[];
        } | {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 3 | 4 | 5 | 7 | 10;
            type?: import("../questions").QuestionType.CTA;
            html?: string;
            buttonUrl?: string;
            buttonExternal?: boolean;
            dismissButtonLabel?: string;
            logic?: {
                destination?: string;
                condition?: "submitted" | "skipped" | "clicked";
                value?: undefined;
            }[];
        } | {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            type?: import("../questions").QuestionType.Rating;
            scale?: "number" | "smiley" | "star";
            range?: 3 | 4 | 5 | 7 | 10;
            lowerLabel?: string;
            upperLabel?: string;
            logic?: {
                destination?: string;
                condition?: "equals" | "notEquals" | "submitted" | "skipped" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
                value?: string | number;
            }[];
        })[];
        thankYouCard?: {
            enabled?: boolean;
            headline?: string;
            subheader?: string;
        };
        delay?: number;
        autoComplete?: number;
        closeOnDate?: Date;
        surveyClosedMessage?: {
            heading?: string;
            subheading?: string;
        };
        verifyEmail?: {
            name?: string;
            subheading?: string;
        };
    };
}, {
    data?: Record<string, string | number | string[]>;
    id?: string;
    updatedAt?: Date;
    createdAt?: Date;
    surveyId?: string;
    person?: {
        id?: string;
        attributes?: Record<string, string | number>;
        createdAt?: Date;
        updatedAt?: Date;
    };
    personAttributes?: Record<string, string | number>;
    finished?: boolean;
    notes?: {
        updatedAt?: Date;
        createdAt?: Date;
        id?: string;
        text?: string;
        user?: {
            id?: string;
            name?: string;
        };
    }[];
    tags?: {
        id?: string;
        createdAt?: Date;
        updatedAt?: Date;
        name?: string;
        environmentId?: string;
    }[];
    meta?: {
        url?: string;
        userAgent?: {
            browser?: string;
            os?: string;
            device?: string;
        };
    };
    survey?: {
        id?: string;
        createdAt?: Date;
        updatedAt?: Date;
        name?: string;
        type?: "web" | "email" | "link" | "mobile";
        environmentId?: string;
        status?: "draft" | "inProgress" | "archived" | "paused" | "completed";
        attributeFilters?: {
            id?: string;
            attributeClassId?: string;
            condition?: "equals" | "notEquals";
            value?: string;
        }[];
        displayOption?: "displayOnce" | "displayMultiple" | "respondMultiple";
        autoClose?: number;
        triggers?: {
            id?: string;
            name?: string;
            description?: string;
            type?: "code" | "noCode" | "automatic";
            noCodeConfig?: {
                type?: "innerHtml" | "pageUrl" | "cssSelector";
                pageUrl?: {
                    value?: string;
                    rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
                };
                innerHtml?: {
                    value?: string;
                };
                cssSelector?: {
                    value?: string;
                };
            };
            environmentId?: string;
            createdAt?: Date;
            updatedAt?: Date;
        }[];
        redirectUrl?: string;
        recontactDays?: number;
        questions?: ({
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 3 | 4 | 5 | 7 | 10;
            type?: import("../questions").QuestionType.OpenText;
            placeholder?: string;
            longAnswer?: boolean;
            logic?: {
                destination?: string;
                condition?: "submitted" | "skipped";
                value?: undefined;
            }[];
        } | {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 3 | 4 | 5 | 7 | 10;
            type?: import("../questions").QuestionType.Consent;
            html?: string;
            label?: string;
            dismissButtonLabel?: string;
            placeholder?: string;
            logic?: {
                destination?: string;
                condition?: "skipped" | "accepted";
                value?: undefined;
            }[];
        } | {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 3 | 4 | 5 | 7 | 10;
            type?: import("../questions").QuestionType.MultipleChoiceSingle;
            choices?: {
                id?: string;
                label?: string;
            }[];
            logic?: {
                destination?: string;
                condition?: "equals" | "notEquals" | "submitted" | "skipped";
                value?: string;
            }[];
            shuffleOption?: "none" | "all" | "exceptLast";
        } | {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 3 | 4 | 5 | 7 | 10;
            type?: import("../questions").QuestionType.MultipleChoiceMulti;
            choices?: {
                id?: string;
                label?: string;
            }[];
            logic?: {
                destination?: string;
                condition?: "equals" | "submitted" | "skipped" | "includesAll" | "includesOne";
                value?: string | string[];
            }[];
            shuffleOption?: "none" | "all" | "exceptLast";
        } | {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 3 | 4 | 5 | 7 | 10;
            type?: import("../questions").QuestionType.NPS;
            lowerLabel?: string;
            upperLabel?: string;
            logic?: {
                destination?: string;
                condition?: "equals" | "notEquals" | "submitted" | "skipped" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
                value?: string | number;
            }[];
        } | {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            scale?: "number" | "smiley" | "star";
            range?: 3 | 4 | 5 | 7 | 10;
            type?: import("../questions").QuestionType.CTA;
            html?: string;
            buttonUrl?: string;
            buttonExternal?: boolean;
            dismissButtonLabel?: string;
            logic?: {
                destination?: string;
                condition?: "submitted" | "skipped" | "clicked";
                value?: undefined;
            }[];
        } | {
            id?: string;
            headline?: string;
            subheader?: string;
            required?: boolean;
            buttonLabel?: string;
            type?: import("../questions").QuestionType.Rating;
            scale?: "number" | "smiley" | "star";
            range?: 3 | 4 | 5 | 7 | 10;
            lowerLabel?: string;
            upperLabel?: string;
            logic?: {
                destination?: string;
                condition?: "equals" | "notEquals" | "submitted" | "skipped" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
                value?: string | number;
            }[];
        })[];
        thankYouCard?: {
            enabled?: boolean;
            headline?: string;
            subheader?: string;
        };
        delay?: number;
        autoComplete?: number;
        closeOnDate?: Date;
        surveyClosedMessage?: {
            heading?: string;
            subheading?: string;
        };
        verifyEmail?: {
            name?: string;
            subheading?: string;
        };
    };
}>;
export type TResponseWithSurvey = z.infer<typeof ZResponseWithSurvey>;
export {};
