import z from "zod";
export declare const ZSession: z.ZodObject<{
    id: z.ZodString;
    createdAt: z.ZodDate;
    updatedAt: z.ZodDate;
    expiresAt: z.ZodDate;
    personId: z.ZodString;
}, "strip", z.ZodTypeAny, {
    id?: string;
    createdAt?: Date;
    updatedAt?: Date;
    expiresAt?: Date;
    personId?: string;
}, {
    id?: string;
    createdAt?: Date;
    updatedAt?: Date;
    expiresAt?: Date;
    personId?: string;
}>;
export type TSession = z.infer<typeof ZSession>;
export declare const ZSessionWithActions: z.ZodObject<{
    id: z.ZodString;
    events: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        createdAt: z.ZodDate;
        eventClass: z.ZodNullable<z.ZodObject<{
            name: z.ZodString;
            description: z.ZodUnion<[z.ZodString, z.ZodNull]>;
            type: z.ZodEnum<["code", "noCode", "automatic"]>;
        }, "strip", z.ZodTypeAny, {
            name?: string;
            description?: string;
            type?: "code" | "noCode" | "automatic";
        }, {
            name?: string;
            description?: string;
            type?: "code" | "noCode" | "automatic";
        }>>;
    }, "strip", z.ZodTypeAny, {
        id?: string;
        createdAt?: Date;
        eventClass?: {
            name?: string;
            description?: string;
            type?: "code" | "noCode" | "automatic";
        };
    }, {
        id?: string;
        createdAt?: Date;
        eventClass?: {
            name?: string;
            description?: string;
            type?: "code" | "noCode" | "automatic";
        };
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    id?: string;
    events?: {
        id?: string;
        createdAt?: Date;
        eventClass?: {
            name?: string;
            description?: string;
            type?: "code" | "noCode" | "automatic";
        };
    }[];
}, {
    id?: string;
    events?: {
        id?: string;
        createdAt?: Date;
        eventClass?: {
            name?: string;
            description?: string;
            type?: "code" | "noCode" | "automatic";
        };
    }[];
}>;
export type TSessionWithActions = z.infer<typeof ZSessionWithActions>;
