import { z } from "zod";
import { QuestionType } from "../questions";
export declare const ZSurveyThankYouCard: z.ZodObject<{
    enabled: z.ZodBoolean;
    headline: z.ZodOptional<z.ZodString>;
    subheader: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    enabled?: boolean;
    headline?: string;
    subheader?: string;
}, {
    enabled?: boolean;
    headline?: string;
    subheader?: string;
}>;
export declare const ZSurveyClosedMessage: z.ZodOptional<z.ZodObject<{
    heading: z.ZodOptional<z.ZodString>;
    subheading: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    heading?: string;
    subheading?: string;
}, {
    heading?: string;
    subheading?: string;
}>>;
export declare const ZSurveyVerifyEmail: z.ZodOptional<z.ZodObject<{
    name: z.ZodOptional<z.ZodString>;
    subheading: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    name?: string;
    subheading?: string;
}, {
    name?: string;
    subheading?: string;
}>>;
export type TSurveyVerifyEmail = z.infer<typeof ZSurveyVerifyEmail>;
export type TSurveyThankYouCard = z.infer<typeof ZSurveyThankYouCard>;
export type TSurveyClosedMessage = z.infer<typeof ZSurveyThankYouCard>;
export declare const ZSurveyChoice: z.ZodObject<{
    id: z.ZodString;
    label: z.ZodString;
}, "strip", z.ZodTypeAny, {
    id?: string;
    label?: string;
}, {
    id?: string;
    label?: string;
}>;
export type TSurveyChoice = z.infer<typeof ZSurveyChoice>;
export declare const ZSurveyLogicCondition: z.ZodEnum<["submitted", "skipped", "equals", "notEquals", "lessThan", "lessEqual", "greaterThan", "greaterEqual", "includesAll", "includesOne"]>;
export declare const ZSurveyLogicBase: z.ZodObject<{
    condition: z.ZodOptional<z.ZodEnum<["submitted", "skipped", "equals", "notEquals", "lessThan", "lessEqual", "greaterThan", "greaterEqual", "includesAll", "includesOne"]>>;
    value: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
    destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
}, "strip", z.ZodTypeAny, {
    condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual" | "includesAll" | "includesOne";
    value?: string | string[];
    destination?: string;
}, {
    condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual" | "includesAll" | "includesOne";
    value?: string | string[];
    destination?: string;
}>;
export declare const ZSurveyOpenTextLogic: z.ZodObject<{
    destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
    condition: z.ZodOptional<z.ZodEnum<["submitted", "skipped"]>>;
    value: z.ZodUndefined;
}, "strip", z.ZodTypeAny, {
    destination?: string;
    condition?: "submitted" | "skipped";
    value?: undefined;
}, {
    destination?: string;
    condition?: "submitted" | "skipped";
    value?: undefined;
}>;
export declare const ZSurveyConsentLogic: z.ZodObject<{
    destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
    condition: z.ZodOptional<z.ZodEnum<["skipped", "accepted"]>>;
    value: z.ZodUndefined;
}, "strip", z.ZodTypeAny, {
    destination?: string;
    condition?: "skipped" | "accepted";
    value?: undefined;
}, {
    destination?: string;
    condition?: "skipped" | "accepted";
    value?: undefined;
}>;
export declare const ZSurveyMultipleChoiceSingleLogic: z.ZodObject<{
    destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
    condition: z.ZodOptional<z.ZodEnum<["submitted", "skipped", "equals", "notEquals"]>>;
    value: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    destination?: string;
    condition?: "submitted" | "skipped" | "equals" | "notEquals";
    value?: string;
}, {
    destination?: string;
    condition?: "submitted" | "skipped" | "equals" | "notEquals";
    value?: string;
}>;
export declare const ZSurveyMultipleChoiceMultiLogic: z.ZodObject<{
    destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
    condition: z.ZodOptional<z.ZodEnum<["submitted", "skipped", "includesAll", "includesOne", "equals"]>>;
    value: z.ZodOptional<z.ZodUnion<[z.ZodArray<z.ZodString, "many">, z.ZodString]>>;
}, "strip", z.ZodTypeAny, {
    destination?: string;
    condition?: "submitted" | "skipped" | "equals" | "includesAll" | "includesOne";
    value?: string | string[];
}, {
    destination?: string;
    condition?: "submitted" | "skipped" | "equals" | "includesAll" | "includesOne";
    value?: string | string[];
}>;
export declare const ZSurveyNPSLogic: z.ZodObject<{
    destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
    condition: z.ZodOptional<z.ZodEnum<["equals", "notEquals", "lessThan", "lessEqual", "greaterThan", "greaterEqual", "submitted", "skipped"]>>;
    value: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
}, "strip", z.ZodTypeAny, {
    destination?: string;
    condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
    value?: string | number;
}, {
    destination?: string;
    condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
    value?: string | number;
}>;
export declare const ZSurveyLogic: z.ZodUnion<[z.ZodObject<{
    destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
    condition: z.ZodOptional<z.ZodEnum<["submitted", "skipped"]>>;
    value: z.ZodUndefined;
}, "strip", z.ZodTypeAny, {
    destination?: string;
    condition?: "submitted" | "skipped";
    value?: undefined;
}, {
    destination?: string;
    condition?: "submitted" | "skipped";
    value?: undefined;
}>, z.ZodObject<{
    destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
    condition: z.ZodOptional<z.ZodEnum<["skipped", "accepted"]>>;
    value: z.ZodUndefined;
}, "strip", z.ZodTypeAny, {
    destination?: string;
    condition?: "skipped" | "accepted";
    value?: undefined;
}, {
    destination?: string;
    condition?: "skipped" | "accepted";
    value?: undefined;
}>, z.ZodObject<{
    destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
    condition: z.ZodOptional<z.ZodEnum<["submitted", "skipped", "equals", "notEquals"]>>;
    value: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    destination?: string;
    condition?: "submitted" | "skipped" | "equals" | "notEquals";
    value?: string;
}, {
    destination?: string;
    condition?: "submitted" | "skipped" | "equals" | "notEquals";
    value?: string;
}>, z.ZodObject<{
    destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
    condition: z.ZodOptional<z.ZodEnum<["submitted", "skipped", "includesAll", "includesOne", "equals"]>>;
    value: z.ZodOptional<z.ZodUnion<[z.ZodArray<z.ZodString, "many">, z.ZodString]>>;
}, "strip", z.ZodTypeAny, {
    destination?: string;
    condition?: "submitted" | "skipped" | "equals" | "includesAll" | "includesOne";
    value?: string | string[];
}, {
    destination?: string;
    condition?: "submitted" | "skipped" | "equals" | "includesAll" | "includesOne";
    value?: string | string[];
}>, z.ZodObject<{
    destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
    condition: z.ZodOptional<z.ZodEnum<["equals", "notEquals", "lessThan", "lessEqual", "greaterThan", "greaterEqual", "submitted", "skipped"]>>;
    value: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
}, "strip", z.ZodTypeAny, {
    destination?: string;
    condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
    value?: string | number;
}, {
    destination?: string;
    condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
    value?: string | number;
}>, z.ZodObject<{
    destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
    condition: z.ZodOptional<z.ZodEnum<["clicked", "submitted", "skipped"]>>;
    value: z.ZodUndefined;
}, "strip", z.ZodTypeAny, {
    destination?: string;
    condition?: "submitted" | "skipped" | "clicked";
    value?: undefined;
}, {
    destination?: string;
    condition?: "submitted" | "skipped" | "clicked";
    value?: undefined;
}>, z.ZodObject<{
    destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
    condition: z.ZodOptional<z.ZodEnum<["equals", "notEquals", "lessThan", "lessEqual", "greaterThan", "greaterEqual", "submitted", "skipped"]>>;
    value: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
}, "strip", z.ZodTypeAny, {
    destination?: string;
    condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
    value?: string | number;
}, {
    destination?: string;
    condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
    value?: string | number;
}>]>;
export type TSurveyLogic = z.infer<typeof ZSurveyLogic>;
export declare const ZSurveyOpenTextQuestion: z.ZodObject<{
    headline: z.ZodString;
    subheader: z.ZodOptional<z.ZodString>;
    id: z.ZodString;
    required: z.ZodBoolean;
    buttonLabel: z.ZodOptional<z.ZodString>;
    scale: z.ZodOptional<z.ZodEnum<["number", "smiley", "star"]>>;
    range: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>>;
    type: z.ZodLiteral<QuestionType.OpenText>;
    placeholder: z.ZodOptional<z.ZodString>;
    longAnswer: z.ZodOptional<z.ZodBoolean>;
    logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodEnum<["submitted", "skipped"]>>;
        value: z.ZodUndefined;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }>, "many">>;
}, "strip", z.ZodTypeAny, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    scale?: "number" | "smiley" | "star";
    range?: 10 | 4 | 5 | 3 | 7;
    type?: QuestionType.OpenText;
    placeholder?: string;
    longAnswer?: boolean;
    logic?: {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }[];
}, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    scale?: "number" | "smiley" | "star";
    range?: 10 | 4 | 5 | 3 | 7;
    type?: QuestionType.OpenText;
    placeholder?: string;
    longAnswer?: boolean;
    logic?: {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }[];
}>;
export type TSurveyOpenTextQuestion = z.infer<typeof ZSurveyOpenTextQuestion>;
export declare const ZSurveyConsentQuestion: z.ZodObject<{
    headline: z.ZodString;
    subheader: z.ZodOptional<z.ZodString>;
    id: z.ZodString;
    required: z.ZodBoolean;
    buttonLabel: z.ZodOptional<z.ZodString>;
    scale: z.ZodOptional<z.ZodEnum<["number", "smiley", "star"]>>;
    range: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>>;
    type: z.ZodLiteral<QuestionType.Consent>;
    html: z.ZodOptional<z.ZodString>;
    label: z.ZodString;
    dismissButtonLabel: z.ZodOptional<z.ZodString>;
    placeholder: z.ZodOptional<z.ZodString>;
    logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodEnum<["skipped", "accepted"]>>;
        value: z.ZodUndefined;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "skipped" | "accepted";
        value?: undefined;
    }, {
        destination?: string;
        condition?: "skipped" | "accepted";
        value?: undefined;
    }>, "many">>;
}, "strip", z.ZodTypeAny, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    scale?: "number" | "smiley" | "star";
    range?: 10 | 4 | 5 | 3 | 7;
    type?: QuestionType.Consent;
    html?: string;
    label?: string;
    dismissButtonLabel?: string;
    placeholder?: string;
    logic?: {
        destination?: string;
        condition?: "skipped" | "accepted";
        value?: undefined;
    }[];
}, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    scale?: "number" | "smiley" | "star";
    range?: 10 | 4 | 5 | 3 | 7;
    type?: QuestionType.Consent;
    html?: string;
    label?: string;
    dismissButtonLabel?: string;
    placeholder?: string;
    logic?: {
        destination?: string;
        condition?: "skipped" | "accepted";
        value?: undefined;
    }[];
}>;
export type TSurveyConsentQuestion = z.infer<typeof ZSurveyConsentQuestion>;
export declare const ZSurveyMultipleChoiceSingleQuestion: z.ZodObject<{
    headline: z.ZodString;
    subheader: z.ZodOptional<z.ZodString>;
    id: z.ZodString;
    required: z.ZodBoolean;
    buttonLabel: z.ZodOptional<z.ZodString>;
    scale: z.ZodOptional<z.ZodEnum<["number", "smiley", "star"]>>;
    range: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>>;
    type: z.ZodLiteral<QuestionType.MultipleChoiceSingle>;
    choices: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        label: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        id?: string;
        label?: string;
    }, {
        id?: string;
        label?: string;
    }>, "many">;
    logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodEnum<["submitted", "skipped", "equals", "notEquals"]>>;
        value: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    }>, "many">>;
    shuffleOption: z.ZodOptional<z.ZodEnum<["none", "all", "exceptLast"]>>;
}, "strip", z.ZodTypeAny, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    scale?: "number" | "smiley" | "star";
    range?: 10 | 4 | 5 | 3 | 7;
    type?: QuestionType.MultipleChoiceSingle;
    choices?: {
        id?: string;
        label?: string;
    }[];
    logic?: {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    }[];
    shuffleOption?: "none" | "all" | "exceptLast";
}, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    scale?: "number" | "smiley" | "star";
    range?: 10 | 4 | 5 | 3 | 7;
    type?: QuestionType.MultipleChoiceSingle;
    choices?: {
        id?: string;
        label?: string;
    }[];
    logic?: {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    }[];
    shuffleOption?: "none" | "all" | "exceptLast";
}>;
export type TSurveyMultipleChoiceSingleQuestion = z.infer<typeof ZSurveyMultipleChoiceSingleQuestion>;
export declare const ZSurveyMultipleChoiceMultiQuestion: z.ZodObject<{
    headline: z.ZodString;
    subheader: z.ZodOptional<z.ZodString>;
    id: z.ZodString;
    required: z.ZodBoolean;
    buttonLabel: z.ZodOptional<z.ZodString>;
    scale: z.ZodOptional<z.ZodEnum<["number", "smiley", "star"]>>;
    range: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>>;
    type: z.ZodLiteral<QuestionType.MultipleChoiceMulti>;
    choices: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        label: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        id?: string;
        label?: string;
    }, {
        id?: string;
        label?: string;
    }>, "many">;
    logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodEnum<["submitted", "skipped", "includesAll", "includesOne", "equals"]>>;
        value: z.ZodOptional<z.ZodUnion<[z.ZodArray<z.ZodString, "many">, z.ZodString]>>;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "includesAll" | "includesOne";
        value?: string | string[];
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "includesAll" | "includesOne";
        value?: string | string[];
    }>, "many">>;
    shuffleOption: z.ZodOptional<z.ZodEnum<["none", "all", "exceptLast"]>>;
}, "strip", z.ZodTypeAny, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    scale?: "number" | "smiley" | "star";
    range?: 10 | 4 | 5 | 3 | 7;
    type?: QuestionType.MultipleChoiceMulti;
    choices?: {
        id?: string;
        label?: string;
    }[];
    logic?: {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "includesAll" | "includesOne";
        value?: string | string[];
    }[];
    shuffleOption?: "none" | "all" | "exceptLast";
}, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    scale?: "number" | "smiley" | "star";
    range?: 10 | 4 | 5 | 3 | 7;
    type?: QuestionType.MultipleChoiceMulti;
    choices?: {
        id?: string;
        label?: string;
    }[];
    logic?: {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "includesAll" | "includesOne";
        value?: string | string[];
    }[];
    shuffleOption?: "none" | "all" | "exceptLast";
}>;
export type TSurveyMultipleChoiceMultiQuestion = z.infer<typeof ZSurveyMultipleChoiceMultiQuestion>;
export declare const ZSurveyNPSQuestion: z.ZodObject<{
    headline: z.ZodString;
    subheader: z.ZodOptional<z.ZodString>;
    id: z.ZodString;
    required: z.ZodBoolean;
    buttonLabel: z.ZodOptional<z.ZodString>;
    scale: z.ZodOptional<z.ZodEnum<["number", "smiley", "star"]>>;
    range: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>>;
    type: z.ZodLiteral<QuestionType.NPS>;
    lowerLabel: z.ZodString;
    upperLabel: z.ZodString;
    logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodEnum<["equals", "notEquals", "lessThan", "lessEqual", "greaterThan", "greaterEqual", "submitted", "skipped"]>>;
        value: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: string | number;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: string | number;
    }>, "many">>;
}, "strip", z.ZodTypeAny, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    scale?: "number" | "smiley" | "star";
    range?: 10 | 4 | 5 | 3 | 7;
    type?: QuestionType.NPS;
    lowerLabel?: string;
    upperLabel?: string;
    logic?: {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: string | number;
    }[];
}, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    scale?: "number" | "smiley" | "star";
    range?: 10 | 4 | 5 | 3 | 7;
    type?: QuestionType.NPS;
    lowerLabel?: string;
    upperLabel?: string;
    logic?: {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: string | number;
    }[];
}>;
export type TSurveyNPSQuestion = z.infer<typeof ZSurveyNPSQuestion>;
export declare const ZSurveyCTAQuestion: z.ZodObject<{
    headline: z.ZodString;
    subheader: z.ZodOptional<z.ZodString>;
    id: z.ZodString;
    required: z.ZodBoolean;
    buttonLabel: z.ZodOptional<z.ZodString>;
    scale: z.ZodOptional<z.ZodEnum<["number", "smiley", "star"]>>;
    range: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>>;
    type: z.ZodLiteral<QuestionType.CTA>;
    html: z.ZodOptional<z.ZodString>;
    buttonUrl: z.ZodOptional<z.ZodString>;
    buttonExternal: z.ZodBoolean;
    dismissButtonLabel: z.ZodOptional<z.ZodString>;
    logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodEnum<["clicked", "submitted", "skipped"]>>;
        value: z.ZodUndefined;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "clicked";
        value?: undefined;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "clicked";
        value?: undefined;
    }>, "many">>;
}, "strip", z.ZodTypeAny, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    scale?: "number" | "smiley" | "star";
    range?: 10 | 4 | 5 | 3 | 7;
    type?: QuestionType.CTA;
    html?: string;
    buttonUrl?: string;
    buttonExternal?: boolean;
    dismissButtonLabel?: string;
    logic?: {
        destination?: string;
        condition?: "submitted" | "skipped" | "clicked";
        value?: undefined;
    }[];
}, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    scale?: "number" | "smiley" | "star";
    range?: 10 | 4 | 5 | 3 | 7;
    type?: QuestionType.CTA;
    html?: string;
    buttonUrl?: string;
    buttonExternal?: boolean;
    dismissButtonLabel?: string;
    logic?: {
        destination?: string;
        condition?: "submitted" | "skipped" | "clicked";
        value?: undefined;
    }[];
}>;
export type TSurveyCTAQuestion = z.infer<typeof ZSurveyCTAQuestion>;
export declare const ZSurveyRatingQuestion: z.ZodObject<{
    headline: z.ZodString;
    subheader: z.ZodOptional<z.ZodString>;
    id: z.ZodString;
    required: z.ZodBoolean;
    buttonLabel: z.ZodOptional<z.ZodString>;
    type: z.ZodLiteral<QuestionType.Rating>;
    scale: z.ZodEnum<["number", "smiley", "star"]>;
    range: z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>;
    lowerLabel: z.ZodString;
    upperLabel: z.ZodString;
    logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodEnum<["equals", "notEquals", "lessThan", "lessEqual", "greaterThan", "greaterEqual", "submitted", "skipped"]>>;
        value: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: string | number;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: string | number;
    }>, "many">>;
}, "strip", z.ZodTypeAny, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    type?: QuestionType.Rating;
    scale?: "number" | "smiley" | "star";
    range?: 10 | 4 | 5 | 3 | 7;
    lowerLabel?: string;
    upperLabel?: string;
    logic?: {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: string | number;
    }[];
}, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    type?: QuestionType.Rating;
    scale?: "number" | "smiley" | "star";
    range?: 10 | 4 | 5 | 3 | 7;
    lowerLabel?: string;
    upperLabel?: string;
    logic?: {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: string | number;
    }[];
}>;
export type TSurveyRatingQuestion = z.infer<typeof ZSurveyRatingQuestion>;
export declare const ZSurveyQuestion: z.ZodUnion<[z.ZodObject<{
    headline: z.ZodString;
    subheader: z.ZodOptional<z.ZodString>;
    id: z.ZodString;
    required: z.ZodBoolean;
    buttonLabel: z.ZodOptional<z.ZodString>;
    scale: z.ZodOptional<z.ZodEnum<["number", "smiley", "star"]>>;
    range: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>>;
    type: z.ZodLiteral<QuestionType.OpenText>;
    placeholder: z.ZodOptional<z.ZodString>;
    longAnswer: z.ZodOptional<z.ZodBoolean>;
    logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodEnum<["submitted", "skipped"]>>;
        value: z.ZodUndefined;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }>, "many">>;
}, "strip", z.ZodTypeAny, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    scale?: "number" | "smiley" | "star";
    range?: 10 | 4 | 5 | 3 | 7;
    type?: QuestionType.OpenText;
    placeholder?: string;
    longAnswer?: boolean;
    logic?: {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }[];
}, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    scale?: "number" | "smiley" | "star";
    range?: 10 | 4 | 5 | 3 | 7;
    type?: QuestionType.OpenText;
    placeholder?: string;
    longAnswer?: boolean;
    logic?: {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }[];
}>, z.ZodObject<{
    headline: z.ZodString;
    subheader: z.ZodOptional<z.ZodString>;
    id: z.ZodString;
    required: z.ZodBoolean;
    buttonLabel: z.ZodOptional<z.ZodString>;
    scale: z.ZodOptional<z.ZodEnum<["number", "smiley", "star"]>>;
    range: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>>;
    type: z.ZodLiteral<QuestionType.Consent>;
    html: z.ZodOptional<z.ZodString>;
    label: z.ZodString;
    dismissButtonLabel: z.ZodOptional<z.ZodString>;
    placeholder: z.ZodOptional<z.ZodString>;
    logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodEnum<["skipped", "accepted"]>>;
        value: z.ZodUndefined;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "skipped" | "accepted";
        value?: undefined;
    }, {
        destination?: string;
        condition?: "skipped" | "accepted";
        value?: undefined;
    }>, "many">>;
}, "strip", z.ZodTypeAny, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    scale?: "number" | "smiley" | "star";
    range?: 10 | 4 | 5 | 3 | 7;
    type?: QuestionType.Consent;
    html?: string;
    label?: string;
    dismissButtonLabel?: string;
    placeholder?: string;
    logic?: {
        destination?: string;
        condition?: "skipped" | "accepted";
        value?: undefined;
    }[];
}, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    scale?: "number" | "smiley" | "star";
    range?: 10 | 4 | 5 | 3 | 7;
    type?: QuestionType.Consent;
    html?: string;
    label?: string;
    dismissButtonLabel?: string;
    placeholder?: string;
    logic?: {
        destination?: string;
        condition?: "skipped" | "accepted";
        value?: undefined;
    }[];
}>, z.ZodObject<{
    headline: z.ZodString;
    subheader: z.ZodOptional<z.ZodString>;
    id: z.ZodString;
    required: z.ZodBoolean;
    buttonLabel: z.ZodOptional<z.ZodString>;
    scale: z.ZodOptional<z.ZodEnum<["number", "smiley", "star"]>>;
    range: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>>;
    type: z.ZodLiteral<QuestionType.MultipleChoiceSingle>;
    choices: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        label: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        id?: string;
        label?: string;
    }, {
        id?: string;
        label?: string;
    }>, "many">;
    logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodEnum<["submitted", "skipped", "equals", "notEquals"]>>;
        value: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    }>, "many">>;
    shuffleOption: z.ZodOptional<z.ZodEnum<["none", "all", "exceptLast"]>>;
}, "strip", z.ZodTypeAny, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    scale?: "number" | "smiley" | "star";
    range?: 10 | 4 | 5 | 3 | 7;
    type?: QuestionType.MultipleChoiceSingle;
    choices?: {
        id?: string;
        label?: string;
    }[];
    logic?: {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    }[];
    shuffleOption?: "none" | "all" | "exceptLast";
}, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    scale?: "number" | "smiley" | "star";
    range?: 10 | 4 | 5 | 3 | 7;
    type?: QuestionType.MultipleChoiceSingle;
    choices?: {
        id?: string;
        label?: string;
    }[];
    logic?: {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    }[];
    shuffleOption?: "none" | "all" | "exceptLast";
}>, z.ZodObject<{
    headline: z.ZodString;
    subheader: z.ZodOptional<z.ZodString>;
    id: z.ZodString;
    required: z.ZodBoolean;
    buttonLabel: z.ZodOptional<z.ZodString>;
    scale: z.ZodOptional<z.ZodEnum<["number", "smiley", "star"]>>;
    range: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>>;
    type: z.ZodLiteral<QuestionType.MultipleChoiceMulti>;
    choices: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        label: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        id?: string;
        label?: string;
    }, {
        id?: string;
        label?: string;
    }>, "many">;
    logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodEnum<["submitted", "skipped", "includesAll", "includesOne", "equals"]>>;
        value: z.ZodOptional<z.ZodUnion<[z.ZodArray<z.ZodString, "many">, z.ZodString]>>;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "includesAll" | "includesOne";
        value?: string | string[];
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "includesAll" | "includesOne";
        value?: string | string[];
    }>, "many">>;
    shuffleOption: z.ZodOptional<z.ZodEnum<["none", "all", "exceptLast"]>>;
}, "strip", z.ZodTypeAny, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    scale?: "number" | "smiley" | "star";
    range?: 10 | 4 | 5 | 3 | 7;
    type?: QuestionType.MultipleChoiceMulti;
    choices?: {
        id?: string;
        label?: string;
    }[];
    logic?: {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "includesAll" | "includesOne";
        value?: string | string[];
    }[];
    shuffleOption?: "none" | "all" | "exceptLast";
}, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    scale?: "number" | "smiley" | "star";
    range?: 10 | 4 | 5 | 3 | 7;
    type?: QuestionType.MultipleChoiceMulti;
    choices?: {
        id?: string;
        label?: string;
    }[];
    logic?: {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "includesAll" | "includesOne";
        value?: string | string[];
    }[];
    shuffleOption?: "none" | "all" | "exceptLast";
}>, z.ZodObject<{
    headline: z.ZodString;
    subheader: z.ZodOptional<z.ZodString>;
    id: z.ZodString;
    required: z.ZodBoolean;
    buttonLabel: z.ZodOptional<z.ZodString>;
    scale: z.ZodOptional<z.ZodEnum<["number", "smiley", "star"]>>;
    range: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>>;
    type: z.ZodLiteral<QuestionType.NPS>;
    lowerLabel: z.ZodString;
    upperLabel: z.ZodString;
    logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodEnum<["equals", "notEquals", "lessThan", "lessEqual", "greaterThan", "greaterEqual", "submitted", "skipped"]>>;
        value: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: string | number;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: string | number;
    }>, "many">>;
}, "strip", z.ZodTypeAny, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    scale?: "number" | "smiley" | "star";
    range?: 10 | 4 | 5 | 3 | 7;
    type?: QuestionType.NPS;
    lowerLabel?: string;
    upperLabel?: string;
    logic?: {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: string | number;
    }[];
}, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    scale?: "number" | "smiley" | "star";
    range?: 10 | 4 | 5 | 3 | 7;
    type?: QuestionType.NPS;
    lowerLabel?: string;
    upperLabel?: string;
    logic?: {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: string | number;
    }[];
}>, z.ZodObject<{
    headline: z.ZodString;
    subheader: z.ZodOptional<z.ZodString>;
    id: z.ZodString;
    required: z.ZodBoolean;
    buttonLabel: z.ZodOptional<z.ZodString>;
    scale: z.ZodOptional<z.ZodEnum<["number", "smiley", "star"]>>;
    range: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>>;
    type: z.ZodLiteral<QuestionType.CTA>;
    html: z.ZodOptional<z.ZodString>;
    buttonUrl: z.ZodOptional<z.ZodString>;
    buttonExternal: z.ZodBoolean;
    dismissButtonLabel: z.ZodOptional<z.ZodString>;
    logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodEnum<["clicked", "submitted", "skipped"]>>;
        value: z.ZodUndefined;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "clicked";
        value?: undefined;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "clicked";
        value?: undefined;
    }>, "many">>;
}, "strip", z.ZodTypeAny, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    scale?: "number" | "smiley" | "star";
    range?: 10 | 4 | 5 | 3 | 7;
    type?: QuestionType.CTA;
    html?: string;
    buttonUrl?: string;
    buttonExternal?: boolean;
    dismissButtonLabel?: string;
    logic?: {
        destination?: string;
        condition?: "submitted" | "skipped" | "clicked";
        value?: undefined;
    }[];
}, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    scale?: "number" | "smiley" | "star";
    range?: 10 | 4 | 5 | 3 | 7;
    type?: QuestionType.CTA;
    html?: string;
    buttonUrl?: string;
    buttonExternal?: boolean;
    dismissButtonLabel?: string;
    logic?: {
        destination?: string;
        condition?: "submitted" | "skipped" | "clicked";
        value?: undefined;
    }[];
}>, z.ZodObject<{
    headline: z.ZodString;
    subheader: z.ZodOptional<z.ZodString>;
    id: z.ZodString;
    required: z.ZodBoolean;
    buttonLabel: z.ZodOptional<z.ZodString>;
    type: z.ZodLiteral<QuestionType.Rating>;
    scale: z.ZodEnum<["number", "smiley", "star"]>;
    range: z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>;
    lowerLabel: z.ZodString;
    upperLabel: z.ZodString;
    logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodEnum<["equals", "notEquals", "lessThan", "lessEqual", "greaterThan", "greaterEqual", "submitted", "skipped"]>>;
        value: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: string | number;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: string | number;
    }>, "many">>;
}, "strip", z.ZodTypeAny, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    type?: QuestionType.Rating;
    scale?: "number" | "smiley" | "star";
    range?: 10 | 4 | 5 | 3 | 7;
    lowerLabel?: string;
    upperLabel?: string;
    logic?: {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: string | number;
    }[];
}, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    type?: QuestionType.Rating;
    scale?: "number" | "smiley" | "star";
    range?: 10 | 4 | 5 | 3 | 7;
    lowerLabel?: string;
    upperLabel?: string;
    logic?: {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: string | number;
    }[];
}>]>;
export type TSurveyQuestion = z.infer<typeof ZSurveyQuestion>;
export declare const ZSurveyQuestions: z.ZodArray<z.ZodUnion<[z.ZodObject<{
    headline: z.ZodString;
    subheader: z.ZodOptional<z.ZodString>;
    id: z.ZodString;
    required: z.ZodBoolean;
    buttonLabel: z.ZodOptional<z.ZodString>;
    scale: z.ZodOptional<z.ZodEnum<["number", "smiley", "star"]>>;
    range: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>>;
    type: z.ZodLiteral<QuestionType.OpenText>;
    placeholder: z.ZodOptional<z.ZodString>;
    longAnswer: z.ZodOptional<z.ZodBoolean>;
    logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodEnum<["submitted", "skipped"]>>;
        value: z.ZodUndefined;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }>, "many">>;
}, "strip", z.ZodTypeAny, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    scale?: "number" | "smiley" | "star";
    range?: 10 | 4 | 5 | 3 | 7;
    type?: QuestionType.OpenText;
    placeholder?: string;
    longAnswer?: boolean;
    logic?: {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }[];
}, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    scale?: "number" | "smiley" | "star";
    range?: 10 | 4 | 5 | 3 | 7;
    type?: QuestionType.OpenText;
    placeholder?: string;
    longAnswer?: boolean;
    logic?: {
        destination?: string;
        condition?: "submitted" | "skipped";
        value?: undefined;
    }[];
}>, z.ZodObject<{
    headline: z.ZodString;
    subheader: z.ZodOptional<z.ZodString>;
    id: z.ZodString;
    required: z.ZodBoolean;
    buttonLabel: z.ZodOptional<z.ZodString>;
    scale: z.ZodOptional<z.ZodEnum<["number", "smiley", "star"]>>;
    range: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>>;
    type: z.ZodLiteral<QuestionType.Consent>;
    html: z.ZodOptional<z.ZodString>;
    label: z.ZodString;
    dismissButtonLabel: z.ZodOptional<z.ZodString>;
    placeholder: z.ZodOptional<z.ZodString>;
    logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodEnum<["skipped", "accepted"]>>;
        value: z.ZodUndefined;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "skipped" | "accepted";
        value?: undefined;
    }, {
        destination?: string;
        condition?: "skipped" | "accepted";
        value?: undefined;
    }>, "many">>;
}, "strip", z.ZodTypeAny, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    scale?: "number" | "smiley" | "star";
    range?: 10 | 4 | 5 | 3 | 7;
    type?: QuestionType.Consent;
    html?: string;
    label?: string;
    dismissButtonLabel?: string;
    placeholder?: string;
    logic?: {
        destination?: string;
        condition?: "skipped" | "accepted";
        value?: undefined;
    }[];
}, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    scale?: "number" | "smiley" | "star";
    range?: 10 | 4 | 5 | 3 | 7;
    type?: QuestionType.Consent;
    html?: string;
    label?: string;
    dismissButtonLabel?: string;
    placeholder?: string;
    logic?: {
        destination?: string;
        condition?: "skipped" | "accepted";
        value?: undefined;
    }[];
}>, z.ZodObject<{
    headline: z.ZodString;
    subheader: z.ZodOptional<z.ZodString>;
    id: z.ZodString;
    required: z.ZodBoolean;
    buttonLabel: z.ZodOptional<z.ZodString>;
    scale: z.ZodOptional<z.ZodEnum<["number", "smiley", "star"]>>;
    range: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>>;
    type: z.ZodLiteral<QuestionType.MultipleChoiceSingle>;
    choices: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        label: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        id?: string;
        label?: string;
    }, {
        id?: string;
        label?: string;
    }>, "many">;
    logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodEnum<["submitted", "skipped", "equals", "notEquals"]>>;
        value: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    }>, "many">>;
    shuffleOption: z.ZodOptional<z.ZodEnum<["none", "all", "exceptLast"]>>;
}, "strip", z.ZodTypeAny, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    scale?: "number" | "smiley" | "star";
    range?: 10 | 4 | 5 | 3 | 7;
    type?: QuestionType.MultipleChoiceSingle;
    choices?: {
        id?: string;
        label?: string;
    }[];
    logic?: {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    }[];
    shuffleOption?: "none" | "all" | "exceptLast";
}, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    scale?: "number" | "smiley" | "star";
    range?: 10 | 4 | 5 | 3 | 7;
    type?: QuestionType.MultipleChoiceSingle;
    choices?: {
        id?: string;
        label?: string;
    }[];
    logic?: {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals";
        value?: string;
    }[];
    shuffleOption?: "none" | "all" | "exceptLast";
}>, z.ZodObject<{
    headline: z.ZodString;
    subheader: z.ZodOptional<z.ZodString>;
    id: z.ZodString;
    required: z.ZodBoolean;
    buttonLabel: z.ZodOptional<z.ZodString>;
    scale: z.ZodOptional<z.ZodEnum<["number", "smiley", "star"]>>;
    range: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>>;
    type: z.ZodLiteral<QuestionType.MultipleChoiceMulti>;
    choices: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        label: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        id?: string;
        label?: string;
    }, {
        id?: string;
        label?: string;
    }>, "many">;
    logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodEnum<["submitted", "skipped", "includesAll", "includesOne", "equals"]>>;
        value: z.ZodOptional<z.ZodUnion<[z.ZodArray<z.ZodString, "many">, z.ZodString]>>;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "includesAll" | "includesOne";
        value?: string | string[];
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "includesAll" | "includesOne";
        value?: string | string[];
    }>, "many">>;
    shuffleOption: z.ZodOptional<z.ZodEnum<["none", "all", "exceptLast"]>>;
}, "strip", z.ZodTypeAny, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    scale?: "number" | "smiley" | "star";
    range?: 10 | 4 | 5 | 3 | 7;
    type?: QuestionType.MultipleChoiceMulti;
    choices?: {
        id?: string;
        label?: string;
    }[];
    logic?: {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "includesAll" | "includesOne";
        value?: string | string[];
    }[];
    shuffleOption?: "none" | "all" | "exceptLast";
}, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    scale?: "number" | "smiley" | "star";
    range?: 10 | 4 | 5 | 3 | 7;
    type?: QuestionType.MultipleChoiceMulti;
    choices?: {
        id?: string;
        label?: string;
    }[];
    logic?: {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "includesAll" | "includesOne";
        value?: string | string[];
    }[];
    shuffleOption?: "none" | "all" | "exceptLast";
}>, z.ZodObject<{
    headline: z.ZodString;
    subheader: z.ZodOptional<z.ZodString>;
    id: z.ZodString;
    required: z.ZodBoolean;
    buttonLabel: z.ZodOptional<z.ZodString>;
    scale: z.ZodOptional<z.ZodEnum<["number", "smiley", "star"]>>;
    range: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>>;
    type: z.ZodLiteral<QuestionType.NPS>;
    lowerLabel: z.ZodString;
    upperLabel: z.ZodString;
    logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodEnum<["equals", "notEquals", "lessThan", "lessEqual", "greaterThan", "greaterEqual", "submitted", "skipped"]>>;
        value: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: string | number;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: string | number;
    }>, "many">>;
}, "strip", z.ZodTypeAny, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    scale?: "number" | "smiley" | "star";
    range?: 10 | 4 | 5 | 3 | 7;
    type?: QuestionType.NPS;
    lowerLabel?: string;
    upperLabel?: string;
    logic?: {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: string | number;
    }[];
}, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    scale?: "number" | "smiley" | "star";
    range?: 10 | 4 | 5 | 3 | 7;
    type?: QuestionType.NPS;
    lowerLabel?: string;
    upperLabel?: string;
    logic?: {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: string | number;
    }[];
}>, z.ZodObject<{
    headline: z.ZodString;
    subheader: z.ZodOptional<z.ZodString>;
    id: z.ZodString;
    required: z.ZodBoolean;
    buttonLabel: z.ZodOptional<z.ZodString>;
    scale: z.ZodOptional<z.ZodEnum<["number", "smiley", "star"]>>;
    range: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>>;
    type: z.ZodLiteral<QuestionType.CTA>;
    html: z.ZodOptional<z.ZodString>;
    buttonUrl: z.ZodOptional<z.ZodString>;
    buttonExternal: z.ZodBoolean;
    dismissButtonLabel: z.ZodOptional<z.ZodString>;
    logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodEnum<["clicked", "submitted", "skipped"]>>;
        value: z.ZodUndefined;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "clicked";
        value?: undefined;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "clicked";
        value?: undefined;
    }>, "many">>;
}, "strip", z.ZodTypeAny, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    scale?: "number" | "smiley" | "star";
    range?: 10 | 4 | 5 | 3 | 7;
    type?: QuestionType.CTA;
    html?: string;
    buttonUrl?: string;
    buttonExternal?: boolean;
    dismissButtonLabel?: string;
    logic?: {
        destination?: string;
        condition?: "submitted" | "skipped" | "clicked";
        value?: undefined;
    }[];
}, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    scale?: "number" | "smiley" | "star";
    range?: 10 | 4 | 5 | 3 | 7;
    type?: QuestionType.CTA;
    html?: string;
    buttonUrl?: string;
    buttonExternal?: boolean;
    dismissButtonLabel?: string;
    logic?: {
        destination?: string;
        condition?: "submitted" | "skipped" | "clicked";
        value?: undefined;
    }[];
}>, z.ZodObject<{
    headline: z.ZodString;
    subheader: z.ZodOptional<z.ZodString>;
    id: z.ZodString;
    required: z.ZodBoolean;
    buttonLabel: z.ZodOptional<z.ZodString>;
    type: z.ZodLiteral<QuestionType.Rating>;
    scale: z.ZodEnum<["number", "smiley", "star"]>;
    range: z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>;
    lowerLabel: z.ZodString;
    upperLabel: z.ZodString;
    logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
        destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
        condition: z.ZodOptional<z.ZodEnum<["equals", "notEquals", "lessThan", "lessEqual", "greaterThan", "greaterEqual", "submitted", "skipped"]>>;
        value: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
    }, "strip", z.ZodTypeAny, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: string | number;
    }, {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: string | number;
    }>, "many">>;
}, "strip", z.ZodTypeAny, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    type?: QuestionType.Rating;
    scale?: "number" | "smiley" | "star";
    range?: 10 | 4 | 5 | 3 | 7;
    lowerLabel?: string;
    upperLabel?: string;
    logic?: {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: string | number;
    }[];
}, {
    headline?: string;
    subheader?: string;
    id?: string;
    required?: boolean;
    buttonLabel?: string;
    type?: QuestionType.Rating;
    scale?: "number" | "smiley" | "star";
    range?: 10 | 4 | 5 | 3 | 7;
    lowerLabel?: string;
    upperLabel?: string;
    logic?: {
        destination?: string;
        condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
        value?: string | number;
    }[];
}>]>, "many">;
export type TSurveyQuestions = z.infer<typeof ZSurveyQuestions>;
export declare const ZSurveyAttributeFilter: z.ZodObject<{
    id: z.ZodString;
    attributeClassId: z.ZodString;
    condition: z.ZodEnum<["equals", "notEquals"]>;
    value: z.ZodString;
}, "strip", z.ZodTypeAny, {
    id?: string;
    attributeClassId?: string;
    condition?: "equals" | "notEquals";
    value?: string;
}, {
    id?: string;
    attributeClassId?: string;
    condition?: "equals" | "notEquals";
    value?: string;
}>;
export declare const ZSurvey: z.ZodObject<{
    id: z.ZodString;
    createdAt: z.ZodDate;
    updatedAt: z.ZodDate;
    name: z.ZodString;
    type: z.ZodEnum<["web", "email", "link", "mobile"]>;
    environmentId: z.ZodString;
    status: z.ZodEnum<["draft", "inProgress", "archived", "paused", "completed"]>;
    attributeFilters: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        attributeClassId: z.ZodString;
        condition: z.ZodEnum<["equals", "notEquals"]>;
        value: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        id?: string;
        attributeClassId?: string;
        condition?: "equals" | "notEquals";
        value?: string;
    }, {
        id?: string;
        attributeClassId?: string;
        condition?: "equals" | "notEquals";
        value?: string;
    }>, "many">;
    displayOption: z.ZodEnum<["displayOnce", "displayMultiple", "respondMultiple"]>;
    autoClose: z.ZodUnion<[z.ZodNumber, z.ZodNull]>;
    triggers: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        name: z.ZodString;
        description: z.ZodNullable<z.ZodString>;
        type: z.ZodEnum<["code", "noCode", "automatic"]>;
        noCodeConfig: z.ZodUnion<[z.ZodObject<{
            type: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"innerHtml">, z.ZodLiteral<"pageUrl">, z.ZodLiteral<"cssSelector">]>>;
            pageUrl: z.ZodOptional<z.ZodObject<{
                value: z.ZodString;
                rule: z.ZodUnion<[z.ZodLiteral<"exactMatch">, z.ZodLiteral<"contains">, z.ZodLiteral<"startsWith">, z.ZodLiteral<"endsWith">, z.ZodLiteral<"notMatch">, z.ZodLiteral<"notContains">]>;
            }, "strip", z.ZodTypeAny, {
                value?: string;
                rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
            }, {
                value?: string;
                rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
            }>>;
            innerHtml: z.ZodOptional<z.ZodObject<{
                value: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                value?: string;
            }, {
                value?: string;
            }>>;
            cssSelector: z.ZodOptional<z.ZodObject<{
                value: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                value?: string;
            }, {
                value?: string;
            }>>;
        }, "strip", z.ZodTypeAny, {
            type?: "innerHtml" | "pageUrl" | "cssSelector";
            pageUrl?: {
                value?: string;
                rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
            };
            innerHtml?: {
                value?: string;
            };
            cssSelector?: {
                value?: string;
            };
        }, {
            type?: "innerHtml" | "pageUrl" | "cssSelector";
            pageUrl?: {
                value?: string;
                rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
            };
            innerHtml?: {
                value?: string;
            };
            cssSelector?: {
                value?: string;
            };
        }>, z.ZodNull]>;
        environmentId: z.ZodString;
        createdAt: z.ZodDate;
        updatedAt: z.ZodDate;
    }, "strip", z.ZodTypeAny, {
        id?: string;
        name?: string;
        description?: string;
        type?: "code" | "noCode" | "automatic";
        noCodeConfig?: {
            type?: "innerHtml" | "pageUrl" | "cssSelector";
            pageUrl?: {
                value?: string;
                rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
            };
            innerHtml?: {
                value?: string;
            };
            cssSelector?: {
                value?: string;
            };
        };
        environmentId?: string;
        createdAt?: Date;
        updatedAt?: Date;
    }, {
        id?: string;
        name?: string;
        description?: string;
        type?: "code" | "noCode" | "automatic";
        noCodeConfig?: {
            type?: "innerHtml" | "pageUrl" | "cssSelector";
            pageUrl?: {
                value?: string;
                rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
            };
            innerHtml?: {
                value?: string;
            };
            cssSelector?: {
                value?: string;
            };
        };
        environmentId?: string;
        createdAt?: Date;
        updatedAt?: Date;
    }>, "many">;
    redirectUrl: z.ZodNullable<z.ZodString>;
    recontactDays: z.ZodUnion<[z.ZodNumber, z.ZodNull]>;
    questions: z.ZodArray<z.ZodUnion<[z.ZodObject<{
        headline: z.ZodString;
        subheader: z.ZodOptional<z.ZodString>;
        id: z.ZodString;
        required: z.ZodBoolean;
        buttonLabel: z.ZodOptional<z.ZodString>;
        scale: z.ZodOptional<z.ZodEnum<["number", "smiley", "star"]>>;
        range: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>>;
        type: z.ZodLiteral<QuestionType.OpenText>;
        placeholder: z.ZodOptional<z.ZodString>;
        longAnswer: z.ZodOptional<z.ZodBoolean>;
        logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
            destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
            condition: z.ZodOptional<z.ZodEnum<["submitted", "skipped"]>>;
            value: z.ZodUndefined;
        }, "strip", z.ZodTypeAny, {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        }, {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        }>, "many">>;
    }, "strip", z.ZodTypeAny, {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        type?: QuestionType.OpenText;
        placeholder?: string;
        longAnswer?: boolean;
        logic?: {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        }[];
    }, {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        type?: QuestionType.OpenText;
        placeholder?: string;
        longAnswer?: boolean;
        logic?: {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        }[];
    }>, z.ZodObject<{
        headline: z.ZodString;
        subheader: z.ZodOptional<z.ZodString>;
        id: z.ZodString;
        required: z.ZodBoolean;
        buttonLabel: z.ZodOptional<z.ZodString>;
        scale: z.ZodOptional<z.ZodEnum<["number", "smiley", "star"]>>;
        range: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>>;
        type: z.ZodLiteral<QuestionType.Consent>;
        html: z.ZodOptional<z.ZodString>;
        label: z.ZodString;
        dismissButtonLabel: z.ZodOptional<z.ZodString>;
        placeholder: z.ZodOptional<z.ZodString>;
        logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
            destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
            condition: z.ZodOptional<z.ZodEnum<["skipped", "accepted"]>>;
            value: z.ZodUndefined;
        }, "strip", z.ZodTypeAny, {
            destination?: string;
            condition?: "skipped" | "accepted";
            value?: undefined;
        }, {
            destination?: string;
            condition?: "skipped" | "accepted";
            value?: undefined;
        }>, "many">>;
    }, "strip", z.ZodTypeAny, {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        type?: QuestionType.Consent;
        html?: string;
        label?: string;
        dismissButtonLabel?: string;
        placeholder?: string;
        logic?: {
            destination?: string;
            condition?: "skipped" | "accepted";
            value?: undefined;
        }[];
    }, {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        type?: QuestionType.Consent;
        html?: string;
        label?: string;
        dismissButtonLabel?: string;
        placeholder?: string;
        logic?: {
            destination?: string;
            condition?: "skipped" | "accepted";
            value?: undefined;
        }[];
    }>, z.ZodObject<{
        headline: z.ZodString;
        subheader: z.ZodOptional<z.ZodString>;
        id: z.ZodString;
        required: z.ZodBoolean;
        buttonLabel: z.ZodOptional<z.ZodString>;
        scale: z.ZodOptional<z.ZodEnum<["number", "smiley", "star"]>>;
        range: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>>;
        type: z.ZodLiteral<QuestionType.MultipleChoiceSingle>;
        choices: z.ZodArray<z.ZodObject<{
            id: z.ZodString;
            label: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            id?: string;
            label?: string;
        }, {
            id?: string;
            label?: string;
        }>, "many">;
        logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
            destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
            condition: z.ZodOptional<z.ZodEnum<["submitted", "skipped", "equals", "notEquals"]>>;
            value: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals";
            value?: string;
        }, {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals";
            value?: string;
        }>, "many">>;
        shuffleOption: z.ZodOptional<z.ZodEnum<["none", "all", "exceptLast"]>>;
    }, "strip", z.ZodTypeAny, {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        type?: QuestionType.MultipleChoiceSingle;
        choices?: {
            id?: string;
            label?: string;
        }[];
        logic?: {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals";
            value?: string;
        }[];
        shuffleOption?: "none" | "all" | "exceptLast";
    }, {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        type?: QuestionType.MultipleChoiceSingle;
        choices?: {
            id?: string;
            label?: string;
        }[];
        logic?: {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals";
            value?: string;
        }[];
        shuffleOption?: "none" | "all" | "exceptLast";
    }>, z.ZodObject<{
        headline: z.ZodString;
        subheader: z.ZodOptional<z.ZodString>;
        id: z.ZodString;
        required: z.ZodBoolean;
        buttonLabel: z.ZodOptional<z.ZodString>;
        scale: z.ZodOptional<z.ZodEnum<["number", "smiley", "star"]>>;
        range: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>>;
        type: z.ZodLiteral<QuestionType.MultipleChoiceMulti>;
        choices: z.ZodArray<z.ZodObject<{
            id: z.ZodString;
            label: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            id?: string;
            label?: string;
        }, {
            id?: string;
            label?: string;
        }>, "many">;
        logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
            destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
            condition: z.ZodOptional<z.ZodEnum<["submitted", "skipped", "includesAll", "includesOne", "equals"]>>;
            value: z.ZodOptional<z.ZodUnion<[z.ZodArray<z.ZodString, "many">, z.ZodString]>>;
        }, "strip", z.ZodTypeAny, {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "includesAll" | "includesOne";
            value?: string | string[];
        }, {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "includesAll" | "includesOne";
            value?: string | string[];
        }>, "many">>;
        shuffleOption: z.ZodOptional<z.ZodEnum<["none", "all", "exceptLast"]>>;
    }, "strip", z.ZodTypeAny, {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        type?: QuestionType.MultipleChoiceMulti;
        choices?: {
            id?: string;
            label?: string;
        }[];
        logic?: {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "includesAll" | "includesOne";
            value?: string | string[];
        }[];
        shuffleOption?: "none" | "all" | "exceptLast";
    }, {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        type?: QuestionType.MultipleChoiceMulti;
        choices?: {
            id?: string;
            label?: string;
        }[];
        logic?: {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "includesAll" | "includesOne";
            value?: string | string[];
        }[];
        shuffleOption?: "none" | "all" | "exceptLast";
    }>, z.ZodObject<{
        headline: z.ZodString;
        subheader: z.ZodOptional<z.ZodString>;
        id: z.ZodString;
        required: z.ZodBoolean;
        buttonLabel: z.ZodOptional<z.ZodString>;
        scale: z.ZodOptional<z.ZodEnum<["number", "smiley", "star"]>>;
        range: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>>;
        type: z.ZodLiteral<QuestionType.NPS>;
        lowerLabel: z.ZodString;
        upperLabel: z.ZodString;
        logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
            destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
            condition: z.ZodOptional<z.ZodEnum<["equals", "notEquals", "lessThan", "lessEqual", "greaterThan", "greaterEqual", "submitted", "skipped"]>>;
            value: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "strip", z.ZodTypeAny, {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: string | number;
        }, {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: string | number;
        }>, "many">>;
    }, "strip", z.ZodTypeAny, {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        type?: QuestionType.NPS;
        lowerLabel?: string;
        upperLabel?: string;
        logic?: {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: string | number;
        }[];
    }, {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        type?: QuestionType.NPS;
        lowerLabel?: string;
        upperLabel?: string;
        logic?: {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: string | number;
        }[];
    }>, z.ZodObject<{
        headline: z.ZodString;
        subheader: z.ZodOptional<z.ZodString>;
        id: z.ZodString;
        required: z.ZodBoolean;
        buttonLabel: z.ZodOptional<z.ZodString>;
        scale: z.ZodOptional<z.ZodEnum<["number", "smiley", "star"]>>;
        range: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>>;
        type: z.ZodLiteral<QuestionType.CTA>;
        html: z.ZodOptional<z.ZodString>;
        buttonUrl: z.ZodOptional<z.ZodString>;
        buttonExternal: z.ZodBoolean;
        dismissButtonLabel: z.ZodOptional<z.ZodString>;
        logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
            destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
            condition: z.ZodOptional<z.ZodEnum<["clicked", "submitted", "skipped"]>>;
            value: z.ZodUndefined;
        }, "strip", z.ZodTypeAny, {
            destination?: string;
            condition?: "submitted" | "skipped" | "clicked";
            value?: undefined;
        }, {
            destination?: string;
            condition?: "submitted" | "skipped" | "clicked";
            value?: undefined;
        }>, "many">>;
    }, "strip", z.ZodTypeAny, {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        type?: QuestionType.CTA;
        html?: string;
        buttonUrl?: string;
        buttonExternal?: boolean;
        dismissButtonLabel?: string;
        logic?: {
            destination?: string;
            condition?: "submitted" | "skipped" | "clicked";
            value?: undefined;
        }[];
    }, {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        type?: QuestionType.CTA;
        html?: string;
        buttonUrl?: string;
        buttonExternal?: boolean;
        dismissButtonLabel?: string;
        logic?: {
            destination?: string;
            condition?: "submitted" | "skipped" | "clicked";
            value?: undefined;
        }[];
    }>, z.ZodObject<{
        headline: z.ZodString;
        subheader: z.ZodOptional<z.ZodString>;
        id: z.ZodString;
        required: z.ZodBoolean;
        buttonLabel: z.ZodOptional<z.ZodString>;
        type: z.ZodLiteral<QuestionType.Rating>;
        scale: z.ZodEnum<["number", "smiley", "star"]>;
        range: z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>;
        lowerLabel: z.ZodString;
        upperLabel: z.ZodString;
        logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
            destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
            condition: z.ZodOptional<z.ZodEnum<["equals", "notEquals", "lessThan", "lessEqual", "greaterThan", "greaterEqual", "submitted", "skipped"]>>;
            value: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "strip", z.ZodTypeAny, {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: string | number;
        }, {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: string | number;
        }>, "many">>;
    }, "strip", z.ZodTypeAny, {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        type?: QuestionType.Rating;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        lowerLabel?: string;
        upperLabel?: string;
        logic?: {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: string | number;
        }[];
    }, {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        type?: QuestionType.Rating;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        lowerLabel?: string;
        upperLabel?: string;
        logic?: {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: string | number;
        }[];
    }>]>, "many">;
    thankYouCard: z.ZodObject<{
        enabled: z.ZodBoolean;
        headline: z.ZodOptional<z.ZodString>;
        subheader: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        enabled?: boolean;
        headline?: string;
        subheader?: string;
    }, {
        enabled?: boolean;
        headline?: string;
        subheader?: string;
    }>;
    delay: z.ZodNumber;
    autoComplete: z.ZodUnion<[z.ZodNumber, z.ZodNull]>;
    closeOnDate: z.ZodNullable<z.ZodDate>;
    surveyClosedMessage: z.ZodOptional<z.ZodObject<{
        heading: z.ZodOptional<z.ZodString>;
        subheading: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        heading?: string;
        subheading?: string;
    }, {
        heading?: string;
        subheading?: string;
    }>>;
    verifyEmail: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        name: z.ZodOptional<z.ZodString>;
        subheading: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        name?: string;
        subheading?: string;
    }, {
        name?: string;
        subheading?: string;
    }>>>;
}, "strip", z.ZodTypeAny, {
    id?: string;
    createdAt?: Date;
    updatedAt?: Date;
    name?: string;
    type?: "web" | "email" | "link" | "mobile";
    environmentId?: string;
    status?: "draft" | "inProgress" | "archived" | "paused" | "completed";
    attributeFilters?: {
        id?: string;
        attributeClassId?: string;
        condition?: "equals" | "notEquals";
        value?: string;
    }[];
    displayOption?: "displayOnce" | "displayMultiple" | "respondMultiple";
    autoClose?: number;
    triggers?: {
        id?: string;
        name?: string;
        description?: string;
        type?: "code" | "noCode" | "automatic";
        noCodeConfig?: {
            type?: "innerHtml" | "pageUrl" | "cssSelector";
            pageUrl?: {
                value?: string;
                rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
            };
            innerHtml?: {
                value?: string;
            };
            cssSelector?: {
                value?: string;
            };
        };
        environmentId?: string;
        createdAt?: Date;
        updatedAt?: Date;
    }[];
    redirectUrl?: string;
    recontactDays?: number;
    questions?: ({
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        type?: QuestionType.OpenText;
        placeholder?: string;
        longAnswer?: boolean;
        logic?: {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        }[];
    } | {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        type?: QuestionType.Consent;
        html?: string;
        label?: string;
        dismissButtonLabel?: string;
        placeholder?: string;
        logic?: {
            destination?: string;
            condition?: "skipped" | "accepted";
            value?: undefined;
        }[];
    } | {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        type?: QuestionType.MultipleChoiceSingle;
        choices?: {
            id?: string;
            label?: string;
        }[];
        logic?: {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals";
            value?: string;
        }[];
        shuffleOption?: "none" | "all" | "exceptLast";
    } | {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        type?: QuestionType.MultipleChoiceMulti;
        choices?: {
            id?: string;
            label?: string;
        }[];
        logic?: {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "includesAll" | "includesOne";
            value?: string | string[];
        }[];
        shuffleOption?: "none" | "all" | "exceptLast";
    } | {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        type?: QuestionType.NPS;
        lowerLabel?: string;
        upperLabel?: string;
        logic?: {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: string | number;
        }[];
    } | {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        type?: QuestionType.CTA;
        html?: string;
        buttonUrl?: string;
        buttonExternal?: boolean;
        dismissButtonLabel?: string;
        logic?: {
            destination?: string;
            condition?: "submitted" | "skipped" | "clicked";
            value?: undefined;
        }[];
    } | {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        type?: QuestionType.Rating;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        lowerLabel?: string;
        upperLabel?: string;
        logic?: {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: string | number;
        }[];
    })[];
    thankYouCard?: {
        enabled?: boolean;
        headline?: string;
        subheader?: string;
    };
    delay?: number;
    autoComplete?: number;
    closeOnDate?: Date;
    surveyClosedMessage?: {
        heading?: string;
        subheading?: string;
    };
    verifyEmail?: {
        name?: string;
        subheading?: string;
    };
}, {
    id?: string;
    createdAt?: Date;
    updatedAt?: Date;
    name?: string;
    type?: "web" | "email" | "link" | "mobile";
    environmentId?: string;
    status?: "draft" | "inProgress" | "archived" | "paused" | "completed";
    attributeFilters?: {
        id?: string;
        attributeClassId?: string;
        condition?: "equals" | "notEquals";
        value?: string;
    }[];
    displayOption?: "displayOnce" | "displayMultiple" | "respondMultiple";
    autoClose?: number;
    triggers?: {
        id?: string;
        name?: string;
        description?: string;
        type?: "code" | "noCode" | "automatic";
        noCodeConfig?: {
            type?: "innerHtml" | "pageUrl" | "cssSelector";
            pageUrl?: {
                value?: string;
                rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
            };
            innerHtml?: {
                value?: string;
            };
            cssSelector?: {
                value?: string;
            };
        };
        environmentId?: string;
        createdAt?: Date;
        updatedAt?: Date;
    }[];
    redirectUrl?: string;
    recontactDays?: number;
    questions?: ({
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        type?: QuestionType.OpenText;
        placeholder?: string;
        longAnswer?: boolean;
        logic?: {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        }[];
    } | {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        type?: QuestionType.Consent;
        html?: string;
        label?: string;
        dismissButtonLabel?: string;
        placeholder?: string;
        logic?: {
            destination?: string;
            condition?: "skipped" | "accepted";
            value?: undefined;
        }[];
    } | {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        type?: QuestionType.MultipleChoiceSingle;
        choices?: {
            id?: string;
            label?: string;
        }[];
        logic?: {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals";
            value?: string;
        }[];
        shuffleOption?: "none" | "all" | "exceptLast";
    } | {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        type?: QuestionType.MultipleChoiceMulti;
        choices?: {
            id?: string;
            label?: string;
        }[];
        logic?: {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "includesAll" | "includesOne";
            value?: string | string[];
        }[];
        shuffleOption?: "none" | "all" | "exceptLast";
    } | {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        type?: QuestionType.NPS;
        lowerLabel?: string;
        upperLabel?: string;
        logic?: {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: string | number;
        }[];
    } | {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        type?: QuestionType.CTA;
        html?: string;
        buttonUrl?: string;
        buttonExternal?: boolean;
        dismissButtonLabel?: string;
        logic?: {
            destination?: string;
            condition?: "submitted" | "skipped" | "clicked";
            value?: undefined;
        }[];
    } | {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        type?: QuestionType.Rating;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        lowerLabel?: string;
        upperLabel?: string;
        logic?: {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: string | number;
        }[];
    })[];
    thankYouCard?: {
        enabled?: boolean;
        headline?: string;
        subheader?: string;
    };
    delay?: number;
    autoComplete?: number;
    closeOnDate?: Date;
    surveyClosedMessage?: {
        heading?: string;
        subheading?: string;
    };
    verifyEmail?: {
        name?: string;
        subheading?: string;
    };
}>;
export type TSurvey = z.infer<typeof ZSurvey>;
export declare const ZSurveyWithAnalytics: z.ZodObject<{
    status: z.ZodEnum<["draft", "inProgress", "archived", "paused", "completed"]>;
    type: z.ZodEnum<["web", "email", "link", "mobile"]>;
    name: z.ZodString;
    id: z.ZodString;
    createdAt: z.ZodDate;
    updatedAt: z.ZodDate;
    environmentId: z.ZodString;
    attributeFilters: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        attributeClassId: z.ZodString;
        condition: z.ZodEnum<["equals", "notEquals"]>;
        value: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        id?: string;
        attributeClassId?: string;
        condition?: "equals" | "notEquals";
        value?: string;
    }, {
        id?: string;
        attributeClassId?: string;
        condition?: "equals" | "notEquals";
        value?: string;
    }>, "many">;
    displayOption: z.ZodEnum<["displayOnce", "displayMultiple", "respondMultiple"]>;
    autoClose: z.ZodUnion<[z.ZodNumber, z.ZodNull]>;
    triggers: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        name: z.ZodString;
        description: z.ZodNullable<z.ZodString>;
        type: z.ZodEnum<["code", "noCode", "automatic"]>;
        noCodeConfig: z.ZodUnion<[z.ZodObject<{
            type: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<"innerHtml">, z.ZodLiteral<"pageUrl">, z.ZodLiteral<"cssSelector">]>>;
            pageUrl: z.ZodOptional<z.ZodObject<{
                value: z.ZodString;
                rule: z.ZodUnion<[z.ZodLiteral<"exactMatch">, z.ZodLiteral<"contains">, z.ZodLiteral<"startsWith">, z.ZodLiteral<"endsWith">, z.ZodLiteral<"notMatch">, z.ZodLiteral<"notContains">]>;
            }, "strip", z.ZodTypeAny, {
                value?: string;
                rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
            }, {
                value?: string;
                rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
            }>>;
            innerHtml: z.ZodOptional<z.ZodObject<{
                value: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                value?: string;
            }, {
                value?: string;
            }>>;
            cssSelector: z.ZodOptional<z.ZodObject<{
                value: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                value?: string;
            }, {
                value?: string;
            }>>;
        }, "strip", z.ZodTypeAny, {
            type?: "innerHtml" | "pageUrl" | "cssSelector";
            pageUrl?: {
                value?: string;
                rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
            };
            innerHtml?: {
                value?: string;
            };
            cssSelector?: {
                value?: string;
            };
        }, {
            type?: "innerHtml" | "pageUrl" | "cssSelector";
            pageUrl?: {
                value?: string;
                rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
            };
            innerHtml?: {
                value?: string;
            };
            cssSelector?: {
                value?: string;
            };
        }>, z.ZodNull]>;
        environmentId: z.ZodString;
        createdAt: z.ZodDate;
        updatedAt: z.ZodDate;
    }, "strip", z.ZodTypeAny, {
        id?: string;
        name?: string;
        description?: string;
        type?: "code" | "noCode" | "automatic";
        noCodeConfig?: {
            type?: "innerHtml" | "pageUrl" | "cssSelector";
            pageUrl?: {
                value?: string;
                rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
            };
            innerHtml?: {
                value?: string;
            };
            cssSelector?: {
                value?: string;
            };
        };
        environmentId?: string;
        createdAt?: Date;
        updatedAt?: Date;
    }, {
        id?: string;
        name?: string;
        description?: string;
        type?: "code" | "noCode" | "automatic";
        noCodeConfig?: {
            type?: "innerHtml" | "pageUrl" | "cssSelector";
            pageUrl?: {
                value?: string;
                rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
            };
            innerHtml?: {
                value?: string;
            };
            cssSelector?: {
                value?: string;
            };
        };
        environmentId?: string;
        createdAt?: Date;
        updatedAt?: Date;
    }>, "many">;
    redirectUrl: z.ZodNullable<z.ZodString>;
    recontactDays: z.ZodUnion<[z.ZodNumber, z.ZodNull]>;
    questions: z.ZodArray<z.ZodUnion<[z.ZodObject<{
        headline: z.ZodString;
        subheader: z.ZodOptional<z.ZodString>;
        id: z.ZodString;
        required: z.ZodBoolean;
        buttonLabel: z.ZodOptional<z.ZodString>;
        scale: z.ZodOptional<z.ZodEnum<["number", "smiley", "star"]>>;
        range: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>>;
        type: z.ZodLiteral<QuestionType.OpenText>;
        placeholder: z.ZodOptional<z.ZodString>;
        longAnswer: z.ZodOptional<z.ZodBoolean>;
        logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
            destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
            condition: z.ZodOptional<z.ZodEnum<["submitted", "skipped"]>>;
            value: z.ZodUndefined;
        }, "strip", z.ZodTypeAny, {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        }, {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        }>, "many">>;
    }, "strip", z.ZodTypeAny, {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        type?: QuestionType.OpenText;
        placeholder?: string;
        longAnswer?: boolean;
        logic?: {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        }[];
    }, {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        type?: QuestionType.OpenText;
        placeholder?: string;
        longAnswer?: boolean;
        logic?: {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        }[];
    }>, z.ZodObject<{
        headline: z.ZodString;
        subheader: z.ZodOptional<z.ZodString>;
        id: z.ZodString;
        required: z.ZodBoolean;
        buttonLabel: z.ZodOptional<z.ZodString>;
        scale: z.ZodOptional<z.ZodEnum<["number", "smiley", "star"]>>;
        range: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>>;
        type: z.ZodLiteral<QuestionType.Consent>;
        html: z.ZodOptional<z.ZodString>;
        label: z.ZodString;
        dismissButtonLabel: z.ZodOptional<z.ZodString>;
        placeholder: z.ZodOptional<z.ZodString>;
        logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
            destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
            condition: z.ZodOptional<z.ZodEnum<["skipped", "accepted"]>>;
            value: z.ZodUndefined;
        }, "strip", z.ZodTypeAny, {
            destination?: string;
            condition?: "skipped" | "accepted";
            value?: undefined;
        }, {
            destination?: string;
            condition?: "skipped" | "accepted";
            value?: undefined;
        }>, "many">>;
    }, "strip", z.ZodTypeAny, {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        type?: QuestionType.Consent;
        html?: string;
        label?: string;
        dismissButtonLabel?: string;
        placeholder?: string;
        logic?: {
            destination?: string;
            condition?: "skipped" | "accepted";
            value?: undefined;
        }[];
    }, {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        type?: QuestionType.Consent;
        html?: string;
        label?: string;
        dismissButtonLabel?: string;
        placeholder?: string;
        logic?: {
            destination?: string;
            condition?: "skipped" | "accepted";
            value?: undefined;
        }[];
    }>, z.ZodObject<{
        headline: z.ZodString;
        subheader: z.ZodOptional<z.ZodString>;
        id: z.ZodString;
        required: z.ZodBoolean;
        buttonLabel: z.ZodOptional<z.ZodString>;
        scale: z.ZodOptional<z.ZodEnum<["number", "smiley", "star"]>>;
        range: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>>;
        type: z.ZodLiteral<QuestionType.MultipleChoiceSingle>;
        choices: z.ZodArray<z.ZodObject<{
            id: z.ZodString;
            label: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            id?: string;
            label?: string;
        }, {
            id?: string;
            label?: string;
        }>, "many">;
        logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
            destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
            condition: z.ZodOptional<z.ZodEnum<["submitted", "skipped", "equals", "notEquals"]>>;
            value: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals";
            value?: string;
        }, {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals";
            value?: string;
        }>, "many">>;
        shuffleOption: z.ZodOptional<z.ZodEnum<["none", "all", "exceptLast"]>>;
    }, "strip", z.ZodTypeAny, {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        type?: QuestionType.MultipleChoiceSingle;
        choices?: {
            id?: string;
            label?: string;
        }[];
        logic?: {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals";
            value?: string;
        }[];
        shuffleOption?: "none" | "all" | "exceptLast";
    }, {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        type?: QuestionType.MultipleChoiceSingle;
        choices?: {
            id?: string;
            label?: string;
        }[];
        logic?: {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals";
            value?: string;
        }[];
        shuffleOption?: "none" | "all" | "exceptLast";
    }>, z.ZodObject<{
        headline: z.ZodString;
        subheader: z.ZodOptional<z.ZodString>;
        id: z.ZodString;
        required: z.ZodBoolean;
        buttonLabel: z.ZodOptional<z.ZodString>;
        scale: z.ZodOptional<z.ZodEnum<["number", "smiley", "star"]>>;
        range: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>>;
        type: z.ZodLiteral<QuestionType.MultipleChoiceMulti>;
        choices: z.ZodArray<z.ZodObject<{
            id: z.ZodString;
            label: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            id?: string;
            label?: string;
        }, {
            id?: string;
            label?: string;
        }>, "many">;
        logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
            destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
            condition: z.ZodOptional<z.ZodEnum<["submitted", "skipped", "includesAll", "includesOne", "equals"]>>;
            value: z.ZodOptional<z.ZodUnion<[z.ZodArray<z.ZodString, "many">, z.ZodString]>>;
        }, "strip", z.ZodTypeAny, {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "includesAll" | "includesOne";
            value?: string | string[];
        }, {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "includesAll" | "includesOne";
            value?: string | string[];
        }>, "many">>;
        shuffleOption: z.ZodOptional<z.ZodEnum<["none", "all", "exceptLast"]>>;
    }, "strip", z.ZodTypeAny, {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        type?: QuestionType.MultipleChoiceMulti;
        choices?: {
            id?: string;
            label?: string;
        }[];
        logic?: {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "includesAll" | "includesOne";
            value?: string | string[];
        }[];
        shuffleOption?: "none" | "all" | "exceptLast";
    }, {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        type?: QuestionType.MultipleChoiceMulti;
        choices?: {
            id?: string;
            label?: string;
        }[];
        logic?: {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "includesAll" | "includesOne";
            value?: string | string[];
        }[];
        shuffleOption?: "none" | "all" | "exceptLast";
    }>, z.ZodObject<{
        headline: z.ZodString;
        subheader: z.ZodOptional<z.ZodString>;
        id: z.ZodString;
        required: z.ZodBoolean;
        buttonLabel: z.ZodOptional<z.ZodString>;
        scale: z.ZodOptional<z.ZodEnum<["number", "smiley", "star"]>>;
        range: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>>;
        type: z.ZodLiteral<QuestionType.NPS>;
        lowerLabel: z.ZodString;
        upperLabel: z.ZodString;
        logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
            destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
            condition: z.ZodOptional<z.ZodEnum<["equals", "notEquals", "lessThan", "lessEqual", "greaterThan", "greaterEqual", "submitted", "skipped"]>>;
            value: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "strip", z.ZodTypeAny, {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: string | number;
        }, {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: string | number;
        }>, "many">>;
    }, "strip", z.ZodTypeAny, {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        type?: QuestionType.NPS;
        lowerLabel?: string;
        upperLabel?: string;
        logic?: {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: string | number;
        }[];
    }, {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        type?: QuestionType.NPS;
        lowerLabel?: string;
        upperLabel?: string;
        logic?: {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: string | number;
        }[];
    }>, z.ZodObject<{
        headline: z.ZodString;
        subheader: z.ZodOptional<z.ZodString>;
        id: z.ZodString;
        required: z.ZodBoolean;
        buttonLabel: z.ZodOptional<z.ZodString>;
        scale: z.ZodOptional<z.ZodEnum<["number", "smiley", "star"]>>;
        range: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>>;
        type: z.ZodLiteral<QuestionType.CTA>;
        html: z.ZodOptional<z.ZodString>;
        buttonUrl: z.ZodOptional<z.ZodString>;
        buttonExternal: z.ZodBoolean;
        dismissButtonLabel: z.ZodOptional<z.ZodString>;
        logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
            destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
            condition: z.ZodOptional<z.ZodEnum<["clicked", "submitted", "skipped"]>>;
            value: z.ZodUndefined;
        }, "strip", z.ZodTypeAny, {
            destination?: string;
            condition?: "submitted" | "skipped" | "clicked";
            value?: undefined;
        }, {
            destination?: string;
            condition?: "submitted" | "skipped" | "clicked";
            value?: undefined;
        }>, "many">>;
    }, "strip", z.ZodTypeAny, {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        type?: QuestionType.CTA;
        html?: string;
        buttonUrl?: string;
        buttonExternal?: boolean;
        dismissButtonLabel?: string;
        logic?: {
            destination?: string;
            condition?: "submitted" | "skipped" | "clicked";
            value?: undefined;
        }[];
    }, {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        type?: QuestionType.CTA;
        html?: string;
        buttonUrl?: string;
        buttonExternal?: boolean;
        dismissButtonLabel?: string;
        logic?: {
            destination?: string;
            condition?: "submitted" | "skipped" | "clicked";
            value?: undefined;
        }[];
    }>, z.ZodObject<{
        headline: z.ZodString;
        subheader: z.ZodOptional<z.ZodString>;
        id: z.ZodString;
        required: z.ZodBoolean;
        buttonLabel: z.ZodOptional<z.ZodString>;
        type: z.ZodLiteral<QuestionType.Rating>;
        scale: z.ZodEnum<["number", "smiley", "star"]>;
        range: z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<3>, z.ZodLiteral<4>, z.ZodLiteral<7>, z.ZodLiteral<10>]>;
        lowerLabel: z.ZodString;
        upperLabel: z.ZodString;
        logic: z.ZodOptional<z.ZodArray<z.ZodObject<{
            destination: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodLiteral<"end">]>>;
            condition: z.ZodOptional<z.ZodEnum<["equals", "notEquals", "lessThan", "lessEqual", "greaterThan", "greaterEqual", "submitted", "skipped"]>>;
            value: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodNumber]>>;
        }, "strip", z.ZodTypeAny, {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: string | number;
        }, {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: string | number;
        }>, "many">>;
    }, "strip", z.ZodTypeAny, {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        type?: QuestionType.Rating;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        lowerLabel?: string;
        upperLabel?: string;
        logic?: {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: string | number;
        }[];
    }, {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        type?: QuestionType.Rating;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        lowerLabel?: string;
        upperLabel?: string;
        logic?: {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: string | number;
        }[];
    }>]>, "many">;
    thankYouCard: z.ZodObject<{
        enabled: z.ZodBoolean;
        headline: z.ZodOptional<z.ZodString>;
        subheader: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        enabled?: boolean;
        headline?: string;
        subheader?: string;
    }, {
        enabled?: boolean;
        headline?: string;
        subheader?: string;
    }>;
    delay: z.ZodNumber;
    autoComplete: z.ZodUnion<[z.ZodNumber, z.ZodNull]>;
    closeOnDate: z.ZodNullable<z.ZodDate>;
    surveyClosedMessage: z.ZodOptional<z.ZodObject<{
        heading: z.ZodOptional<z.ZodString>;
        subheading: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        heading?: string;
        subheading?: string;
    }, {
        heading?: string;
        subheading?: string;
    }>>;
    verifyEmail: z.ZodNullable<z.ZodOptional<z.ZodObject<{
        name: z.ZodOptional<z.ZodString>;
        subheading: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        name?: string;
        subheading?: string;
    }, {
        name?: string;
        subheading?: string;
    }>>>;
    analytics: z.ZodObject<{
        numDisplays: z.ZodNumber;
        responseRate: z.ZodNumber;
        numResponses: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        numDisplays?: number;
        responseRate?: number;
        numResponses?: number;
    }, {
        numDisplays?: number;
        responseRate?: number;
        numResponses?: number;
    }>;
}, "strip", z.ZodTypeAny, {
    status?: "draft" | "inProgress" | "archived" | "paused" | "completed";
    type?: "web" | "email" | "link" | "mobile";
    name?: string;
    id?: string;
    createdAt?: Date;
    updatedAt?: Date;
    environmentId?: string;
    attributeFilters?: {
        id?: string;
        attributeClassId?: string;
        condition?: "equals" | "notEquals";
        value?: string;
    }[];
    displayOption?: "displayOnce" | "displayMultiple" | "respondMultiple";
    autoClose?: number;
    triggers?: {
        id?: string;
        name?: string;
        description?: string;
        type?: "code" | "noCode" | "automatic";
        noCodeConfig?: {
            type?: "innerHtml" | "pageUrl" | "cssSelector";
            pageUrl?: {
                value?: string;
                rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
            };
            innerHtml?: {
                value?: string;
            };
            cssSelector?: {
                value?: string;
            };
        };
        environmentId?: string;
        createdAt?: Date;
        updatedAt?: Date;
    }[];
    redirectUrl?: string;
    recontactDays?: number;
    questions?: ({
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        type?: QuestionType.OpenText;
        placeholder?: string;
        longAnswer?: boolean;
        logic?: {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        }[];
    } | {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        type?: QuestionType.Consent;
        html?: string;
        label?: string;
        dismissButtonLabel?: string;
        placeholder?: string;
        logic?: {
            destination?: string;
            condition?: "skipped" | "accepted";
            value?: undefined;
        }[];
    } | {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        type?: QuestionType.MultipleChoiceSingle;
        choices?: {
            id?: string;
            label?: string;
        }[];
        logic?: {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals";
            value?: string;
        }[];
        shuffleOption?: "none" | "all" | "exceptLast";
    } | {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        type?: QuestionType.MultipleChoiceMulti;
        choices?: {
            id?: string;
            label?: string;
        }[];
        logic?: {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "includesAll" | "includesOne";
            value?: string | string[];
        }[];
        shuffleOption?: "none" | "all" | "exceptLast";
    } | {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        type?: QuestionType.NPS;
        lowerLabel?: string;
        upperLabel?: string;
        logic?: {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: string | number;
        }[];
    } | {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        type?: QuestionType.CTA;
        html?: string;
        buttonUrl?: string;
        buttonExternal?: boolean;
        dismissButtonLabel?: string;
        logic?: {
            destination?: string;
            condition?: "submitted" | "skipped" | "clicked";
            value?: undefined;
        }[];
    } | {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        type?: QuestionType.Rating;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        lowerLabel?: string;
        upperLabel?: string;
        logic?: {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: string | number;
        }[];
    })[];
    thankYouCard?: {
        enabled?: boolean;
        headline?: string;
        subheader?: string;
    };
    delay?: number;
    autoComplete?: number;
    closeOnDate?: Date;
    surveyClosedMessage?: {
        heading?: string;
        subheading?: string;
    };
    verifyEmail?: {
        name?: string;
        subheading?: string;
    };
    analytics?: {
        numDisplays?: number;
        responseRate?: number;
        numResponses?: number;
    };
}, {
    status?: "draft" | "inProgress" | "archived" | "paused" | "completed";
    type?: "web" | "email" | "link" | "mobile";
    name?: string;
    id?: string;
    createdAt?: Date;
    updatedAt?: Date;
    environmentId?: string;
    attributeFilters?: {
        id?: string;
        attributeClassId?: string;
        condition?: "equals" | "notEquals";
        value?: string;
    }[];
    displayOption?: "displayOnce" | "displayMultiple" | "respondMultiple";
    autoClose?: number;
    triggers?: {
        id?: string;
        name?: string;
        description?: string;
        type?: "code" | "noCode" | "automatic";
        noCodeConfig?: {
            type?: "innerHtml" | "pageUrl" | "cssSelector";
            pageUrl?: {
                value?: string;
                rule?: "exactMatch" | "contains" | "startsWith" | "endsWith" | "notMatch" | "notContains";
            };
            innerHtml?: {
                value?: string;
            };
            cssSelector?: {
                value?: string;
            };
        };
        environmentId?: string;
        createdAt?: Date;
        updatedAt?: Date;
    }[];
    redirectUrl?: string;
    recontactDays?: number;
    questions?: ({
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        type?: QuestionType.OpenText;
        placeholder?: string;
        longAnswer?: boolean;
        logic?: {
            destination?: string;
            condition?: "submitted" | "skipped";
            value?: undefined;
        }[];
    } | {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        type?: QuestionType.Consent;
        html?: string;
        label?: string;
        dismissButtonLabel?: string;
        placeholder?: string;
        logic?: {
            destination?: string;
            condition?: "skipped" | "accepted";
            value?: undefined;
        }[];
    } | {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        type?: QuestionType.MultipleChoiceSingle;
        choices?: {
            id?: string;
            label?: string;
        }[];
        logic?: {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals";
            value?: string;
        }[];
        shuffleOption?: "none" | "all" | "exceptLast";
    } | {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        type?: QuestionType.MultipleChoiceMulti;
        choices?: {
            id?: string;
            label?: string;
        }[];
        logic?: {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "includesAll" | "includesOne";
            value?: string | string[];
        }[];
        shuffleOption?: "none" | "all" | "exceptLast";
    } | {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        type?: QuestionType.NPS;
        lowerLabel?: string;
        upperLabel?: string;
        logic?: {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: string | number;
        }[];
    } | {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        type?: QuestionType.CTA;
        html?: string;
        buttonUrl?: string;
        buttonExternal?: boolean;
        dismissButtonLabel?: string;
        logic?: {
            destination?: string;
            condition?: "submitted" | "skipped" | "clicked";
            value?: undefined;
        }[];
    } | {
        headline?: string;
        subheader?: string;
        id?: string;
        required?: boolean;
        buttonLabel?: string;
        type?: QuestionType.Rating;
        scale?: "number" | "smiley" | "star";
        range?: 10 | 4 | 5 | 3 | 7;
        lowerLabel?: string;
        upperLabel?: string;
        logic?: {
            destination?: string;
            condition?: "submitted" | "skipped" | "equals" | "notEquals" | "lessThan" | "lessEqual" | "greaterThan" | "greaterEqual";
            value?: string | number;
        }[];
    })[];
    thankYouCard?: {
        enabled?: boolean;
        headline?: string;
        subheader?: string;
    };
    delay?: number;
    autoComplete?: number;
    closeOnDate?: Date;
    surveyClosedMessage?: {
        heading?: string;
        subheading?: string;
    };
    verifyEmail?: {
        name?: string;
        subheading?: string;
    };
    analytics?: {
        numDisplays?: number;
        responseRate?: number;
        numResponses?: number;
    };
}>;
export type TSurveyWithAnalytics = z.infer<typeof ZSurveyWithAnalytics>;
